searchData={"items":[{"type":"module","title":"ExNylas","doc":"ExNylas - Unofficial Elixir SDK for Nylas API.","ref":"ExNylas.html"},{"type":"module","title":"ExNylas.APIKey","doc":"A struct representing an API key.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/manage-api-keys)","ref":"ExNylas.APIKey.html"},{"type":"type","title":"ExNylas.APIKey.t/0","doc":"","ref":"ExNylas.APIKey.html#t:t/0"},{"type":"module","title":"ExNylas.APIKeys","doc":"Interface for Nylas API keys.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/manage-api-keys)","ref":"ExNylas.APIKeys.html"},{"type":"function","title":"ExNylas.APIKeys.create/7","doc":"Create an API key for an application.","ref":"ExNylas.APIKeys.html#create/7"},{"type":"function","title":"Examples - ExNylas.APIKeys.create/7","doc":"iex> {:ok, result} = ExNylas.APIKeys.create(conn, \"application_id\", %{name: \"My API Key\", expires_in: 90  }, \"signature\", \"kid\", \"nonce\", \"timestamp\")","ref":"ExNylas.APIKeys.html#create/7-examples"},{"type":"function","title":"ExNylas.APIKeys.create!/7","doc":"Create an API key for an application.","ref":"ExNylas.APIKeys.html#create!/7"},{"type":"function","title":"Examples - ExNylas.APIKeys.create!/7","doc":"iex> result = ExNylas.APIKeys.create!(conn, \"application_id\", %{name: \"My API Key\", expires_in: 90  }, \"signature\", \"kid\", \"nonce\", \"timestamp\")","ref":"ExNylas.APIKeys.html#create!/7-examples"},{"type":"function","title":"ExNylas.APIKeys.delete/7","doc":"Delete an API key for an application.","ref":"ExNylas.APIKeys.html#delete/7"},{"type":"function","title":"Examples - ExNylas.APIKeys.delete/7","doc":"iex> {:ok, result} = ExNylas.APIKeys.delete(conn, \"application_id\", \"api_key_id\", \"signature\", \"kid\", \"nonce\", \"timestamp\")","ref":"ExNylas.APIKeys.html#delete/7-examples"},{"type":"function","title":"ExNylas.APIKeys.delete!/7","doc":"Delete an API key for an application.","ref":"ExNylas.APIKeys.html#delete!/7"},{"type":"function","title":"Examples - ExNylas.APIKeys.delete!/7","doc":"iex> result = ExNylas.APIKeys.delete!(conn, \"application_id\", \"api_key_id\", \"signature\", \"kid\", \"nonce\", \"timestamp\")","ref":"ExNylas.APIKeys.html#delete!/7-examples"},{"type":"function","title":"ExNylas.APIKeys.find/7","doc":"Find an API key for an application.","ref":"ExNylas.APIKeys.html#find/7"},{"type":"function","title":"Examples - ExNylas.APIKeys.find/7","doc":"iex> {:ok, result} = ExNylas.APIKeys.find(conn, \"application_id\", \"api_key_id\", \"signature\", \"kid\", \"nonce\", \"timestamp\")","ref":"ExNylas.APIKeys.html#find/7-examples"},{"type":"function","title":"ExNylas.APIKeys.find!/7","doc":"Find an API key for an application.","ref":"ExNylas.APIKeys.html#find!/7"},{"type":"function","title":"Examples - ExNylas.APIKeys.find!/7","doc":"iex> result = ExNylas.APIKeys.find!(conn, \"application_id\", \"api_key_id\", \"signature\", \"kid\", \"nonce\", \"timestamp\")","ref":"ExNylas.APIKeys.html#find!/7-examples"},{"type":"function","title":"ExNylas.APIKeys.list/6","doc":"List API keys for an application.","ref":"ExNylas.APIKeys.html#list/6"},{"type":"function","title":"Examples - ExNylas.APIKeys.list/6","doc":"iex> {:ok, result} = ExNylas.APIKeys.list(conn, \"application_id\", \"signature\", \"kid\", \"nonce\", \"timestamp\")","ref":"ExNylas.APIKeys.html#list/6-examples"},{"type":"function","title":"ExNylas.APIKeys.list!/6","doc":"List API keys for an application.","ref":"ExNylas.APIKeys.html#list!/6"},{"type":"function","title":"Examples - ExNylas.APIKeys.list!/6","doc":"iex> result = ExNylas.APIKeys.list!(conn, \"application_id\", \"signature\", \"kid\", \"nonce\", \"timestamp\")","ref":"ExNylas.APIKeys.html#list!/6-examples"},{"type":"module","title":"ExNylas.APIKeys.Build","doc":"Builds API keys for an application.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/manage-api-keys)","ref":"ExNylas.APIKeys.Build.html"},{"type":"type","title":"ExNylas.APIKeys.Build.t/0","doc":"","ref":"ExNylas.APIKeys.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Application","doc":"A struct representing a Nylas application.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/applications)","ref":"ExNylas.Application.html"},{"type":"type","title":"ExNylas.Application.t/0","doc":"","ref":"ExNylas.Application.html#t:t/0"},{"type":"module","title":"ExNylas.Application.Branding","doc":"","ref":"ExNylas.Application.Branding.html"},{"type":"type","title":"ExNylas.Application.Branding.t/0","doc":"","ref":"ExNylas.Application.Branding.html#t:t/0"},{"type":"module","title":"ExNylas.Application.HostedAuthentication","doc":"","ref":"ExNylas.Application.HostedAuthentication.html"},{"type":"type","title":"ExNylas.Application.HostedAuthentication.t/0","doc":"","ref":"ExNylas.Application.HostedAuthentication.html#t:t/0"},{"type":"module","title":"ExNylas.ApplicationRedirect","doc":"A struct for Nylas application redirect.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/applications)","ref":"ExNylas.ApplicationRedirect.html"},{"type":"type","title":"ExNylas.ApplicationRedirect.t/0","doc":"","ref":"ExNylas.ApplicationRedirect.html#t:t/0"},{"type":"module","title":"ExNylas.ApplicationRedirect.Build","doc":"Helper module for validating an application redirect before creating/updating it.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/applications)","ref":"ExNylas.ApplicationRedirect.Build.html"},{"type":"type","title":"ExNylas.ApplicationRedirect.Build.t/0","doc":"","ref":"ExNylas.ApplicationRedirect.Build.html#t:t/0"},{"type":"module","title":"ExNylas.ApplicationRedirects","doc":"Interface for Nylas application redirects.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/applications)","ref":"ExNylas.ApplicationRedirects.html"},{"type":"function","title":"ExNylas.ApplicationRedirects.build/1","doc":"Create and validate a application redirect, use create/update to send to Nylas.","ref":"ExNylas.ApplicationRedirects.html#build/1"},{"type":"function","title":"Examples - ExNylas.ApplicationRedirects.build/1","doc":"iex> {:ok, result} = ExNylas.ApplicationRedirects.build(payload)","ref":"ExNylas.ApplicationRedirects.html#build/1-examples"},{"type":"function","title":"ExNylas.ApplicationRedirects.build!/1","doc":"Create and validate a application redirect, use create/update to send to Nylas.","ref":"ExNylas.ApplicationRedirects.html#build!/1"},{"type":"function","title":"Examples - ExNylas.ApplicationRedirects.build!/1","doc":"iex> result = ExNylas.ApplicationRedirects.build!(payload)","ref":"ExNylas.ApplicationRedirects.html#build!/1-examples"},{"type":"function","title":"ExNylas.ApplicationRedirects.create/3","doc":"Create a(n) application redirect.","ref":"ExNylas.ApplicationRedirects.html#create/3"},{"type":"function","title":"Examples - ExNylas.ApplicationRedirects.create/3","doc":"iex> {:ok, result} = ExNylas.ApplicationRedirects.create(conn, body, params)","ref":"ExNylas.ApplicationRedirects.html#create/3-examples"},{"type":"function","title":"ExNylas.ApplicationRedirects.create!/3","doc":"Create a(n) application redirect.","ref":"ExNylas.ApplicationRedirects.html#create!/3"},{"type":"function","title":"Examples - ExNylas.ApplicationRedirects.create!/3","doc":"iex> result = ExNylas.ApplicationRedirects.create(conn, body, params)","ref":"ExNylas.ApplicationRedirects.html#create!/3-examples"},{"type":"function","title":"ExNylas.ApplicationRedirects.delete/3","doc":"Delete a(n) application redirect.","ref":"ExNylas.ApplicationRedirects.html#delete/3"},{"type":"function","title":"Examples - ExNylas.ApplicationRedirects.delete/3","doc":"iex> {:ok, result} = ExNylas.ApplicationRedirects.delete(conn, id, params)","ref":"ExNylas.ApplicationRedirects.html#delete/3-examples"},{"type":"function","title":"ExNylas.ApplicationRedirects.delete!/3","doc":"Delete a(n) application redirect.","ref":"ExNylas.ApplicationRedirects.html#delete!/3"},{"type":"function","title":"Examples - ExNylas.ApplicationRedirects.delete!/3","doc":"iex> result = ExNylas.ApplicationRedirects.delete!(conn, id, params)","ref":"ExNylas.ApplicationRedirects.html#delete!/3-examples"},{"type":"function","title":"ExNylas.ApplicationRedirects.find/3","doc":"Find a(n) application redirect.","ref":"ExNylas.ApplicationRedirects.html#find/3"},{"type":"function","title":"Examples - ExNylas.ApplicationRedirects.find/3","doc":"iex> {:ok, result} = ExNylas.ApplicationRedirects.find(conn, id, params)","ref":"ExNylas.ApplicationRedirects.html#find/3-examples"},{"type":"function","title":"ExNylas.ApplicationRedirects.find!/3","doc":"Find a(n) application redirect.","ref":"ExNylas.ApplicationRedirects.html#find!/3"},{"type":"function","title":"Examples - ExNylas.ApplicationRedirects.find!/3","doc":"iex> result = ExNylas.ApplicationRedirects.find!(conn, id, params)","ref":"ExNylas.ApplicationRedirects.html#find!/3-examples"},{"type":"function","title":"ExNylas.ApplicationRedirects.list/2","doc":"Fetch application redirect(s), optionally provide query params.","ref":"ExNylas.ApplicationRedirects.html#list/2"},{"type":"function","title":"Examples - ExNylas.ApplicationRedirects.list/2","doc":"iex> {:ok, result} = ExNylas.ApplicationRedirects.list(conn, params)","ref":"ExNylas.ApplicationRedirects.html#list/2-examples"},{"type":"function","title":"ExNylas.ApplicationRedirects.list!/2","doc":"Fetch application redirect(s), optionally provide query params.","ref":"ExNylas.ApplicationRedirects.html#list!/2"},{"type":"function","title":"Examples - ExNylas.ApplicationRedirects.list!/2","doc":"iex> result = ExNylas.ApplicationRedirects.list!(conn, params)","ref":"ExNylas.ApplicationRedirects.html#list!/2-examples"},{"type":"function","title":"ExNylas.ApplicationRedirects.update/4","doc":"Update a(n) application redirect.","ref":"ExNylas.ApplicationRedirects.html#update/4"},{"type":"function","title":"Examples - ExNylas.ApplicationRedirects.update/4","doc":"iex> {:ok, result} = ExNylas.ApplicationRedirects.update(conn, id, body, params)","ref":"ExNylas.ApplicationRedirects.html#update/4-examples"},{"type":"function","title":"ExNylas.ApplicationRedirects.update!/4","doc":"Update a(n) application redirect.","ref":"ExNylas.ApplicationRedirects.html#update!/4"},{"type":"function","title":"Examples - ExNylas.ApplicationRedirects.update!/4","doc":"iex> result = ExNylas.ApplicationRedirects.update!(conn, id, body, params)","ref":"ExNylas.ApplicationRedirects.html#update!/4-examples"},{"type":"module","title":"ExNylas.Applications","doc":"Interface for Nylas applications.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/applications)","ref":"ExNylas.Applications.html"},{"type":"function","title":"ExNylas.Applications.list/2","doc":"Fetch application(s), optionally provide query params.","ref":"ExNylas.Applications.html#list/2"},{"type":"function","title":"Examples - ExNylas.Applications.list/2","doc":"iex> {:ok, result} = ExNylas.Applications.list(conn, params)","ref":"ExNylas.Applications.html#list/2-examples"},{"type":"function","title":"ExNylas.Applications.list!/2","doc":"Fetch application(s), optionally provide query params.","ref":"ExNylas.Applications.html#list!/2"},{"type":"function","title":"Examples - ExNylas.Applications.list!/2","doc":"iex> result = ExNylas.Applications.list!(conn, params)","ref":"ExNylas.Applications.html#list!/2-examples"},{"type":"function","title":"ExNylas.Applications.update/4","doc":"Update a(n) application.","ref":"ExNylas.Applications.html#update/4"},{"type":"function","title":"Examples - ExNylas.Applications.update/4","doc":"iex> {:ok, result} = ExNylas.Applications.update(conn, id, body, params)","ref":"ExNylas.Applications.html#update/4-examples"},{"type":"function","title":"ExNylas.Applications.update!/4","doc":"Update a(n) application.","ref":"ExNylas.Applications.html#update!/4"},{"type":"function","title":"Examples - ExNylas.Applications.update!/4","doc":"iex> result = ExNylas.Applications.update!(conn, id, body, params)","ref":"ExNylas.Applications.html#update!/4-examples"},{"type":"module","title":"ExNylas.Attachment","doc":"A struct representing an attachment.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/attachments)","ref":"ExNylas.Attachment.html"},{"type":"type","title":"ExNylas.Attachment.t/0","doc":"","ref":"ExNylas.Attachment.html#t:t/0"},{"type":"module","title":"ExNylas.Attachment.Build","doc":"Helper module for validating an attachment in a draft/message before submitting to the Nylas API.","ref":"ExNylas.Attachment.Build.html"},{"type":"function","title":"ExNylas.Attachment.Build.changeset/2","doc":"","ref":"ExNylas.Attachment.Build.html#changeset/2"},{"type":"type","title":"ExNylas.Attachment.Build.t/0","doc":"","ref":"ExNylas.Attachment.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Attachments","doc":"Interface for Nylas attachments.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/attachments)","ref":"ExNylas.Attachments.html"},{"type":"function","title":"ExNylas.Attachments.download/3","doc":"Download an attachment.  Message ID is required.","ref":"ExNylas.Attachments.html#download/3"},{"type":"function","title":"Examples - ExNylas.Attachments.download/3","doc":"iex> {:ok, result} = ExNylas.Attachments.download(conn, id, message_id: message_id)","ref":"ExNylas.Attachments.html#download/3-examples"},{"type":"function","title":"ExNylas.Attachments.download!/3","doc":"Download an attachment.  Message ID is required.","ref":"ExNylas.Attachments.html#download!/3"},{"type":"function","title":"Examples - ExNylas.Attachments.download!/3","doc":"iex> result = ExNylas.Attachments.download!(conn, id, message_id: message_id)","ref":"ExNylas.Attachments.html#download!/3-examples"},{"type":"function","title":"ExNylas.Attachments.find/3","doc":"Find a(n) attachment.","ref":"ExNylas.Attachments.html#find/3"},{"type":"function","title":"Examples - ExNylas.Attachments.find/3","doc":"iex> {:ok, result} = ExNylas.Attachments.find(conn, id, params)","ref":"ExNylas.Attachments.html#find/3-examples"},{"type":"function","title":"ExNylas.Attachments.find!/3","doc":"Find a(n) attachment.","ref":"ExNylas.Attachments.html#find!/3"},{"type":"function","title":"Examples - ExNylas.Attachments.find!/3","doc":"iex> result = ExNylas.Attachments.find!(conn, id, params)","ref":"ExNylas.Attachments.html#find!/3-examples"},{"type":"module","title":"ExNylas.Availability","doc":"Struct for Nylas common availability.","ref":"ExNylas.Availability.html"},{"type":"type","title":"ExNylas.Availability.t/0","doc":"","ref":"ExNylas.Availability.html#t:t/0"},{"type":"module","title":"ExNylas.Availability.Build","doc":"Helper module for building an availability request.","ref":"ExNylas.Availability.Build.html"},{"type":"function","title":"ExNylas.Availability.Build.changeset/2","doc":"","ref":"ExNylas.Availability.Build.html#changeset/2"},{"type":"type","title":"ExNylas.Availability.Build.t/0","doc":"","ref":"ExNylas.Availability.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Availability.TimeSlot","doc":"","ref":"ExNylas.Availability.TimeSlot.html"},{"type":"type","title":"ExNylas.Availability.TimeSlot.t/0","doc":"","ref":"ExNylas.Availability.TimeSlot.html#t:t/0"},{"type":"module","title":"ExNylas.AvailabilityRules","doc":"A struct for availability rules.","ref":"ExNylas.AvailabilityRules.html"},{"type":"type","title":"ExNylas.AvailabilityRules.t/0","doc":"","ref":"ExNylas.AvailabilityRules.html#t:t/0"},{"type":"module","title":"ExNylas.AvailabilityRules.Build","doc":"Helper module for building an availability rules.","ref":"ExNylas.AvailabilityRules.Build.html"},{"type":"function","title":"ExNylas.AvailabilityRules.Build.changeset/2","doc":"","ref":"ExNylas.AvailabilityRules.Build.html#changeset/2"},{"type":"type","title":"ExNylas.AvailabilityRules.Build.t/0","doc":"","ref":"ExNylas.AvailabilityRules.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Buffer","doc":"A struct for buffer.","ref":"ExNylas.Buffer.html"},{"type":"type","title":"ExNylas.Buffer.t/0","doc":"","ref":"ExNylas.Buffer.html#t:t/0"},{"type":"module","title":"ExNylas.Buffer.Build","doc":"A struct for buffer.","ref":"ExNylas.Buffer.Build.html"},{"type":"function","title":"ExNylas.Buffer.Build.changeset/2","doc":"","ref":"ExNylas.Buffer.Build.html#changeset/2"},{"type":"type","title":"ExNylas.Buffer.Build.t/0","doc":"","ref":"ExNylas.Buffer.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Calendar","doc":"A struct representing a calendar.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/calendars)","ref":"ExNylas.Calendar.html"},{"type":"type","title":"ExNylas.Calendar.t/0","doc":"","ref":"ExNylas.Calendar.html#t:t/0"},{"type":"module","title":"ExNylas.Calendar.Build","doc":"Helper module for validating a calendar before creating/updating it.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/calendars)","ref":"ExNylas.Calendar.Build.html"},{"type":"type","title":"ExNylas.Calendar.Build.t/0","doc":"","ref":"ExNylas.Calendar.Build.html#t:t/0"},{"type":"module","title":"ExNylas.CalendarAvailability","doc":"Interface for Nylas calendar availability.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/calendar)","ref":"ExNylas.CalendarAvailability.html"},{"type":"function","title":"ExNylas.CalendarAvailability.build/1","doc":"Create and validate a calendar availability, use create/update to send to Nylas.","ref":"ExNylas.CalendarAvailability.html#build/1"},{"type":"function","title":"Examples - ExNylas.CalendarAvailability.build/1","doc":"iex> {:ok, result} = ExNylas.CalendarAvailability.build(payload)","ref":"ExNylas.CalendarAvailability.html#build/1-examples"},{"type":"function","title":"ExNylas.CalendarAvailability.build!/1","doc":"Create and validate a calendar availability, use create/update to send to Nylas.","ref":"ExNylas.CalendarAvailability.html#build!/1"},{"type":"function","title":"Examples - ExNylas.CalendarAvailability.build!/1","doc":"iex> result = ExNylas.CalendarAvailability.build!(payload)","ref":"ExNylas.CalendarAvailability.html#build!/1-examples"},{"type":"function","title":"ExNylas.CalendarAvailability.list/2","doc":"Get calendar availability.","ref":"ExNylas.CalendarAvailability.html#list/2"},{"type":"function","title":"Examples - ExNylas.CalendarAvailability.list/2","doc":"iex> {:ok, result} = ExNylas.CalendarAvailability.list(conn, body)","ref":"ExNylas.CalendarAvailability.html#list/2-examples"},{"type":"function","title":"ExNylas.CalendarAvailability.list!/2","doc":"Get calendar availability.","ref":"ExNylas.CalendarAvailability.html#list!/2"},{"type":"function","title":"Examples - ExNylas.CalendarAvailability.list!/2","doc":"iex> result = ExNylas.CalendarAvailability.list!(conn, body)","ref":"ExNylas.CalendarAvailability.html#list!/2-examples"},{"type":"module","title":"ExNylas.CalendarAvailability.Build","doc":"Helper module for validating an availability request.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/calendar)","ref":"ExNylas.CalendarAvailability.Build.html"},{"type":"type","title":"ExNylas.CalendarAvailability.Build.t/0","doc":"","ref":"ExNylas.CalendarAvailability.Build.html#t:t/0"},{"type":"module","title":"ExNylas.CalendarAvailability.Build.Participant","doc":"","ref":"ExNylas.CalendarAvailability.Build.Participant.html"},{"type":"type","title":"ExNylas.CalendarAvailability.Build.Participant.t/0","doc":"","ref":"ExNylas.CalendarAvailability.Build.Participant.html#t:t/0"},{"type":"module","title":"ExNylas.CalendarAvailability.Build.Participant.OpenHours","doc":"","ref":"ExNylas.CalendarAvailability.Build.Participant.OpenHours.html"},{"type":"type","title":"ExNylas.CalendarAvailability.Build.Participant.OpenHours.t/0","doc":"","ref":"ExNylas.CalendarAvailability.Build.Participant.OpenHours.html#t:t/0"},{"type":"module","title":"ExNylas.CalendarFreeBusy","doc":"Interface for Nylas calendar free/busy.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/calendar)","ref":"ExNylas.CalendarFreeBusy.html"},{"type":"function","title":"ExNylas.CalendarFreeBusy.build/1","doc":"Create and validate a calendar free/busy, use create/update to send to Nylas.","ref":"ExNylas.CalendarFreeBusy.html#build/1"},{"type":"function","title":"Examples - ExNylas.CalendarFreeBusy.build/1","doc":"iex> {:ok, result} = ExNylas.CalendarFreeBusy.build(payload)","ref":"ExNylas.CalendarFreeBusy.html#build/1-examples"},{"type":"function","title":"ExNylas.CalendarFreeBusy.build!/1","doc":"Create and validate a calendar free/busy, use create/update to send to Nylas.","ref":"ExNylas.CalendarFreeBusy.html#build!/1"},{"type":"function","title":"Examples - ExNylas.CalendarFreeBusy.build!/1","doc":"iex> result = ExNylas.CalendarFreeBusy.build!(payload)","ref":"ExNylas.CalendarFreeBusy.html#build!/1-examples"},{"type":"function","title":"ExNylas.CalendarFreeBusy.list/2","doc":"Get calendar free/busy.","ref":"ExNylas.CalendarFreeBusy.html#list/2"},{"type":"function","title":"Examples - ExNylas.CalendarFreeBusy.list/2","doc":"iex> {:ok, result} = ExNylas.Calendars.FreeBusy.list(conn, body)","ref":"ExNylas.CalendarFreeBusy.html#list/2-examples"},{"type":"function","title":"ExNylas.CalendarFreeBusy.list!/2","doc":"Get calendar free/busy.","ref":"ExNylas.CalendarFreeBusy.html#list!/2"},{"type":"function","title":"Examples - ExNylas.CalendarFreeBusy.list!/2","doc":"iex> result = ExNylas.Calendars.FreeBusy.list!(conn, body)","ref":"ExNylas.CalendarFreeBusy.html#list!/2-examples"},{"type":"module","title":"ExNylas.CalendarFreeBusy.Build","doc":"Helper module for validating the free/busy request.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/calendar)","ref":"ExNylas.CalendarFreeBusy.Build.html"},{"type":"type","title":"ExNylas.CalendarFreeBusy.Build.t/0","doc":"","ref":"ExNylas.CalendarFreeBusy.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Calendars","doc":"Interface for Nylas calendars.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/calendars)","ref":"ExNylas.Calendars.html"},{"type":"function","title":"ExNylas.Calendars.all/2","doc":"Fetch all calendar(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Calendars.html#all/2"},{"type":"function","title":"Examples - ExNylas.Calendars.all/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> {:ok, result} = ExNylas.Calendars.all(conn, opts)","ref":"ExNylas.Calendars.html#all/2-examples"},{"type":"function","title":"ExNylas.Calendars.all!/2","doc":"Fetch all calendar(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Calendars.html#all!/2"},{"type":"function","title":"Examples - ExNylas.Calendars.all!/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> result = ExNylas.Calendars.all!(conn, opts)","ref":"ExNylas.Calendars.html#all!/2-examples"},{"type":"function","title":"ExNylas.Calendars.build/1","doc":"Create and validate a calendar, use create/update to send to Nylas.","ref":"ExNylas.Calendars.html#build/1"},{"type":"function","title":"Examples - ExNylas.Calendars.build/1","doc":"iex> {:ok, result} = ExNylas.Calendars.build(payload)","ref":"ExNylas.Calendars.html#build/1-examples"},{"type":"function","title":"ExNylas.Calendars.build!/1","doc":"Create and validate a calendar, use create/update to send to Nylas.","ref":"ExNylas.Calendars.html#build!/1"},{"type":"function","title":"Examples - ExNylas.Calendars.build!/1","doc":"iex> result = ExNylas.Calendars.build!(payload)","ref":"ExNylas.Calendars.html#build!/1-examples"},{"type":"function","title":"ExNylas.Calendars.create/3","doc":"Create a(n) calendar.","ref":"ExNylas.Calendars.html#create/3"},{"type":"function","title":"Examples - ExNylas.Calendars.create/3","doc":"iex> {:ok, result} = ExNylas.Calendars.create(conn, body, params)","ref":"ExNylas.Calendars.html#create/3-examples"},{"type":"function","title":"ExNylas.Calendars.create!/3","doc":"Create a(n) calendar.","ref":"ExNylas.Calendars.html#create!/3"},{"type":"function","title":"Examples - ExNylas.Calendars.create!/3","doc":"iex> result = ExNylas.Calendars.create(conn, body, params)","ref":"ExNylas.Calendars.html#create!/3-examples"},{"type":"function","title":"ExNylas.Calendars.delete/3","doc":"Delete a(n) calendar.","ref":"ExNylas.Calendars.html#delete/3"},{"type":"function","title":"Examples - ExNylas.Calendars.delete/3","doc":"iex> {:ok, result} = ExNylas.Calendars.delete(conn, id, params)","ref":"ExNylas.Calendars.html#delete/3-examples"},{"type":"function","title":"ExNylas.Calendars.delete!/3","doc":"Delete a(n) calendar.","ref":"ExNylas.Calendars.html#delete!/3"},{"type":"function","title":"Examples - ExNylas.Calendars.delete!/3","doc":"iex> result = ExNylas.Calendars.delete!(conn, id, params)","ref":"ExNylas.Calendars.html#delete!/3-examples"},{"type":"function","title":"ExNylas.Calendars.find/3","doc":"Find a(n) calendar.","ref":"ExNylas.Calendars.html#find/3"},{"type":"function","title":"Examples - ExNylas.Calendars.find/3","doc":"iex> {:ok, result} = ExNylas.Calendars.find(conn, id, params)","ref":"ExNylas.Calendars.html#find/3-examples"},{"type":"function","title":"ExNylas.Calendars.find!/3","doc":"Find a(n) calendar.","ref":"ExNylas.Calendars.html#find!/3"},{"type":"function","title":"Examples - ExNylas.Calendars.find!/3","doc":"iex> result = ExNylas.Calendars.find!(conn, id, params)","ref":"ExNylas.Calendars.html#find!/3-examples"},{"type":"function","title":"ExNylas.Calendars.first/2","doc":"Get the first calendar.","ref":"ExNylas.Calendars.html#first/2"},{"type":"function","title":"Examples - ExNylas.Calendars.first/2","doc":"iex> {:ok, result} = ExNylas.Calendars.first(conn, params)","ref":"ExNylas.Calendars.html#first/2-examples"},{"type":"function","title":"ExNylas.Calendars.first!/2","doc":"Get the first calendar.","ref":"ExNylas.Calendars.html#first!/2"},{"type":"function","title":"Examples - ExNylas.Calendars.first!/2","doc":"iex> result = ExNylas.Calendars.first!(conn, params)","ref":"ExNylas.Calendars.html#first!/2-examples"},{"type":"function","title":"ExNylas.Calendars.list/2","doc":"Fetch calendar(s), optionally provide query params.","ref":"ExNylas.Calendars.html#list/2"},{"type":"function","title":"Examples - ExNylas.Calendars.list/2","doc":"iex> {:ok, result} = ExNylas.Calendars.list(conn, params)","ref":"ExNylas.Calendars.html#list/2-examples"},{"type":"function","title":"ExNylas.Calendars.list!/2","doc":"Fetch calendar(s), optionally provide query params.","ref":"ExNylas.Calendars.html#list!/2"},{"type":"function","title":"Examples - ExNylas.Calendars.list!/2","doc":"iex> result = ExNylas.Calendars.list!(conn, params)","ref":"ExNylas.Calendars.html#list!/2-examples"},{"type":"function","title":"ExNylas.Calendars.update/4","doc":"Update a(n) calendar.","ref":"ExNylas.Calendars.html#update/4"},{"type":"function","title":"Examples - ExNylas.Calendars.update/4","doc":"iex> {:ok, result} = ExNylas.Calendars.update(conn, id, body, params)","ref":"ExNylas.Calendars.html#update/4-examples"},{"type":"function","title":"ExNylas.Calendars.update!/4","doc":"Update a(n) calendar.","ref":"ExNylas.Calendars.html#update!/4"},{"type":"function","title":"Examples - ExNylas.Calendars.update!/4","doc":"iex> result = ExNylas.Calendars.update!(conn, id, body, params)","ref":"ExNylas.Calendars.html#update!/4-examples"},{"type":"module","title":"ExNylas.Channel","doc":"A struct representing a channel.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/pubsub-notifications)","ref":"ExNylas.Channel.html"},{"type":"type","title":"ExNylas.Channel.t/0","doc":"","ref":"ExNylas.Channel.html#t:t/0"},{"type":"module","title":"ExNylas.Channel.Build","doc":"Helper module for validating a channel before creating/updating it.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/pubsub-notifications)","ref":"ExNylas.Channel.Build.html"},{"type":"type","title":"ExNylas.Channel.Build.t/0","doc":"","ref":"ExNylas.Channel.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Channels","doc":"Interface for Nylas channels.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/pubsub-notifications)","ref":"ExNylas.Channels.html"},{"type":"function","title":"ExNylas.Channels.build/1","doc":"Create and validate a channel, use create/update to send to Nylas.","ref":"ExNylas.Channels.html#build/1"},{"type":"function","title":"Examples - ExNylas.Channels.build/1","doc":"iex> {:ok, result} = ExNylas.Channels.build(payload)","ref":"ExNylas.Channels.html#build/1-examples"},{"type":"function","title":"ExNylas.Channels.build!/1","doc":"Create and validate a channel, use create/update to send to Nylas.","ref":"ExNylas.Channels.html#build!/1"},{"type":"function","title":"Examples - ExNylas.Channels.build!/1","doc":"iex> result = ExNylas.Channels.build!(payload)","ref":"ExNylas.Channels.html#build!/1-examples"},{"type":"function","title":"ExNylas.Channels.create/3","doc":"Create a(n) channel.","ref":"ExNylas.Channels.html#create/3"},{"type":"function","title":"Examples - ExNylas.Channels.create/3","doc":"iex> {:ok, result} = ExNylas.Channels.create(conn, body, params)","ref":"ExNylas.Channels.html#create/3-examples"},{"type":"function","title":"ExNylas.Channels.create!/3","doc":"Create a(n) channel.","ref":"ExNylas.Channels.html#create!/3"},{"type":"function","title":"Examples - ExNylas.Channels.create!/3","doc":"iex> result = ExNylas.Channels.create(conn, body, params)","ref":"ExNylas.Channels.html#create!/3-examples"},{"type":"function","title":"ExNylas.Channels.delete/3","doc":"Delete a(n) channel.","ref":"ExNylas.Channels.html#delete/3"},{"type":"function","title":"Examples - ExNylas.Channels.delete/3","doc":"iex> {:ok, result} = ExNylas.Channels.delete(conn, id, params)","ref":"ExNylas.Channels.html#delete/3-examples"},{"type":"function","title":"ExNylas.Channels.delete!/3","doc":"Delete a(n) channel.","ref":"ExNylas.Channels.html#delete!/3"},{"type":"function","title":"Examples - ExNylas.Channels.delete!/3","doc":"iex> result = ExNylas.Channels.delete!(conn, id, params)","ref":"ExNylas.Channels.html#delete!/3-examples"},{"type":"function","title":"ExNylas.Channels.find/3","doc":"Find a(n) channel.","ref":"ExNylas.Channels.html#find/3"},{"type":"function","title":"Examples - ExNylas.Channels.find/3","doc":"iex> {:ok, result} = ExNylas.Channels.find(conn, id, params)","ref":"ExNylas.Channels.html#find/3-examples"},{"type":"function","title":"ExNylas.Channels.find!/3","doc":"Find a(n) channel.","ref":"ExNylas.Channels.html#find!/3"},{"type":"function","title":"Examples - ExNylas.Channels.find!/3","doc":"iex> result = ExNylas.Channels.find!(conn, id, params)","ref":"ExNylas.Channels.html#find!/3-examples"},{"type":"function","title":"ExNylas.Channels.first/2","doc":"Get the first channel.","ref":"ExNylas.Channels.html#first/2"},{"type":"function","title":"Examples - ExNylas.Channels.first/2","doc":"iex> {:ok, result} = ExNylas.Channels.first(conn, params)","ref":"ExNylas.Channels.html#first/2-examples"},{"type":"function","title":"ExNylas.Channels.first!/2","doc":"Get the first channel.","ref":"ExNylas.Channels.html#first!/2"},{"type":"function","title":"Examples - ExNylas.Channels.first!/2","doc":"iex> result = ExNylas.Channels.first!(conn, params)","ref":"ExNylas.Channels.html#first!/2-examples"},{"type":"function","title":"ExNylas.Channels.list/2","doc":"Fetch channel(s), optionally provide query params.","ref":"ExNylas.Channels.html#list/2"},{"type":"function","title":"Examples - ExNylas.Channels.list/2","doc":"iex> {:ok, result} = ExNylas.Channels.list(conn, params)","ref":"ExNylas.Channels.html#list/2-examples"},{"type":"function","title":"ExNylas.Channels.list!/2","doc":"Fetch channel(s), optionally provide query params.","ref":"ExNylas.Channels.html#list!/2"},{"type":"function","title":"Examples - ExNylas.Channels.list!/2","doc":"iex> result = ExNylas.Channels.list!(conn, params)","ref":"ExNylas.Channels.html#list!/2-examples"},{"type":"function","title":"ExNylas.Channels.update/4","doc":"Update a(n) channel.","ref":"ExNylas.Channels.html#update/4"},{"type":"function","title":"Examples - ExNylas.Channels.update/4","doc":"iex> {:ok, result} = ExNylas.Channels.update(conn, id, body, params)","ref":"ExNylas.Channels.html#update/4-examples"},{"type":"function","title":"ExNylas.Channels.update!/4","doc":"Update a(n) channel.","ref":"ExNylas.Channels.html#update!/4"},{"type":"function","title":"Examples - ExNylas.Channels.update!/4","doc":"iex> result = ExNylas.Channels.update!(conn, id, body, params)","ref":"ExNylas.Channels.html#update!/4-examples"},{"type":"module","title":"ExNylas.Connection","doc":"A struct representing a Nylas API connection.\n\nThe `client_id`, `api_key` and `grant_id` are all optional when creating the connection struct.\nThe API credentials that are required by the Nylas API varies, though for most calls to the Nylas API the api_key and grant_id are needed.","ref":"ExNylas.Connection.html"},{"type":"type","title":"ExNylas.Connection.t/0","doc":"","ref":"ExNylas.Connection.html#t:t/0"},{"type":"module","title":"ExNylas.Connector","doc":"A struct representing a Nylas connector.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/connectors-integrations)","ref":"ExNylas.Connector.html"},{"type":"type","title":"ExNylas.Connector.t/0","doc":"","ref":"ExNylas.Connector.html#t:t/0"},{"type":"module","title":"ExNylas.Connector.Build","doc":"Helper module for validating a contact before creating/updating it.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/connectors-integrations)","ref":"ExNylas.Connector.Build.html"},{"type":"type","title":"ExNylas.Connector.Build.t/0","doc":"","ref":"ExNylas.Connector.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Connector.Build.Settings","doc":"","ref":"ExNylas.Connector.Build.Settings.html"},{"type":"type","title":"ExNylas.Connector.Build.Settings.t/0","doc":"","ref":"ExNylas.Connector.Build.Settings.html#t:t/0"},{"type":"module","title":"ExNylas.Connector.Settings","doc":"","ref":"ExNylas.Connector.Settings.html"},{"type":"type","title":"ExNylas.Connector.Settings.t/0","doc":"","ref":"ExNylas.Connector.Settings.html#t:t/0"},{"type":"module","title":"ExNylas.ConnectorCredential","doc":"Structs for Nylas connector credentials.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/connector-credentials)","ref":"ExNylas.ConnectorCredential.html"},{"type":"type","title":"ExNylas.ConnectorCredential.t/0","doc":"","ref":"ExNylas.ConnectorCredential.html#t:t/0"},{"type":"module","title":"ExNylas.ConnectorCredential.Build","doc":"Helper module for validating a connector credential before creating/updating it.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/connector-credentials)","ref":"ExNylas.ConnectorCredential.Build.html"},{"type":"type","title":"ExNylas.ConnectorCredential.Build.t/0","doc":"","ref":"ExNylas.ConnectorCredential.Build.html#t:t/0"},{"type":"module","title":"ExNylas.ConnectorCredentials","doc":"Interface for Nylas connector credentials.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/connector-credentials)","ref":"ExNylas.ConnectorCredentials.html"},{"type":"function","title":"ExNylas.ConnectorCredentials.build/1","doc":"Create and validate a connector credential, use create/update to send to Nylas.","ref":"ExNylas.ConnectorCredentials.html#build/1"},{"type":"function","title":"Examples - ExNylas.ConnectorCredentials.build/1","doc":"iex> {:ok, result} = ExNylas.ConnectorCredentials.build(payload)","ref":"ExNylas.ConnectorCredentials.html#build/1-examples"},{"type":"function","title":"ExNylas.ConnectorCredentials.build!/1","doc":"Create and validate a connector credential, use create/update to send to Nylas.","ref":"ExNylas.ConnectorCredentials.html#build!/1"},{"type":"function","title":"Examples - ExNylas.ConnectorCredentials.build!/1","doc":"iex> result = ExNylas.ConnectorCredentials.build!(payload)","ref":"ExNylas.ConnectorCredentials.html#build!/1-examples"},{"type":"function","title":"ExNylas.ConnectorCredentials.create/3","doc":"Create a connector credential.\n\nExample\n    {:ok, cred} = ExNylas.ConnectorCredentials.create(conn, provider, body)","ref":"ExNylas.ConnectorCredentials.html#create/3"},{"type":"function","title":"ExNylas.ConnectorCredentials.create!/3","doc":"Create a connector credential.\n\nExample\n    cred = ExNylas.ConnectorCredentials.create!(conn, provider, body)","ref":"ExNylas.ConnectorCredentials.html#create!/3"},{"type":"function","title":"ExNylas.ConnectorCredentials.delete/3","doc":"Delete a connector credential.\n\nExample\n    {:ok, res} = ExNylas.ConnectorCredentials.delete(conn, provider, id)","ref":"ExNylas.ConnectorCredentials.html#delete/3"},{"type":"function","title":"ExNylas.ConnectorCredentials.delete!/3","doc":"Delete a connector credential.\n\nExample\n    res = ExNylas.ConnectorCredentials.delete!(conn, provider, id)","ref":"ExNylas.ConnectorCredentials.html#delete!/3"},{"type":"function","title":"ExNylas.ConnectorCredentials.find/3","doc":"Find a connector credential.\n\nExample\n    {:ok, cred} = ExNylas.ConnectorCredentials.find(conn, provider, id)","ref":"ExNylas.ConnectorCredentials.html#find/3"},{"type":"function","title":"ExNylas.ConnectorCredentials.find!/3","doc":"Find a connector credential.\n\nExample\n    cred = ExNylas.ConnectorCredentials.find(conn, provider, id)","ref":"ExNylas.ConnectorCredentials.html#find!/3"},{"type":"function","title":"ExNylas.ConnectorCredentials.list/3","doc":"List connector credentials.\n\nExample\n    {:ok, creds} = ExNylas.ConnectorCredentials.list(conn, provider)","ref":"ExNylas.ConnectorCredentials.html#list/3"},{"type":"function","title":"ExNylas.ConnectorCredentials.list!/3","doc":"List connector credentials.\n\nExample\n    creds = ExNylas.ConnectorCredentials.list!(conn, provider)","ref":"ExNylas.ConnectorCredentials.html#list!/3"},{"type":"function","title":"ExNylas.ConnectorCredentials.update/4","doc":"Update a connector credential.","ref":"ExNylas.ConnectorCredentials.html#update/4"},{"type":"function","title":"Examples - ExNylas.ConnectorCredentials.update/4","doc":"iex> {:ok, cred} = ExNylas.ConnectorCredentials.update(conn, provider, id, changeset)","ref":"ExNylas.ConnectorCredentials.html#update/4-examples"},{"type":"function","title":"ExNylas.ConnectorCredentials.update!/4","doc":"Update a connector credential.","ref":"ExNylas.ConnectorCredentials.html#update!/4"},{"type":"function","title":"Examples - ExNylas.ConnectorCredentials.update!/4","doc":"iex> cred = ExNylas.ConnectorCredentials.update!(conn, provider, id, changeset)","ref":"ExNylas.ConnectorCredentials.html#update!/4-examples"},{"type":"module","title":"ExNylas.Connectors","doc":"Interface for Nylas connector.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/connectors-integrations)","ref":"ExNylas.Connectors.html"},{"type":"function","title":"ExNylas.Connectors.all/2","doc":"Fetch all connector(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Connectors.html#all/2"},{"type":"function","title":"Examples - ExNylas.Connectors.all/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> {:ok, result} = ExNylas.Connectors.all(conn, opts)","ref":"ExNylas.Connectors.html#all/2-examples"},{"type":"function","title":"ExNylas.Connectors.all!/2","doc":"Fetch all connector(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Connectors.html#all!/2"},{"type":"function","title":"Examples - ExNylas.Connectors.all!/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> result = ExNylas.Connectors.all!(conn, opts)","ref":"ExNylas.Connectors.html#all!/2-examples"},{"type":"function","title":"ExNylas.Connectors.build/1","doc":"Create and validate a connector, use create/update to send to Nylas.","ref":"ExNylas.Connectors.html#build/1"},{"type":"function","title":"Examples - ExNylas.Connectors.build/1","doc":"iex> {:ok, result} = ExNylas.Connectors.build(payload)","ref":"ExNylas.Connectors.html#build/1-examples"},{"type":"function","title":"ExNylas.Connectors.build!/1","doc":"Create and validate a connector, use create/update to send to Nylas.","ref":"ExNylas.Connectors.html#build!/1"},{"type":"function","title":"Examples - ExNylas.Connectors.build!/1","doc":"iex> result = ExNylas.Connectors.build!(payload)","ref":"ExNylas.Connectors.html#build!/1-examples"},{"type":"function","title":"ExNylas.Connectors.create/3","doc":"Create a(n) connector.","ref":"ExNylas.Connectors.html#create/3"},{"type":"function","title":"Examples - ExNylas.Connectors.create/3","doc":"iex> {:ok, result} = ExNylas.Connectors.create(conn, body, params)","ref":"ExNylas.Connectors.html#create/3-examples"},{"type":"function","title":"ExNylas.Connectors.create!/3","doc":"Create a(n) connector.","ref":"ExNylas.Connectors.html#create!/3"},{"type":"function","title":"Examples - ExNylas.Connectors.create!/3","doc":"iex> result = ExNylas.Connectors.create(conn, body, params)","ref":"ExNylas.Connectors.html#create!/3-examples"},{"type":"function","title":"ExNylas.Connectors.delete/3","doc":"Delete a(n) connector.","ref":"ExNylas.Connectors.html#delete/3"},{"type":"function","title":"Examples - ExNylas.Connectors.delete/3","doc":"iex> {:ok, result} = ExNylas.Connectors.delete(conn, id, params)","ref":"ExNylas.Connectors.html#delete/3-examples"},{"type":"function","title":"ExNylas.Connectors.delete!/3","doc":"Delete a(n) connector.","ref":"ExNylas.Connectors.html#delete!/3"},{"type":"function","title":"Examples - ExNylas.Connectors.delete!/3","doc":"iex> result = ExNylas.Connectors.delete!(conn, id, params)","ref":"ExNylas.Connectors.html#delete!/3-examples"},{"type":"function","title":"ExNylas.Connectors.find/3","doc":"Find a(n) connector.","ref":"ExNylas.Connectors.html#find/3"},{"type":"function","title":"Examples - ExNylas.Connectors.find/3","doc":"iex> {:ok, result} = ExNylas.Connectors.find(conn, id, params)","ref":"ExNylas.Connectors.html#find/3-examples"},{"type":"function","title":"ExNylas.Connectors.find!/3","doc":"Find a(n) connector.","ref":"ExNylas.Connectors.html#find!/3"},{"type":"function","title":"Examples - ExNylas.Connectors.find!/3","doc":"iex> result = ExNylas.Connectors.find!(conn, id, params)","ref":"ExNylas.Connectors.html#find!/3-examples"},{"type":"function","title":"ExNylas.Connectors.first/2","doc":"Get the first connector.","ref":"ExNylas.Connectors.html#first/2"},{"type":"function","title":"Examples - ExNylas.Connectors.first/2","doc":"iex> {:ok, result} = ExNylas.Connectors.first(conn, params)","ref":"ExNylas.Connectors.html#first/2-examples"},{"type":"function","title":"ExNylas.Connectors.first!/2","doc":"Get the first connector.","ref":"ExNylas.Connectors.html#first!/2"},{"type":"function","title":"Examples - ExNylas.Connectors.first!/2","doc":"iex> result = ExNylas.Connectors.first!(conn, params)","ref":"ExNylas.Connectors.html#first!/2-examples"},{"type":"function","title":"ExNylas.Connectors.list/2","doc":"Fetch connector(s), optionally provide query params.","ref":"ExNylas.Connectors.html#list/2"},{"type":"function","title":"Examples - ExNylas.Connectors.list/2","doc":"iex> {:ok, result} = ExNylas.Connectors.list(conn, params)","ref":"ExNylas.Connectors.html#list/2-examples"},{"type":"function","title":"ExNylas.Connectors.list!/2","doc":"Fetch connector(s), optionally provide query params.","ref":"ExNylas.Connectors.html#list!/2"},{"type":"function","title":"Examples - ExNylas.Connectors.list!/2","doc":"iex> result = ExNylas.Connectors.list!(conn, params)","ref":"ExNylas.Connectors.html#list!/2-examples"},{"type":"function","title":"ExNylas.Connectors.update/4","doc":"Update a(n) connector.","ref":"ExNylas.Connectors.html#update/4"},{"type":"function","title":"Examples - ExNylas.Connectors.update/4","doc":"iex> {:ok, result} = ExNylas.Connectors.update(conn, id, body, params)","ref":"ExNylas.Connectors.html#update/4-examples"},{"type":"function","title":"ExNylas.Connectors.update!/4","doc":"Update a(n) connector.","ref":"ExNylas.Connectors.html#update!/4"},{"type":"function","title":"Examples - ExNylas.Connectors.update!/4","doc":"iex> result = ExNylas.Connectors.update!(conn, id, body, params)","ref":"ExNylas.Connectors.html#update!/4-examples"},{"type":"module","title":"ExNylas.Contact","doc":"A struct representing a contact.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/contacts)","ref":"ExNylas.Contact.html"},{"type":"type","title":"ExNylas.Contact.t/0","doc":"","ref":"ExNylas.Contact.html#t:t/0"},{"type":"module","title":"ExNylas.Contact.Build","doc":"Helper module for validating a contact before creating/updating it.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/contacts)","ref":"ExNylas.Contact.Build.html"},{"type":"type","title":"ExNylas.Contact.Build.t/0","doc":"","ref":"ExNylas.Contact.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Contact.Build.ContactGroup","doc":"","ref":"ExNylas.Contact.Build.ContactGroup.html"},{"type":"type","title":"ExNylas.Contact.Build.ContactGroup.t/0","doc":"","ref":"ExNylas.Contact.Build.ContactGroup.html#t:t/0"},{"type":"module","title":"ExNylas.Contact.Build.Email","doc":"","ref":"ExNylas.Contact.Build.Email.html"},{"type":"type","title":"ExNylas.Contact.Build.Email.t/0","doc":"","ref":"ExNylas.Contact.Build.Email.html#t:t/0"},{"type":"module","title":"ExNylas.Contact.Build.ImAddress","doc":"","ref":"ExNylas.Contact.Build.ImAddress.html"},{"type":"type","title":"ExNylas.Contact.Build.ImAddress.t/0","doc":"","ref":"ExNylas.Contact.Build.ImAddress.html#t:t/0"},{"type":"module","title":"ExNylas.Contact.Build.PhoneNumber","doc":"","ref":"ExNylas.Contact.Build.PhoneNumber.html"},{"type":"type","title":"ExNylas.Contact.Build.PhoneNumber.t/0","doc":"","ref":"ExNylas.Contact.Build.PhoneNumber.html#t:t/0"},{"type":"module","title":"ExNylas.Contact.Build.PhysicalAddress","doc":"","ref":"ExNylas.Contact.Build.PhysicalAddress.html"},{"type":"type","title":"ExNylas.Contact.Build.PhysicalAddress.t/0","doc":"","ref":"ExNylas.Contact.Build.PhysicalAddress.html#t:t/0"},{"type":"module","title":"ExNylas.Contact.Build.WebPage","doc":"","ref":"ExNylas.Contact.Build.WebPage.html"},{"type":"type","title":"ExNylas.Contact.Build.WebPage.t/0","doc":"","ref":"ExNylas.Contact.Build.WebPage.html#t:t/0"},{"type":"module","title":"ExNylas.Contact.ContactGroup","doc":"","ref":"ExNylas.Contact.ContactGroup.html"},{"type":"type","title":"ExNylas.Contact.ContactGroup.t/0","doc":"","ref":"ExNylas.Contact.ContactGroup.html#t:t/0"},{"type":"module","title":"ExNylas.Contact.Email","doc":"","ref":"ExNylas.Contact.Email.html"},{"type":"type","title":"ExNylas.Contact.Email.t/0","doc":"","ref":"ExNylas.Contact.Email.html#t:t/0"},{"type":"module","title":"ExNylas.Contact.ImAddress","doc":"","ref":"ExNylas.Contact.ImAddress.html"},{"type":"type","title":"ExNylas.Contact.ImAddress.t/0","doc":"","ref":"ExNylas.Contact.ImAddress.html#t:t/0"},{"type":"module","title":"ExNylas.Contact.PhoneNumber","doc":"","ref":"ExNylas.Contact.PhoneNumber.html"},{"type":"type","title":"ExNylas.Contact.PhoneNumber.t/0","doc":"","ref":"ExNylas.Contact.PhoneNumber.html#t:t/0"},{"type":"module","title":"ExNylas.Contact.PhysicalAddress","doc":"","ref":"ExNylas.Contact.PhysicalAddress.html"},{"type":"type","title":"ExNylas.Contact.PhysicalAddress.t/0","doc":"","ref":"ExNylas.Contact.PhysicalAddress.html#t:t/0"},{"type":"module","title":"ExNylas.Contact.WebPage","doc":"","ref":"ExNylas.Contact.WebPage.html"},{"type":"type","title":"ExNylas.Contact.WebPage.t/0","doc":"","ref":"ExNylas.Contact.WebPage.html#t:t/0"},{"type":"module","title":"ExNylas.ContactGroup","doc":"A struct representing a contact group.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/contacts)","ref":"ExNylas.ContactGroup.html"},{"type":"type","title":"ExNylas.ContactGroup.t/0","doc":"","ref":"ExNylas.ContactGroup.html#t:t/0"},{"type":"module","title":"ExNylas.ContactGroups","doc":"A module for interacting with the Nylas Contacts API.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/contacts)","ref":"ExNylas.ContactGroups.html"},{"type":"function","title":"ExNylas.ContactGroups.all/2","doc":"Fetch all contact group(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.ContactGroups.html#all/2"},{"type":"function","title":"Examples - ExNylas.ContactGroups.all/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> {:ok, result} = ExNylas.ContactGroups.all(conn, opts)","ref":"ExNylas.ContactGroups.html#all/2-examples"},{"type":"function","title":"ExNylas.ContactGroups.all!/2","doc":"Fetch all contact group(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.ContactGroups.html#all!/2"},{"type":"function","title":"Examples - ExNylas.ContactGroups.all!/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> result = ExNylas.ContactGroups.all!(conn, opts)","ref":"ExNylas.ContactGroups.html#all!/2-examples"},{"type":"function","title":"ExNylas.ContactGroups.list/2","doc":"Fetch contact group(s), optionally provide query params.","ref":"ExNylas.ContactGroups.html#list/2"},{"type":"function","title":"Examples - ExNylas.ContactGroups.list/2","doc":"iex> {:ok, result} = ExNylas.ContactGroups.list(conn, params)","ref":"ExNylas.ContactGroups.html#list/2-examples"},{"type":"function","title":"ExNylas.ContactGroups.list!/2","doc":"Fetch contact group(s), optionally provide query params.","ref":"ExNylas.ContactGroups.html#list!/2"},{"type":"function","title":"Examples - ExNylas.ContactGroups.list!/2","doc":"iex> result = ExNylas.ContactGroups.list!(conn, params)","ref":"ExNylas.ContactGroups.html#list!/2-examples"},{"type":"module","title":"ExNylas.Contacts","doc":"A module for interacting with the Nylas Contacts API.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/contacts)","ref":"ExNylas.Contacts.html"},{"type":"function","title":"ExNylas.Contacts.all/2","doc":"Fetch all contact(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Contacts.html#all/2"},{"type":"function","title":"Examples - ExNylas.Contacts.all/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> {:ok, result} = ExNylas.Contacts.all(conn, opts)","ref":"ExNylas.Contacts.html#all/2-examples"},{"type":"function","title":"ExNylas.Contacts.all!/2","doc":"Fetch all contact(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Contacts.html#all!/2"},{"type":"function","title":"Examples - ExNylas.Contacts.all!/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> result = ExNylas.Contacts.all!(conn, opts)","ref":"ExNylas.Contacts.html#all!/2-examples"},{"type":"function","title":"ExNylas.Contacts.build/1","doc":"Create and validate a contact, use create/update to send to Nylas.","ref":"ExNylas.Contacts.html#build/1"},{"type":"function","title":"Examples - ExNylas.Contacts.build/1","doc":"iex> {:ok, result} = ExNylas.Contacts.build(payload)","ref":"ExNylas.Contacts.html#build/1-examples"},{"type":"function","title":"ExNylas.Contacts.build!/1","doc":"Create and validate a contact, use create/update to send to Nylas.","ref":"ExNylas.Contacts.html#build!/1"},{"type":"function","title":"Examples - ExNylas.Contacts.build!/1","doc":"iex> result = ExNylas.Contacts.build!(payload)","ref":"ExNylas.Contacts.html#build!/1-examples"},{"type":"function","title":"ExNylas.Contacts.create/3","doc":"Create a(n) contact.","ref":"ExNylas.Contacts.html#create/3"},{"type":"function","title":"Examples - ExNylas.Contacts.create/3","doc":"iex> {:ok, result} = ExNylas.Contacts.create(conn, body, params)","ref":"ExNylas.Contacts.html#create/3-examples"},{"type":"function","title":"ExNylas.Contacts.create!/3","doc":"Create a(n) contact.","ref":"ExNylas.Contacts.html#create!/3"},{"type":"function","title":"Examples - ExNylas.Contacts.create!/3","doc":"iex> result = ExNylas.Contacts.create(conn, body, params)","ref":"ExNylas.Contacts.html#create!/3-examples"},{"type":"function","title":"ExNylas.Contacts.delete/3","doc":"Delete a(n) contact.","ref":"ExNylas.Contacts.html#delete/3"},{"type":"function","title":"Examples - ExNylas.Contacts.delete/3","doc":"iex> {:ok, result} = ExNylas.Contacts.delete(conn, id, params)","ref":"ExNylas.Contacts.html#delete/3-examples"},{"type":"function","title":"ExNylas.Contacts.delete!/3","doc":"Delete a(n) contact.","ref":"ExNylas.Contacts.html#delete!/3"},{"type":"function","title":"Examples - ExNylas.Contacts.delete!/3","doc":"iex> result = ExNylas.Contacts.delete!(conn, id, params)","ref":"ExNylas.Contacts.html#delete!/3-examples"},{"type":"function","title":"ExNylas.Contacts.find/3","doc":"Find a(n) contact.","ref":"ExNylas.Contacts.html#find/3"},{"type":"function","title":"Examples - ExNylas.Contacts.find/3","doc":"iex> {:ok, result} = ExNylas.Contacts.find(conn, id, params)","ref":"ExNylas.Contacts.html#find/3-examples"},{"type":"function","title":"ExNylas.Contacts.find!/3","doc":"Find a(n) contact.","ref":"ExNylas.Contacts.html#find!/3"},{"type":"function","title":"Examples - ExNylas.Contacts.find!/3","doc":"iex> result = ExNylas.Contacts.find!(conn, id, params)","ref":"ExNylas.Contacts.html#find!/3-examples"},{"type":"function","title":"ExNylas.Contacts.first/2","doc":"Get the first contact.","ref":"ExNylas.Contacts.html#first/2"},{"type":"function","title":"Examples - ExNylas.Contacts.first/2","doc":"iex> {:ok, result} = ExNylas.Contacts.first(conn, params)","ref":"ExNylas.Contacts.html#first/2-examples"},{"type":"function","title":"ExNylas.Contacts.first!/2","doc":"Get the first contact.","ref":"ExNylas.Contacts.html#first!/2"},{"type":"function","title":"Examples - ExNylas.Contacts.first!/2","doc":"iex> result = ExNylas.Contacts.first!(conn, params)","ref":"ExNylas.Contacts.html#first!/2-examples"},{"type":"function","title":"ExNylas.Contacts.list/2","doc":"Fetch contact(s), optionally provide query params.","ref":"ExNylas.Contacts.html#list/2"},{"type":"function","title":"Examples - ExNylas.Contacts.list/2","doc":"iex> {:ok, result} = ExNylas.Contacts.list(conn, params)","ref":"ExNylas.Contacts.html#list/2-examples"},{"type":"function","title":"ExNylas.Contacts.list!/2","doc":"Fetch contact(s), optionally provide query params.","ref":"ExNylas.Contacts.html#list!/2"},{"type":"function","title":"Examples - ExNylas.Contacts.list!/2","doc":"iex> result = ExNylas.Contacts.list!(conn, params)","ref":"ExNylas.Contacts.html#list!/2-examples"},{"type":"function","title":"ExNylas.Contacts.update/4","doc":"Update a(n) contact.","ref":"ExNylas.Contacts.html#update/4"},{"type":"function","title":"Examples - ExNylas.Contacts.update/4","doc":"iex> {:ok, result} = ExNylas.Contacts.update(conn, id, body, params)","ref":"ExNylas.Contacts.html#update/4-examples"},{"type":"function","title":"ExNylas.Contacts.update!/4","doc":"Update a(n) contact.","ref":"ExNylas.Contacts.html#update!/4"},{"type":"function","title":"Examples - ExNylas.Contacts.update!/4","doc":"iex> result = ExNylas.Contacts.update!(conn, id, body, params)","ref":"ExNylas.Contacts.html#update!/4-examples"},{"type":"module","title":"ExNylas.CustomAuthentication","doc":"Interface for Nylas custom authentication\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/authentication-apis)","ref":"ExNylas.CustomAuthentication.html"},{"type":"function","title":"ExNylas.CustomAuthentication.build/1","doc":"Create and validate a custom authentication, use create/update to send to Nylas.","ref":"ExNylas.CustomAuthentication.html#build/1"},{"type":"function","title":"Examples - ExNylas.CustomAuthentication.build/1","doc":"iex> {:ok, result} = ExNylas.CustomAuthentication.build(payload)","ref":"ExNylas.CustomAuthentication.html#build/1-examples"},{"type":"function","title":"ExNylas.CustomAuthentication.build!/1","doc":"Create and validate a custom authentication, use create/update to send to Nylas.","ref":"ExNylas.CustomAuthentication.html#build!/1"},{"type":"function","title":"Examples - ExNylas.CustomAuthentication.build!/1","doc":"iex> result = ExNylas.CustomAuthentication.build!(payload)","ref":"ExNylas.CustomAuthentication.html#build!/1-examples"},{"type":"function","title":"ExNylas.CustomAuthentication.connect/2","doc":"Connect a grant using custom authentication.","ref":"ExNylas.CustomAuthentication.html#connect/2"},{"type":"function","title":"Examples - ExNylas.CustomAuthentication.connect/2","doc":"iex> {:ok, grant} = ExNylas.CustomAuthentication.connect(conn, body)","ref":"ExNylas.CustomAuthentication.html#connect/2-examples"},{"type":"function","title":"ExNylas.CustomAuthentication.connect!/2","doc":"Connect a grant using custom authentication.","ref":"ExNylas.CustomAuthentication.html#connect!/2"},{"type":"function","title":"Examples - ExNylas.CustomAuthentication.connect!/2","doc":"iex> grant = ExNylas.CustomAuthentication.connect!(conn, body)","ref":"ExNylas.CustomAuthentication.html#connect!/2-examples"},{"type":"module","title":"ExNylas.CustomAuthentication.Build","doc":"Helper module for validating a custom authentication request.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/authentication-apis)","ref":"ExNylas.CustomAuthentication.Build.html"},{"type":"type","title":"ExNylas.CustomAuthentication.Build.t/0","doc":"","ref":"ExNylas.CustomAuthentication.Build.html#t:t/0"},{"type":"module","title":"ExNylas.CustomAuthentication.Build.Settings","doc":"","ref":"ExNylas.CustomAuthentication.Build.Settings.html"},{"type":"type","title":"ExNylas.CustomAuthentication.Build.Settings.t/0","doc":"","ref":"ExNylas.CustomAuthentication.Build.Settings.html#t:t/0"},{"type":"module","title":"ExNylas.Draft","doc":"A struct representing a draft.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/drafts)","ref":"ExNylas.Draft.html"},{"type":"type","title":"ExNylas.Draft.t/0","doc":"","ref":"ExNylas.Draft.html#t:t/0"},{"type":"module","title":"ExNylas.Draft.Build","doc":"Helper module for validating a draft before creating/updating it.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/drafts)","ref":"ExNylas.Draft.Build.html"},{"type":"type","title":"ExNylas.Draft.Build.t/0","doc":"","ref":"ExNylas.Draft.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Drafts","doc":"Interface for Nylas Drafts.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/drafts)","ref":"ExNylas.Drafts.html"},{"type":"function","title":"ExNylas.Drafts.all/2","doc":"Fetch all draft(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Drafts.html#all/2"},{"type":"function","title":"Examples - ExNylas.Drafts.all/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> {:ok, result} = ExNylas.Drafts.all(conn, opts)","ref":"ExNylas.Drafts.html#all/2-examples"},{"type":"function","title":"ExNylas.Drafts.all!/2","doc":"Fetch all draft(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Drafts.html#all!/2"},{"type":"function","title":"Examples - ExNylas.Drafts.all!/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> result = ExNylas.Drafts.all!(conn, opts)","ref":"ExNylas.Drafts.html#all!/2-examples"},{"type":"function","title":"ExNylas.Drafts.build/1","doc":"Create and validate a draft, use create/update to send to Nylas.","ref":"ExNylas.Drafts.html#build/1"},{"type":"function","title":"Examples - ExNylas.Drafts.build/1","doc":"iex> {:ok, result} = ExNylas.Drafts.build(payload)","ref":"ExNylas.Drafts.html#build/1-examples"},{"type":"function","title":"ExNylas.Drafts.build!/1","doc":"Create and validate a draft, use create/update to send to Nylas.","ref":"ExNylas.Drafts.html#build!/1"},{"type":"function","title":"Examples - ExNylas.Drafts.build!/1","doc":"iex> result = ExNylas.Drafts.build!(payload)","ref":"ExNylas.Drafts.html#build!/1-examples"},{"type":"function","title":"ExNylas.Drafts.create/3","doc":"Create a draft.  Attachments must be either a list of file paths or a list of tuples with the content-id and file path.  The latter of which is needed in order to attach inline images.","ref":"ExNylas.Drafts.html#create/3"},{"type":"function","title":"Examples - ExNylas.Drafts.create/3","doc":"iex> {:ok, draft} = ExNylas.Drafts.create(conn, draft, [\"path_to_attachment\"])","ref":"ExNylas.Drafts.html#create/3-examples"},{"type":"function","title":"ExNylas.Drafts.create!/3","doc":"Create a draft.  Attachments must be either a list of file paths or a list of tuples with the content-id and file path.  The latter of which is needed in order to attach inline images.","ref":"ExNylas.Drafts.html#create!/3"},{"type":"function","title":"Examples - ExNylas.Drafts.create!/3","doc":"iex> draft = ExNylas.Drafts.create!(conn, draft, [\"path_to_attachment\"])","ref":"ExNylas.Drafts.html#create!/3-examples"},{"type":"function","title":"ExNylas.Drafts.delete/3","doc":"Delete a(n) draft.","ref":"ExNylas.Drafts.html#delete/3"},{"type":"function","title":"Examples - ExNylas.Drafts.delete/3","doc":"iex> {:ok, result} = ExNylas.Drafts.delete(conn, id, params)","ref":"ExNylas.Drafts.html#delete/3-examples"},{"type":"function","title":"ExNylas.Drafts.delete!/3","doc":"Delete a(n) draft.","ref":"ExNylas.Drafts.html#delete!/3"},{"type":"function","title":"Examples - ExNylas.Drafts.delete!/3","doc":"iex> result = ExNylas.Drafts.delete!(conn, id, params)","ref":"ExNylas.Drafts.html#delete!/3-examples"},{"type":"function","title":"ExNylas.Drafts.find/3","doc":"Find a(n) draft.","ref":"ExNylas.Drafts.html#find/3"},{"type":"function","title":"Examples - ExNylas.Drafts.find/3","doc":"iex> {:ok, result} = ExNylas.Drafts.find(conn, id, params)","ref":"ExNylas.Drafts.html#find/3-examples"},{"type":"function","title":"ExNylas.Drafts.find!/3","doc":"Find a(n) draft.","ref":"ExNylas.Drafts.html#find!/3"},{"type":"function","title":"Examples - ExNylas.Drafts.find!/3","doc":"iex> result = ExNylas.Drafts.find!(conn, id, params)","ref":"ExNylas.Drafts.html#find!/3-examples"},{"type":"function","title":"ExNylas.Drafts.first/2","doc":"Get the first draft.","ref":"ExNylas.Drafts.html#first/2"},{"type":"function","title":"Examples - ExNylas.Drafts.first/2","doc":"iex> {:ok, result} = ExNylas.Drafts.first(conn, params)","ref":"ExNylas.Drafts.html#first/2-examples"},{"type":"function","title":"ExNylas.Drafts.first!/2","doc":"Get the first draft.","ref":"ExNylas.Drafts.html#first!/2"},{"type":"function","title":"Examples - ExNylas.Drafts.first!/2","doc":"iex> result = ExNylas.Drafts.first!(conn, params)","ref":"ExNylas.Drafts.html#first!/2-examples"},{"type":"function","title":"ExNylas.Drafts.list/2","doc":"Fetch draft(s), optionally provide query params.","ref":"ExNylas.Drafts.html#list/2"},{"type":"function","title":"Examples - ExNylas.Drafts.list/2","doc":"iex> {:ok, result} = ExNylas.Drafts.list(conn, params)","ref":"ExNylas.Drafts.html#list/2-examples"},{"type":"function","title":"ExNylas.Drafts.list!/2","doc":"Fetch draft(s), optionally provide query params.","ref":"ExNylas.Drafts.html#list!/2"},{"type":"function","title":"Examples - ExNylas.Drafts.list!/2","doc":"iex> result = ExNylas.Drafts.list!(conn, params)","ref":"ExNylas.Drafts.html#list!/2-examples"},{"type":"function","title":"ExNylas.Drafts.send/2","doc":"Send a draft.","ref":"ExNylas.Drafts.html#send/2"},{"type":"function","title":"Examples - ExNylas.Drafts.send/2","doc":"iex> {:ok, sent_draft} = ExNylas.Drafts.send(conn, draft_id)","ref":"ExNylas.Drafts.html#send/2-examples"},{"type":"function","title":"ExNylas.Drafts.send!/2","doc":"Send a draft.","ref":"ExNylas.Drafts.html#send!/2"},{"type":"function","title":"Examples - ExNylas.Drafts.send!/2","doc":"iex> sent_draft = ExNylas.Drafts.send!(conn, draft_id)","ref":"ExNylas.Drafts.html#send!/2-examples"},{"type":"function","title":"ExNylas.Drafts.update/3","doc":"Update a draft.\n\nTo add attachments greater than 3MB, use `update/4` or `update!/4`.","ref":"ExNylas.Drafts.html#update/3"},{"type":"function","title":"Examples - ExNylas.Drafts.update/3","doc":"iex> {:ok, draft} = ExNylas.Drafts.update(conn, id, changeset)","ref":"ExNylas.Drafts.html#update/3-examples"},{"type":"function","title":"ExNylas.Drafts.update/4","doc":"Update a draft.  Attachments must be either a list of file paths or a list of tuples with the content-id and file path.  The latter of which is needed in order to attach inline images.\n\nTo remove all attachments from a draft, use `update/3` or `update!/3`.","ref":"ExNylas.Drafts.html#update/4"},{"type":"function","title":"Examples - ExNylas.Drafts.update/4","doc":"iex> {:ok, draft} = ExNylas.Drafts.update(conn, id, changeset, [\"path_to_attachment\"])","ref":"ExNylas.Drafts.html#update/4-examples"},{"type":"function","title":"ExNylas.Drafts.update!/3","doc":"Update a draft.\n\nTo add attachments greater than 3MB, use `update/4` or `update!/4`.","ref":"ExNylas.Drafts.html#update!/3"},{"type":"function","title":"Examples - ExNylas.Drafts.update!/3","doc":"iex> draft = ExNylas.Drafts.update!(conn, id, changeset)","ref":"ExNylas.Drafts.html#update!/3-examples"},{"type":"function","title":"ExNylas.Drafts.update!/4","doc":"Update a draft.  Attachments must be either a list of file paths or a list of tuples with the content-id and file path.  The latter of which is needed in order to attach inline images.\n\nTo remove all attachments from a draft, use `update/3` or `update!/3`.","ref":"ExNylas.Drafts.html#update!/4"},{"type":"function","title":"Examples - ExNylas.Drafts.update!/4","doc":"iex> draft = ExNylas.Drafts.update!(conn, id, changeset, [\"path_to_attachment\"])","ref":"ExNylas.Drafts.html#update!/4-examples"},{"type":"module","title":"ExNylas.EmailParticipant","doc":"A struct representing an email participant.","ref":"ExNylas.EmailParticipant.html"},{"type":"type","title":"ExNylas.EmailParticipant.t/0","doc":"","ref":"ExNylas.EmailParticipant.html#t:t/0"},{"type":"module","title":"ExNylas.EmailParticipant.Build","doc":"Helper module for building an email participant.","ref":"ExNylas.EmailParticipant.Build.html"},{"type":"function","title":"ExNylas.EmailParticipant.Build.changeset/2","doc":"","ref":"ExNylas.EmailParticipant.Build.html#changeset/2"},{"type":"type","title":"ExNylas.EmailParticipant.Build.t/0","doc":"","ref":"ExNylas.EmailParticipant.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Error","doc":"A struct representing an error from the Nylas API.","ref":"ExNylas.Error.html"},{"type":"type","title":"ExNylas.Error.t/0","doc":"","ref":"ExNylas.Error.html#t:t/0"},{"type":"module","title":"ExNylas.Event","doc":"A struct representing a event.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/events)","ref":"ExNylas.Event.html"},{"type":"type","title":"ExNylas.Event.conferencing/0","doc":"","ref":"ExNylas.Event.html#t:conferencing/0"},{"type":"type","title":"ExNylas.Event.details/0","doc":"","ref":"ExNylas.Event.html#t:details/0"},{"type":"type","title":"ExNylas.Event.organizer/0","doc":"","ref":"ExNylas.Event.html#t:organizer/0"},{"type":"type","title":"ExNylas.Event.participant/0","doc":"","ref":"ExNylas.Event.html#t:participant/0"},{"type":"type","title":"ExNylas.Event.reminder/0","doc":"","ref":"ExNylas.Event.html#t:reminder/0"},{"type":"type","title":"ExNylas.Event.t/0","doc":"","ref":"ExNylas.Event.html#t:t/0"},{"type":"module","title":"ExNylas.Event.Build","doc":"Helper module for validating an event before creating/updating it.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/events)","ref":"ExNylas.Event.Build.html"},{"type":"type","title":"ExNylas.Event.Build.t/0","doc":"","ref":"ExNylas.Event.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Event.Build.Participant","doc":"","ref":"ExNylas.Event.Build.Participant.html"},{"type":"type","title":"ExNylas.Event.Build.Participant.t/0","doc":"","ref":"ExNylas.Event.Build.Participant.html#t:t/0"},{"type":"module","title":"ExNylas.Event.Build.When","doc":"","ref":"ExNylas.Event.Build.When.html"},{"type":"type","title":"ExNylas.Event.Build.When.t/0","doc":"","ref":"ExNylas.Event.Build.When.html#t:t/0"},{"type":"module","title":"ExNylas.Event.Conferencing","doc":"","ref":"ExNylas.Event.Conferencing.html"},{"type":"module","title":"ExNylas.Event.Conferencing.Details","doc":"","ref":"ExNylas.Event.Conferencing.Details.html"},{"type":"module","title":"ExNylas.Event.Date","doc":"A struct representing an event date.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/events)","ref":"ExNylas.Event.Date.html"},{"type":"type","title":"ExNylas.Event.Date.t/0","doc":"","ref":"ExNylas.Event.Date.html#t:t/0"},{"type":"module","title":"ExNylas.Event.Datespan","doc":"A struct representing an event datespan.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/events)","ref":"ExNylas.Event.Datespan.html"},{"type":"type","title":"ExNylas.Event.Datespan.t/0","doc":"","ref":"ExNylas.Event.Datespan.html#t:t/0"},{"type":"module","title":"ExNylas.Event.Organizer","doc":"","ref":"ExNylas.Event.Organizer.html"},{"type":"module","title":"ExNylas.Event.Participant","doc":"","ref":"ExNylas.Event.Participant.html"},{"type":"module","title":"ExNylas.Event.Reminder","doc":"","ref":"ExNylas.Event.Reminder.html"},{"type":"module","title":"ExNylas.Event.Timespan","doc":"A struct representing an event timespan.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/events)","ref":"ExNylas.Event.Timespan.html"},{"type":"type","title":"ExNylas.Event.Timespan.t/0","doc":"","ref":"ExNylas.Event.Timespan.html#t:t/0"},{"type":"module","title":"ExNylas.EventBooking","doc":"A struct representing an event booking.","ref":"ExNylas.EventBooking.html"},{"type":"type","title":"ExNylas.EventBooking.t/0","doc":"","ref":"ExNylas.EventBooking.html#t:t/0"},{"type":"module","title":"ExNylas.EventBooking.Build","doc":"Helper module for validating an event booking before sending it.","ref":"ExNylas.EventBooking.Build.html"},{"type":"function","title":"ExNylas.EventBooking.Build.changeset/2","doc":"","ref":"ExNylas.EventBooking.Build.html#changeset/2"},{"type":"type","title":"ExNylas.EventBooking.Build.t/0","doc":"","ref":"ExNylas.EventBooking.Build.html#t:t/0"},{"type":"module","title":"ExNylas.EventConferencing","doc":"A struct representing event conferencing.","ref":"ExNylas.EventConferencing.html"},{"type":"type","title":"ExNylas.EventConferencing.t/0","doc":"","ref":"ExNylas.EventConferencing.html#t:t/0"},{"type":"module","title":"ExNylas.EventConferencing.Build","doc":"Helper module for validating an event conferencing before creating/updating it.","ref":"ExNylas.EventConferencing.Build.html"},{"type":"function","title":"ExNylas.EventConferencing.Build.changeset/2","doc":"","ref":"ExNylas.EventConferencing.Build.html#changeset/2"},{"type":"type","title":"ExNylas.EventConferencing.Build.t/0","doc":"","ref":"ExNylas.EventConferencing.Build.html#t:t/0"},{"type":"module","title":"ExNylas.EventConferencing.Build.Details","doc":"","ref":"ExNylas.EventConferencing.Build.Details.html"},{"type":"type","title":"ExNylas.EventConferencing.Build.Details.t/0","doc":"","ref":"ExNylas.EventConferencing.Build.Details.html#t:t/0"},{"type":"module","title":"ExNylas.EventConferencing.Details","doc":"","ref":"ExNylas.EventConferencing.Details.html"},{"type":"type","title":"ExNylas.EventConferencing.Details.t/0","doc":"","ref":"ExNylas.EventConferencing.Details.html#t:t/0"},{"type":"module","title":"ExNylas.EventReminder","doc":"A struct for an event reminder.","ref":"ExNylas.EventReminder.html"},{"type":"type","title":"ExNylas.EventReminder.t/0","doc":"","ref":"ExNylas.EventReminder.html#t:t/0"},{"type":"module","title":"ExNylas.EventReminder.Build","doc":"Helper module for validating an event reminder before creating/updating it.","ref":"ExNylas.EventReminder.Build.html"},{"type":"function","title":"ExNylas.EventReminder.Build.changeset/2","doc":"","ref":"ExNylas.EventReminder.Build.html#changeset/2"},{"type":"type","title":"ExNylas.EventReminder.Build.t/0","doc":"","ref":"ExNylas.EventReminder.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Events","doc":"Interface for Nylas events.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/events)","ref":"ExNylas.Events.html"},{"type":"function","title":"ExNylas.Events.all/2","doc":"Fetch all event(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Events.html#all/2"},{"type":"function","title":"Examples - ExNylas.Events.all/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> {:ok, result} = ExNylas.Events.all(conn, opts)","ref":"ExNylas.Events.html#all/2-examples"},{"type":"function","title":"ExNylas.Events.all!/2","doc":"Fetch all event(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Events.html#all!/2"},{"type":"function","title":"Examples - ExNylas.Events.all!/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> result = ExNylas.Events.all!(conn, opts)","ref":"ExNylas.Events.html#all!/2-examples"},{"type":"function","title":"ExNylas.Events.build/1","doc":"Create and validate a event, use create/update to send to Nylas.","ref":"ExNylas.Events.html#build/1"},{"type":"function","title":"Examples - ExNylas.Events.build/1","doc":"iex> {:ok, result} = ExNylas.Events.build(payload)","ref":"ExNylas.Events.html#build/1-examples"},{"type":"function","title":"ExNylas.Events.build!/1","doc":"Create and validate a event, use create/update to send to Nylas.","ref":"ExNylas.Events.html#build!/1"},{"type":"function","title":"Examples - ExNylas.Events.build!/1","doc":"iex> result = ExNylas.Events.build!(payload)","ref":"ExNylas.Events.html#build!/1-examples"},{"type":"function","title":"ExNylas.Events.create/3","doc":"Create a(n) event.","ref":"ExNylas.Events.html#create/3"},{"type":"function","title":"Examples - ExNylas.Events.create/3","doc":"iex> {:ok, result} = ExNylas.Events.create(conn, body, params)","ref":"ExNylas.Events.html#create/3-examples"},{"type":"function","title":"ExNylas.Events.create!/3","doc":"Create a(n) event.","ref":"ExNylas.Events.html#create!/3"},{"type":"function","title":"Examples - ExNylas.Events.create!/3","doc":"iex> result = ExNylas.Events.create(conn, body, params)","ref":"ExNylas.Events.html#create!/3-examples"},{"type":"function","title":"ExNylas.Events.delete/3","doc":"Delete a(n) event.","ref":"ExNylas.Events.html#delete/3"},{"type":"function","title":"Examples - ExNylas.Events.delete/3","doc":"iex> {:ok, result} = ExNylas.Events.delete(conn, id, params)","ref":"ExNylas.Events.html#delete/3-examples"},{"type":"function","title":"ExNylas.Events.delete!/3","doc":"Delete a(n) event.","ref":"ExNylas.Events.html#delete!/3"},{"type":"function","title":"Examples - ExNylas.Events.delete!/3","doc":"iex> result = ExNylas.Events.delete!(conn, id, params)","ref":"ExNylas.Events.html#delete!/3-examples"},{"type":"function","title":"ExNylas.Events.find/3","doc":"Find a(n) event.","ref":"ExNylas.Events.html#find/3"},{"type":"function","title":"Examples - ExNylas.Events.find/3","doc":"iex> {:ok, result} = ExNylas.Events.find(conn, id, params)","ref":"ExNylas.Events.html#find/3-examples"},{"type":"function","title":"ExNylas.Events.find!/3","doc":"Find a(n) event.","ref":"ExNylas.Events.html#find!/3"},{"type":"function","title":"Examples - ExNylas.Events.find!/3","doc":"iex> result = ExNylas.Events.find!(conn, id, params)","ref":"ExNylas.Events.html#find!/3-examples"},{"type":"function","title":"ExNylas.Events.first/2","doc":"Get the first event.","ref":"ExNylas.Events.html#first/2"},{"type":"function","title":"Examples - ExNylas.Events.first/2","doc":"iex> {:ok, result} = ExNylas.Events.first(conn, params)","ref":"ExNylas.Events.html#first/2-examples"},{"type":"function","title":"ExNylas.Events.first!/2","doc":"Get the first event.","ref":"ExNylas.Events.html#first!/2"},{"type":"function","title":"Examples - ExNylas.Events.first!/2","doc":"iex> result = ExNylas.Events.first!(conn, params)","ref":"ExNylas.Events.html#first!/2-examples"},{"type":"function","title":"ExNylas.Events.import_events/2","doc":"Import events.","ref":"ExNylas.Events.html#import_events/2"},{"type":"function","title":"Examples - ExNylas.Events.import_events/2","doc":"iex> {:ok, result} = ExNylas.Events.import_events(conn, params)","ref":"ExNylas.Events.html#import_events/2-examples"},{"type":"function","title":"ExNylas.Events.import_events!/2","doc":"Import events.","ref":"ExNylas.Events.html#import_events!/2"},{"type":"function","title":"Examples - ExNylas.Events.import_events!/2","doc":"iex> result = ExNylas.Events.import_events!(conn, params)","ref":"ExNylas.Events.html#import_events!/2-examples"},{"type":"function","title":"ExNylas.Events.list/2","doc":"Fetch event(s), optionally provide query params.","ref":"ExNylas.Events.html#list/2"},{"type":"function","title":"Examples - ExNylas.Events.list/2","doc":"iex> {:ok, result} = ExNylas.Events.list(conn, params)","ref":"ExNylas.Events.html#list/2-examples"},{"type":"function","title":"ExNylas.Events.list!/2","doc":"Fetch event(s), optionally provide query params.","ref":"ExNylas.Events.html#list!/2"},{"type":"function","title":"Examples - ExNylas.Events.list!/2","doc":"iex> result = ExNylas.Events.list!(conn, params)","ref":"ExNylas.Events.html#list!/2-examples"},{"type":"function","title":"ExNylas.Events.rsvp/4","doc":"Send an RSVP for a given event.","ref":"ExNylas.Events.html#rsvp/4"},{"type":"function","title":"Examples - ExNylas.Events.rsvp/4","doc":"iex> {:ok, success} = ExNylas.Events.rsvp(conn, event_id, status, calendar_id)","ref":"ExNylas.Events.html#rsvp/4-examples"},{"type":"function","title":"ExNylas.Events.rsvp!/4","doc":"Send an RSVP for a given event.","ref":"ExNylas.Events.html#rsvp!/4"},{"type":"function","title":"Examples - ExNylas.Events.rsvp!/4","doc":"iex> success = ExNylas.Events.rsvp!(conn, event_id, status, calendar_id)","ref":"ExNylas.Events.html#rsvp!/4-examples"},{"type":"function","title":"ExNylas.Events.update/4","doc":"Update a(n) event.","ref":"ExNylas.Events.html#update/4"},{"type":"function","title":"Examples - ExNylas.Events.update/4","doc":"iex> {:ok, result} = ExNylas.Events.update(conn, id, body, params)","ref":"ExNylas.Events.html#update/4-examples"},{"type":"function","title":"ExNylas.Events.update!/4","doc":"Update a(n) event.","ref":"ExNylas.Events.html#update!/4"},{"type":"function","title":"Examples - ExNylas.Events.update!/4","doc":"iex> result = ExNylas.Events.update!(conn, id, body, params)","ref":"ExNylas.Events.html#update!/4-examples"},{"type":"module","title":"ExNylas.Folder","doc":"A struct representing a folder.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/folders)","ref":"ExNylas.Folder.html"},{"type":"type","title":"ExNylas.Folder.t/0","doc":"","ref":"ExNylas.Folder.html#t:t/0"},{"type":"module","title":"ExNylas.Folder.Build","doc":"Helper module for validating a folder before creating/updating it.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/folders)","ref":"ExNylas.Folder.Build.html"},{"type":"type","title":"ExNylas.Folder.Build.t/0","doc":"","ref":"ExNylas.Folder.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Folders","doc":"Interface for Nylas folders.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/folders)","ref":"ExNylas.Folders.html"},{"type":"function","title":"ExNylas.Folders.all/2","doc":"Fetch all folder(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Folders.html#all/2"},{"type":"function","title":"Examples - ExNylas.Folders.all/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> {:ok, result} = ExNylas.Folders.all(conn, opts)","ref":"ExNylas.Folders.html#all/2-examples"},{"type":"function","title":"ExNylas.Folders.all!/2","doc":"Fetch all folder(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Folders.html#all!/2"},{"type":"function","title":"Examples - ExNylas.Folders.all!/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> result = ExNylas.Folders.all!(conn, opts)","ref":"ExNylas.Folders.html#all!/2-examples"},{"type":"function","title":"ExNylas.Folders.build/1","doc":"Create and validate a folder, use create/update to send to Nylas.","ref":"ExNylas.Folders.html#build/1"},{"type":"function","title":"Examples - ExNylas.Folders.build/1","doc":"iex> {:ok, result} = ExNylas.Folders.build(payload)","ref":"ExNylas.Folders.html#build/1-examples"},{"type":"function","title":"ExNylas.Folders.build!/1","doc":"Create and validate a folder, use create/update to send to Nylas.","ref":"ExNylas.Folders.html#build!/1"},{"type":"function","title":"Examples - ExNylas.Folders.build!/1","doc":"iex> result = ExNylas.Folders.build!(payload)","ref":"ExNylas.Folders.html#build!/1-examples"},{"type":"function","title":"ExNylas.Folders.create/3","doc":"Create a(n) folder.","ref":"ExNylas.Folders.html#create/3"},{"type":"function","title":"Examples - ExNylas.Folders.create/3","doc":"iex> {:ok, result} = ExNylas.Folders.create(conn, body, params)","ref":"ExNylas.Folders.html#create/3-examples"},{"type":"function","title":"ExNylas.Folders.create!/3","doc":"Create a(n) folder.","ref":"ExNylas.Folders.html#create!/3"},{"type":"function","title":"Examples - ExNylas.Folders.create!/3","doc":"iex> result = ExNylas.Folders.create(conn, body, params)","ref":"ExNylas.Folders.html#create!/3-examples"},{"type":"function","title":"ExNylas.Folders.delete/3","doc":"Delete a(n) folder.","ref":"ExNylas.Folders.html#delete/3"},{"type":"function","title":"Examples - ExNylas.Folders.delete/3","doc":"iex> {:ok, result} = ExNylas.Folders.delete(conn, id, params)","ref":"ExNylas.Folders.html#delete/3-examples"},{"type":"function","title":"ExNylas.Folders.delete!/3","doc":"Delete a(n) folder.","ref":"ExNylas.Folders.html#delete!/3"},{"type":"function","title":"Examples - ExNylas.Folders.delete!/3","doc":"iex> result = ExNylas.Folders.delete!(conn, id, params)","ref":"ExNylas.Folders.html#delete!/3-examples"},{"type":"function","title":"ExNylas.Folders.find/3","doc":"Find a(n) folder.","ref":"ExNylas.Folders.html#find/3"},{"type":"function","title":"Examples - ExNylas.Folders.find/3","doc":"iex> {:ok, result} = ExNylas.Folders.find(conn, id, params)","ref":"ExNylas.Folders.html#find/3-examples"},{"type":"function","title":"ExNylas.Folders.find!/3","doc":"Find a(n) folder.","ref":"ExNylas.Folders.html#find!/3"},{"type":"function","title":"Examples - ExNylas.Folders.find!/3","doc":"iex> result = ExNylas.Folders.find!(conn, id, params)","ref":"ExNylas.Folders.html#find!/3-examples"},{"type":"function","title":"ExNylas.Folders.first/2","doc":"Get the first folder.","ref":"ExNylas.Folders.html#first/2"},{"type":"function","title":"Examples - ExNylas.Folders.first/2","doc":"iex> {:ok, result} = ExNylas.Folders.first(conn, params)","ref":"ExNylas.Folders.html#first/2-examples"},{"type":"function","title":"ExNylas.Folders.first!/2","doc":"Get the first folder.","ref":"ExNylas.Folders.html#first!/2"},{"type":"function","title":"Examples - ExNylas.Folders.first!/2","doc":"iex> result = ExNylas.Folders.first!(conn, params)","ref":"ExNylas.Folders.html#first!/2-examples"},{"type":"function","title":"ExNylas.Folders.list/2","doc":"Fetch folder(s), optionally provide query params.","ref":"ExNylas.Folders.html#list/2"},{"type":"function","title":"Examples - ExNylas.Folders.list/2","doc":"iex> {:ok, result} = ExNylas.Folders.list(conn, params)","ref":"ExNylas.Folders.html#list/2-examples"},{"type":"function","title":"ExNylas.Folders.list!/2","doc":"Fetch folder(s), optionally provide query params.","ref":"ExNylas.Folders.html#list!/2"},{"type":"function","title":"Examples - ExNylas.Folders.list!/2","doc":"iex> result = ExNylas.Folders.list!(conn, params)","ref":"ExNylas.Folders.html#list!/2-examples"},{"type":"function","title":"ExNylas.Folders.update/4","doc":"Update a(n) folder.","ref":"ExNylas.Folders.html#update/4"},{"type":"function","title":"Examples - ExNylas.Folders.update/4","doc":"iex> {:ok, result} = ExNylas.Folders.update(conn, id, body, params)","ref":"ExNylas.Folders.html#update/4-examples"},{"type":"function","title":"ExNylas.Folders.update!/4","doc":"Update a(n) folder.","ref":"ExNylas.Folders.html#update!/4"},{"type":"function","title":"Examples - ExNylas.Folders.update!/4","doc":"iex> result = ExNylas.Folders.update!(conn, id, body, params)","ref":"ExNylas.Folders.html#update!/4-examples"},{"type":"module","title":"ExNylas.FreeBusy","doc":"Structs for Nylas calendar free/busy.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/calendar)","ref":"ExNylas.FreeBusy.html"},{"type":"type","title":"ExNylas.FreeBusy.t/0","doc":"","ref":"ExNylas.FreeBusy.html#t:t/0"},{"type":"module","title":"ExNylas.FreeBusy.TimeSlot","doc":"","ref":"ExNylas.FreeBusy.TimeSlot.html"},{"type":"type","title":"ExNylas.FreeBusy.TimeSlot.t/0","doc":"","ref":"ExNylas.FreeBusy.TimeSlot.html#t:t/0"},{"type":"module","title":"ExNylas.Grant","doc":"A struct represting a Nylas grant.\n\nhttps://developer.nylas.com/docs/api/v3/admin/#tag/manage-grants","ref":"ExNylas.Grant.html"},{"type":"type","title":"ExNylas.Grant.t/0","doc":"","ref":"ExNylas.Grant.html#t:t/0"},{"type":"module","title":"ExNylas.Grants","doc":"Interface for Nylas grants.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/manage-grants)","ref":"ExNylas.Grants.html"},{"type":"function","title":"ExNylas.Grants.all/2","doc":"Fetch all grant(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Grants.html#all/2"},{"type":"function","title":"Examples - ExNylas.Grants.all/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> {:ok, result} = ExNylas.Grants.all(conn, opts)","ref":"ExNylas.Grants.html#all/2-examples"},{"type":"function","title":"ExNylas.Grants.all!/2","doc":"Fetch all grant(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Grants.html#all!/2"},{"type":"function","title":"Examples - ExNylas.Grants.all!/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> result = ExNylas.Grants.all!(conn, opts)","ref":"ExNylas.Grants.html#all!/2-examples"},{"type":"function","title":"ExNylas.Grants.delete/3","doc":"Delete a(n) grant.","ref":"ExNylas.Grants.html#delete/3"},{"type":"function","title":"Examples - ExNylas.Grants.delete/3","doc":"iex> {:ok, result} = ExNylas.Grants.delete(conn, id, params)","ref":"ExNylas.Grants.html#delete/3-examples"},{"type":"function","title":"ExNylas.Grants.delete!/3","doc":"Delete a(n) grant.","ref":"ExNylas.Grants.html#delete!/3"},{"type":"function","title":"Examples - ExNylas.Grants.delete!/3","doc":"iex> result = ExNylas.Grants.delete!(conn, id, params)","ref":"ExNylas.Grants.html#delete!/3-examples"},{"type":"function","title":"ExNylas.Grants.find/3","doc":"Find a(n) grant.","ref":"ExNylas.Grants.html#find/3"},{"type":"function","title":"Examples - ExNylas.Grants.find/3","doc":"iex> {:ok, result} = ExNylas.Grants.find(conn, id, params)","ref":"ExNylas.Grants.html#find/3-examples"},{"type":"function","title":"ExNylas.Grants.find!/3","doc":"Find a(n) grant.","ref":"ExNylas.Grants.html#find!/3"},{"type":"function","title":"Examples - ExNylas.Grants.find!/3","doc":"iex> result = ExNylas.Grants.find!(conn, id, params)","ref":"ExNylas.Grants.html#find!/3-examples"},{"type":"function","title":"ExNylas.Grants.first/2","doc":"Get the first grant.","ref":"ExNylas.Grants.html#first/2"},{"type":"function","title":"Examples - ExNylas.Grants.first/2","doc":"iex> {:ok, result} = ExNylas.Grants.first(conn, params)","ref":"ExNylas.Grants.html#first/2-examples"},{"type":"function","title":"ExNylas.Grants.first!/2","doc":"Get the first grant.","ref":"ExNylas.Grants.html#first!/2"},{"type":"function","title":"Examples - ExNylas.Grants.first!/2","doc":"iex> result = ExNylas.Grants.first!(conn, params)","ref":"ExNylas.Grants.html#first!/2-examples"},{"type":"function","title":"ExNylas.Grants.list/2","doc":"Fetch grant(s), optionally provide query params.","ref":"ExNylas.Grants.html#list/2"},{"type":"function","title":"Examples - ExNylas.Grants.list/2","doc":"iex> {:ok, result} = ExNylas.Grants.list(conn, params)","ref":"ExNylas.Grants.html#list/2-examples"},{"type":"function","title":"ExNylas.Grants.list!/2","doc":"Fetch grant(s), optionally provide query params.","ref":"ExNylas.Grants.html#list!/2"},{"type":"function","title":"Examples - ExNylas.Grants.list!/2","doc":"iex> result = ExNylas.Grants.list!(conn, params)","ref":"ExNylas.Grants.html#list!/2-examples"},{"type":"function","title":"ExNylas.Grants.me/1","doc":"Get a grant using the current access token.","ref":"ExNylas.Grants.html#me/1"},{"type":"function","title":"Examples - ExNylas.Grants.me/1","doc":"iex> {:ok, result} = ExNylas.Grants.me(conn)","ref":"ExNylas.Grants.html#me/1-examples"},{"type":"function","title":"ExNylas.Grants.me!/1","doc":"Get a grant using the current access token.","ref":"ExNylas.Grants.html#me!/1"},{"type":"function","title":"Examples - ExNylas.Grants.me!/1","doc":"iex> result = ExNylas.Grants.me!(conn)","ref":"ExNylas.Grants.html#me!/1-examples"},{"type":"function","title":"ExNylas.Grants.refresh/2","doc":"Refresh a grant's access token using its refresh token.\n\nOAuth 2.0 access tokens expire after one hour. When the access token expires,\nyou can use the refresh token to get a new access token.","ref":"ExNylas.Grants.html#refresh/2"},{"type":"function","title":"Examples - ExNylas.Grants.refresh/2","doc":"iex> {:ok, result} = ExNylas.Grants.refresh(conn, \"refresh-token\")","ref":"ExNylas.Grants.html#refresh/2-examples"},{"type":"function","title":"ExNylas.Grants.refresh!/2","doc":"Refresh a grant's access token using its refresh token.\n\nOAuth 2.0 access tokens expire after one hour. This function will raise an error\nif the refresh operation fails.","ref":"ExNylas.Grants.html#refresh!/2"},{"type":"function","title":"Examples - ExNylas.Grants.refresh!/2","doc":"iex> result = ExNylas.Grants.refresh!(conn, \"refresh-token\")","ref":"ExNylas.Grants.html#refresh!/2-examples"},{"type":"module","title":"ExNylas.HostedAuthentication","doc":"Nylas hosted authentication\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/authentication-apis)","ref":"ExNylas.HostedAuthentication.html"},{"type":"function","title":"ExNylas.HostedAuthentication.build/1","doc":"Create and validate a hosted authentication, use create/update to send to Nylas.","ref":"ExNylas.HostedAuthentication.html#build/1"},{"type":"function","title":"Examples - ExNylas.HostedAuthentication.build/1","doc":"iex> {:ok, result} = ExNylas.HostedAuthentication.build(payload)","ref":"ExNylas.HostedAuthentication.html#build/1-examples"},{"type":"function","title":"ExNylas.HostedAuthentication.build!/1","doc":"Create and validate a hosted authentication, use create/update to send to Nylas.","ref":"ExNylas.HostedAuthentication.html#build!/1"},{"type":"function","title":"Examples - ExNylas.HostedAuthentication.build!/1","doc":"iex> result = ExNylas.HostedAuthentication.build!(payload)","ref":"ExNylas.HostedAuthentication.html#build!/1-examples"},{"type":"function","title":"ExNylas.HostedAuthentication.exchange_code_for_token/4","doc":"Exchange an authorization code for a Nylas access token","ref":"ExNylas.HostedAuthentication.html#exchange_code_for_token/4"},{"type":"function","title":"Examples - ExNylas.HostedAuthentication.exchange_code_for_token/4","doc":"iex> {:ok, access_token} = ExNylas.HostedAuthentication.exchange_code_for_token(conn, code, redirect)","ref":"ExNylas.HostedAuthentication.html#exchange_code_for_token/4-examples"},{"type":"function","title":"ExNylas.HostedAuthentication.exchange_code_for_token!/4","doc":"Exchange an authorization code for a Nylas access token","ref":"ExNylas.HostedAuthentication.html#exchange_code_for_token!/4"},{"type":"function","title":"Examples - ExNylas.HostedAuthentication.exchange_code_for_token!/4","doc":"iex> access_token = ExNylas.HostedAuthentication.exchange_code_for_token!(conn, code, redirect)","ref":"ExNylas.HostedAuthentication.html#exchange_code_for_token!/4-examples"},{"type":"function","title":"ExNylas.HostedAuthentication.get_auth_url/2","doc":"Returns the URI to send the end user\n\nNotes:\n  1. `client_id` is required (on the connection struct)\n  2. `redirect_uri` is required (in options) and must be registered on the Nylas application\n\nOptionally use ExNylas.HostedAuthentication.build/1 to validate options.","ref":"ExNylas.HostedAuthentication.html#get_auth_url/2"},{"type":"function","title":"Examples - ExNylas.HostedAuthentication.get_auth_url/2","doc":"iex> options = %{login_hint: \"hello@nylas.com\", redirect_uri: \"https://mycoolapp.com/auth\", state: \"random_string\", scope: [\"provider_scope_1\", \"provider_scope_2\"]}\n    iex> {:ok, uri} = ExNylas.HostedAuthentication.get_auth_url(conn, options)","ref":"ExNylas.HostedAuthentication.html#get_auth_url/2-examples"},{"type":"function","title":"ExNylas.HostedAuthentication.get_auth_url!/2","doc":"Returns the URI to send the end user\n\nNotes:\n  1. `client_id` is required (on the connection struct)\n  2. `redirect_uri` is required (in options) and must be registered on the Nylas application\n\nOptionally use ExNylas.HostedAuthentication.build/1 to validate options.","ref":"ExNylas.HostedAuthentication.html#get_auth_url!/2"},{"type":"function","title":"Examples - ExNylas.HostedAuthentication.get_auth_url!/2","doc":"iex> options = %{login_hint: \"hello@nylas.com\", redirect_uri: \"https://mycoolapp.com/auth\", state: \"random_string\", scope: [\"provider_scope_1\", \"provider_scope_2\"]}\n    iex> uri = ExNylas.HostedAuthentication.get_auth_url!(conn, options)","ref":"ExNylas.HostedAuthentication.html#get_auth_url!/2-examples"},{"type":"module","title":"ExNylas.HostedAuthentication.Error","doc":"A struct representing an error response from Nylas during the hosted auth code exchange.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/authentication-apis)","ref":"ExNylas.HostedAuthentication.Error.html"},{"type":"type","title":"ExNylas.HostedAuthentication.Error.t/0","doc":"","ref":"ExNylas.HostedAuthentication.Error.html#t:t/0"},{"type":"module","title":"ExNylas.HostedAuthentication.Grant","doc":"Structs for Nylas hosted authentication.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/authentication-apis)","ref":"ExNylas.HostedAuthentication.Grant.html"},{"type":"type","title":"ExNylas.HostedAuthentication.Grant.t/0","doc":"","ref":"ExNylas.HostedAuthentication.Grant.html#t:t/0"},{"type":"module","title":"ExNylas.HostedAuthentication.Options.Build","doc":"Helper module to validate options for hosted authentication.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/authentication-apis)","ref":"ExNylas.HostedAuthentication.Options.Build.html"},{"type":"type","title":"ExNylas.HostedAuthentication.Options.Build.t/0","doc":"","ref":"ExNylas.HostedAuthentication.Options.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Message","doc":"A struct representing a message.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/messages)","ref":"ExNylas.Message.html"},{"type":"type","title":"ExNylas.Message.t/0","doc":"","ref":"ExNylas.Message.html#t:t/0"},{"type":"module","title":"ExNylas.Message.Build","doc":"Helper module for validating a message before sending it.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/messages)","ref":"ExNylas.Message.Build.html"},{"type":"type","title":"ExNylas.Message.Build.t/0","doc":"","ref":"ExNylas.Message.Build.html#t:t/0"},{"type":"module","title":"ExNylas.MessageHeader","doc":"A struct representing the headers of a message.","ref":"ExNylas.MessageHeader.html"},{"type":"type","title":"ExNylas.MessageHeader.t/0","doc":"","ref":"ExNylas.MessageHeader.html#t:t/0"},{"type":"module","title":"ExNylas.MessageHeader.Build","doc":"A struct for message header.","ref":"ExNylas.MessageHeader.Build.html"},{"type":"function","title":"ExNylas.MessageHeader.Build.changeset/2","doc":"","ref":"ExNylas.MessageHeader.Build.html#changeset/2"},{"type":"type","title":"ExNylas.MessageHeader.Build.t/0","doc":"","ref":"ExNylas.MessageHeader.Build.html#t:t/0"},{"type":"module","title":"ExNylas.MessageSchedule","doc":"A struct for Nylas message schedules.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/messages)","ref":"ExNylas.MessageSchedule.html"},{"type":"type","title":"ExNylas.MessageSchedule.t/0","doc":"","ref":"ExNylas.MessageSchedule.html#t:t/0"},{"type":"module","title":"ExNylas.MessageSchedule.Status","doc":"","ref":"ExNylas.MessageSchedule.Status.html"},{"type":"type","title":"ExNylas.MessageSchedule.Status.t/0","doc":"","ref":"ExNylas.MessageSchedule.Status.html#t:t/0"},{"type":"module","title":"ExNylas.MessageSchedules","doc":"Interface for Nylas message schedules.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/messages)","ref":"ExNylas.MessageSchedules.html"},{"type":"function","title":"ExNylas.MessageSchedules.all/2","doc":"Fetch all message schedule(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.MessageSchedules.html#all/2"},{"type":"function","title":"Examples - ExNylas.MessageSchedules.all/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> {:ok, result} = ExNylas.MessageSchedules.all(conn, opts)","ref":"ExNylas.MessageSchedules.html#all/2-examples"},{"type":"function","title":"ExNylas.MessageSchedules.all!/2","doc":"Fetch all message schedule(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.MessageSchedules.html#all!/2"},{"type":"function","title":"Examples - ExNylas.MessageSchedules.all!/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> result = ExNylas.MessageSchedules.all!(conn, opts)","ref":"ExNylas.MessageSchedules.html#all!/2-examples"},{"type":"function","title":"ExNylas.MessageSchedules.delete/3","doc":"Delete a(n) message schedule.","ref":"ExNylas.MessageSchedules.html#delete/3"},{"type":"function","title":"Examples - ExNylas.MessageSchedules.delete/3","doc":"iex> {:ok, result} = ExNylas.MessageSchedules.delete(conn, id, params)","ref":"ExNylas.MessageSchedules.html#delete/3-examples"},{"type":"function","title":"ExNylas.MessageSchedules.delete!/3","doc":"Delete a(n) message schedule.","ref":"ExNylas.MessageSchedules.html#delete!/3"},{"type":"function","title":"Examples - ExNylas.MessageSchedules.delete!/3","doc":"iex> result = ExNylas.MessageSchedules.delete!(conn, id, params)","ref":"ExNylas.MessageSchedules.html#delete!/3-examples"},{"type":"function","title":"ExNylas.MessageSchedules.find/3","doc":"Find a(n) message schedule.","ref":"ExNylas.MessageSchedules.html#find/3"},{"type":"function","title":"Examples - ExNylas.MessageSchedules.find/3","doc":"iex> {:ok, result} = ExNylas.MessageSchedules.find(conn, id, params)","ref":"ExNylas.MessageSchedules.html#find/3-examples"},{"type":"function","title":"ExNylas.MessageSchedules.find!/3","doc":"Find a(n) message schedule.","ref":"ExNylas.MessageSchedules.html#find!/3"},{"type":"function","title":"Examples - ExNylas.MessageSchedules.find!/3","doc":"iex> result = ExNylas.MessageSchedules.find!(conn, id, params)","ref":"ExNylas.MessageSchedules.html#find!/3-examples"},{"type":"function","title":"ExNylas.MessageSchedules.first/2","doc":"Get the first message schedule.","ref":"ExNylas.MessageSchedules.html#first/2"},{"type":"function","title":"Examples - ExNylas.MessageSchedules.first/2","doc":"iex> {:ok, result} = ExNylas.MessageSchedules.first(conn, params)","ref":"ExNylas.MessageSchedules.html#first/2-examples"},{"type":"function","title":"ExNylas.MessageSchedules.first!/2","doc":"Get the first message schedule.","ref":"ExNylas.MessageSchedules.html#first!/2"},{"type":"function","title":"Examples - ExNylas.MessageSchedules.first!/2","doc":"iex> result = ExNylas.MessageSchedules.first!(conn, params)","ref":"ExNylas.MessageSchedules.html#first!/2-examples"},{"type":"function","title":"ExNylas.MessageSchedules.list/2","doc":"Fetch message schedule(s), optionally provide query params.","ref":"ExNylas.MessageSchedules.html#list/2"},{"type":"function","title":"Examples - ExNylas.MessageSchedules.list/2","doc":"iex> {:ok, result} = ExNylas.MessageSchedules.list(conn, params)","ref":"ExNylas.MessageSchedules.html#list/2-examples"},{"type":"function","title":"ExNylas.MessageSchedules.list!/2","doc":"Fetch message schedule(s), optionally provide query params.","ref":"ExNylas.MessageSchedules.html#list!/2"},{"type":"function","title":"Examples - ExNylas.MessageSchedules.list!/2","doc":"iex> result = ExNylas.MessageSchedules.list!(conn, params)","ref":"ExNylas.MessageSchedules.html#list!/2-examples"},{"type":"module","title":"ExNylas.Messages","doc":"Interface for Nylas messages.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/messages)","ref":"ExNylas.Messages.html"},{"type":"function","title":"ExNylas.Messages.all/2","doc":"Fetch all message(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Messages.html#all/2"},{"type":"function","title":"Examples - ExNylas.Messages.all/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> {:ok, result} = ExNylas.Messages.all(conn, opts)","ref":"ExNylas.Messages.html#all/2-examples"},{"type":"function","title":"ExNylas.Messages.all!/2","doc":"Fetch all message(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Messages.html#all!/2"},{"type":"function","title":"Examples - ExNylas.Messages.all!/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> result = ExNylas.Messages.all!(conn, opts)","ref":"ExNylas.Messages.html#all!/2-examples"},{"type":"function","title":"ExNylas.Messages.build/1","doc":"Create and validate a message, use create/update to send to Nylas.","ref":"ExNylas.Messages.html#build/1"},{"type":"function","title":"Examples - ExNylas.Messages.build/1","doc":"iex> {:ok, result} = ExNylas.Messages.build(payload)","ref":"ExNylas.Messages.html#build/1-examples"},{"type":"function","title":"ExNylas.Messages.build!/1","doc":"Create and validate a message, use create/update to send to Nylas.","ref":"ExNylas.Messages.html#build!/1"},{"type":"function","title":"Examples - ExNylas.Messages.build!/1","doc":"iex> result = ExNylas.Messages.build!(payload)","ref":"ExNylas.Messages.html#build!/1-examples"},{"type":"function","title":"ExNylas.Messages.clean/2","doc":"Clean a message.","ref":"ExNylas.Messages.html#clean/2"},{"type":"function","title":"Examples - ExNylas.Messages.clean/2","doc":"iex> {:ok, message} = ExNylas.Messages.clean(conn, payload)","ref":"ExNylas.Messages.html#clean/2-examples"},{"type":"function","title":"ExNylas.Messages.clean!/2","doc":"Clean a message.","ref":"ExNylas.Messages.html#clean!/2"},{"type":"function","title":"Examples - ExNylas.Messages.clean!/2","doc":"iex> message = ExNylas.Messages.clean!(conn, payload)","ref":"ExNylas.Messages.html#clean!/2-examples"},{"type":"function","title":"ExNylas.Messages.delete/3","doc":"Delete a(n) message.","ref":"ExNylas.Messages.html#delete/3"},{"type":"function","title":"Examples - ExNylas.Messages.delete/3","doc":"iex> {:ok, result} = ExNylas.Messages.delete(conn, id, params)","ref":"ExNylas.Messages.html#delete/3-examples"},{"type":"function","title":"ExNylas.Messages.delete!/3","doc":"Delete a(n) message.","ref":"ExNylas.Messages.html#delete!/3"},{"type":"function","title":"Examples - ExNylas.Messages.delete!/3","doc":"iex> result = ExNylas.Messages.delete!(conn, id, params)","ref":"ExNylas.Messages.html#delete!/3-examples"},{"type":"function","title":"ExNylas.Messages.find/3","doc":"Find a(n) message.","ref":"ExNylas.Messages.html#find/3"},{"type":"function","title":"Examples - ExNylas.Messages.find/3","doc":"iex> {:ok, result} = ExNylas.Messages.find(conn, id, params)","ref":"ExNylas.Messages.html#find/3-examples"},{"type":"function","title":"ExNylas.Messages.find!/3","doc":"Find a(n) message.","ref":"ExNylas.Messages.html#find!/3"},{"type":"function","title":"Examples - ExNylas.Messages.find!/3","doc":"iex> result = ExNylas.Messages.find!(conn, id, params)","ref":"ExNylas.Messages.html#find!/3-examples"},{"type":"function","title":"ExNylas.Messages.first/2","doc":"Get the first message.","ref":"ExNylas.Messages.html#first/2"},{"type":"function","title":"Examples - ExNylas.Messages.first/2","doc":"iex> {:ok, result} = ExNylas.Messages.first(conn, params)","ref":"ExNylas.Messages.html#first/2-examples"},{"type":"function","title":"ExNylas.Messages.first!/2","doc":"Get the first message.","ref":"ExNylas.Messages.html#first!/2"},{"type":"function","title":"Examples - ExNylas.Messages.first!/2","doc":"iex> result = ExNylas.Messages.first!(conn, params)","ref":"ExNylas.Messages.html#first!/2-examples"},{"type":"function","title":"ExNylas.Messages.list/2","doc":"Fetch message(s), optionally provide query params.","ref":"ExNylas.Messages.html#list/2"},{"type":"function","title":"Examples - ExNylas.Messages.list/2","doc":"iex> {:ok, result} = ExNylas.Messages.list(conn, params)","ref":"ExNylas.Messages.html#list/2-examples"},{"type":"function","title":"ExNylas.Messages.list!/2","doc":"Fetch message(s), optionally provide query params.","ref":"ExNylas.Messages.html#list!/2"},{"type":"function","title":"Examples - ExNylas.Messages.list!/2","doc":"iex> result = ExNylas.Messages.list!(conn, params)","ref":"ExNylas.Messages.html#list!/2-examples"},{"type":"function","title":"ExNylas.Messages.send/3","doc":"Send a message.  Attachments must be either a list of file paths or a list of tuples with the content-id and file path.  The latter of which is needed in order to attach inline images.","ref":"ExNylas.Messages.html#send/3"},{"type":"function","title":"Examples - ExNylas.Messages.send/3","doc":"iex> {:ok, sent_message} = ExNylas.Messages.send(conn, message, [\"path_to_attachment\"])","ref":"ExNylas.Messages.html#send/3-examples"},{"type":"function","title":"ExNylas.Messages.send!/3","doc":"Send a message.  Attachments must be either a list of file paths or a list of tuples with the content-id and file path.  The latter of which is needed in order to attach inline images.","ref":"ExNylas.Messages.html#send!/3"},{"type":"function","title":"Examples - ExNylas.Messages.send!/3","doc":"iex> sent_message = ExNylas.Messages.send!(conn, message, [\"path_to_attachment\"])","ref":"ExNylas.Messages.html#send!/3-examples"},{"type":"function","title":"ExNylas.Messages.update/4","doc":"Update a(n) message.","ref":"ExNylas.Messages.html#update/4"},{"type":"function","title":"Examples - ExNylas.Messages.update/4","doc":"iex> {:ok, result} = ExNylas.Messages.update(conn, id, body, params)","ref":"ExNylas.Messages.html#update/4-examples"},{"type":"function","title":"ExNylas.Messages.update!/4","doc":"Update a(n) message.","ref":"ExNylas.Messages.html#update!/4"},{"type":"function","title":"Examples - ExNylas.Messages.update!/4","doc":"iex> result = ExNylas.Messages.update!(conn, id, body, params)","ref":"ExNylas.Messages.html#update!/4-examples"},{"type":"module","title":"ExNylas.Notetaker","doc":"A struct representing a notetaker.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/notetaker)","ref":"ExNylas.Notetaker.html"},{"type":"type","title":"ExNylas.Notetaker.t/0","doc":"","ref":"ExNylas.Notetaker.html#t:t/0"},{"type":"module","title":"ExNylas.Notetaker.Build","doc":"Helper module for validating a notetaker before creating/updating it.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/notetaker)","ref":"ExNylas.Notetaker.Build.html"},{"type":"type","title":"ExNylas.Notetaker.Build.t/0","doc":"","ref":"ExNylas.Notetaker.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Notetaker.Build.MeetingSettings","doc":"","ref":"ExNylas.Notetaker.Build.MeetingSettings.html"},{"type":"type","title":"ExNylas.Notetaker.Build.MeetingSettings.t/0","doc":"","ref":"ExNylas.Notetaker.Build.MeetingSettings.html#t:t/0"},{"type":"module","title":"ExNylas.Notetaker.Build.Rules","doc":"","ref":"ExNylas.Notetaker.Build.Rules.html"},{"type":"type","title":"ExNylas.Notetaker.Build.Rules.t/0","doc":"","ref":"ExNylas.Notetaker.Build.Rules.html#t:t/0"},{"type":"module","title":"ExNylas.Notetaker.Build.Rules.ParticipantFilter","doc":"","ref":"ExNylas.Notetaker.Build.Rules.ParticipantFilter.html"},{"type":"type","title":"ExNylas.Notetaker.Build.Rules.ParticipantFilter.t/0","doc":"","ref":"ExNylas.Notetaker.Build.Rules.ParticipantFilter.html#t:t/0"},{"type":"module","title":"ExNylas.Notetaker.Media","doc":"Struct for Notetaker Media.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/notetaker)","ref":"ExNylas.Notetaker.Media.html"},{"type":"type","title":"ExNylas.Notetaker.Media.t/0","doc":"","ref":"ExNylas.Notetaker.Media.html#t:t/0"},{"type":"module","title":"ExNylas.Notetaker.Media.Recording","doc":"","ref":"ExNylas.Notetaker.Media.Recording.html"},{"type":"type","title":"ExNylas.Notetaker.Media.Recording.t/0","doc":"","ref":"ExNylas.Notetaker.Media.Recording.html#t:t/0"},{"type":"module","title":"ExNylas.Notetaker.Media.Transcript","doc":"","ref":"ExNylas.Notetaker.Media.Transcript.html"},{"type":"type","title":"ExNylas.Notetaker.Media.Transcript.t/0","doc":"","ref":"ExNylas.Notetaker.Media.Transcript.html#t:t/0"},{"type":"module","title":"ExNylas.Notetaker.MeetingSettings","doc":"","ref":"ExNylas.Notetaker.MeetingSettings.html"},{"type":"type","title":"ExNylas.Notetaker.MeetingSettings.t/0","doc":"","ref":"ExNylas.Notetaker.MeetingSettings.html#t:t/0"},{"type":"module","title":"ExNylas.Notetaker.Rules","doc":"","ref":"ExNylas.Notetaker.Rules.html"},{"type":"type","title":"ExNylas.Notetaker.Rules.t/0","doc":"","ref":"ExNylas.Notetaker.Rules.html#t:t/0"},{"type":"module","title":"ExNylas.Notetaker.Rules.ParticipantFilter","doc":"","ref":"ExNylas.Notetaker.Rules.ParticipantFilter.html"},{"type":"type","title":"ExNylas.Notetaker.Rules.ParticipantFilter.t/0","doc":"","ref":"ExNylas.Notetaker.Rules.ParticipantFilter.html#t:t/0"},{"type":"module","title":"ExNylas.Notetakers","doc":"Interface for Notetaker.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/notetaker)","ref":"ExNylas.Notetakers.html"},{"type":"function","title":"ExNylas.Notetakers.all/2","doc":"Fetch all notetaker(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Notetakers.html#all/2"},{"type":"function","title":"Examples - ExNylas.Notetakers.all/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> {:ok, result} = ExNylas.Notetakers.all(conn, opts)","ref":"ExNylas.Notetakers.html#all/2-examples"},{"type":"function","title":"ExNylas.Notetakers.all!/2","doc":"Fetch all notetaker(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Notetakers.html#all!/2"},{"type":"function","title":"Examples - ExNylas.Notetakers.all!/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> result = ExNylas.Notetakers.all!(conn, opts)","ref":"ExNylas.Notetakers.html#all!/2-examples"},{"type":"function","title":"ExNylas.Notetakers.build/1","doc":"Create and validate a notetaker, use create/update to send to Nylas.","ref":"ExNylas.Notetakers.html#build/1"},{"type":"function","title":"Examples - ExNylas.Notetakers.build/1","doc":"iex> {:ok, result} = ExNylas.Notetakers.build(payload)","ref":"ExNylas.Notetakers.html#build/1-examples"},{"type":"function","title":"ExNylas.Notetakers.build!/1","doc":"Create and validate a notetaker, use create/update to send to Nylas.","ref":"ExNylas.Notetakers.html#build!/1"},{"type":"function","title":"Examples - ExNylas.Notetakers.build!/1","doc":"iex> result = ExNylas.Notetakers.build!(payload)","ref":"ExNylas.Notetakers.html#build!/1-examples"},{"type":"function","title":"ExNylas.Notetakers.cancel/2","doc":"Cancel a scheduled notetaker.","ref":"ExNylas.Notetakers.html#cancel/2"},{"type":"function","title":"Examples - ExNylas.Notetakers.cancel/2","doc":"iex> {:ok, response} = ExNylas.Notetakers.cancel(conn, id)","ref":"ExNylas.Notetakers.html#cancel/2-examples"},{"type":"function","title":"ExNylas.Notetakers.cancel!/2","doc":"Cancel a scheduled notetaker.","ref":"ExNylas.Notetakers.html#cancel!/2"},{"type":"function","title":"Examples - ExNylas.Notetakers.cancel!/2","doc":"iex> response = ExNylas.Notetakers.cancel!(conn, id)","ref":"ExNylas.Notetakers.html#cancel!/2-examples"},{"type":"function","title":"ExNylas.Notetakers.create/3","doc":"Create a(n) notetaker.","ref":"ExNylas.Notetakers.html#create/3"},{"type":"function","title":"Examples - ExNylas.Notetakers.create/3","doc":"iex> {:ok, result} = ExNylas.Notetakers.create(conn, body, params)","ref":"ExNylas.Notetakers.html#create/3-examples"},{"type":"function","title":"ExNylas.Notetakers.create!/3","doc":"Create a(n) notetaker.","ref":"ExNylas.Notetakers.html#create!/3"},{"type":"function","title":"Examples - ExNylas.Notetakers.create!/3","doc":"iex> result = ExNylas.Notetakers.create(conn, body, params)","ref":"ExNylas.Notetakers.html#create!/3-examples"},{"type":"function","title":"ExNylas.Notetakers.find/3","doc":"Find a(n) notetaker.","ref":"ExNylas.Notetakers.html#find/3"},{"type":"function","title":"Examples - ExNylas.Notetakers.find/3","doc":"iex> {:ok, result} = ExNylas.Notetakers.find(conn, id, params)","ref":"ExNylas.Notetakers.html#find/3-examples"},{"type":"function","title":"ExNylas.Notetakers.find!/3","doc":"Find a(n) notetaker.","ref":"ExNylas.Notetakers.html#find!/3"},{"type":"function","title":"Examples - ExNylas.Notetakers.find!/3","doc":"iex> result = ExNylas.Notetakers.find!(conn, id, params)","ref":"ExNylas.Notetakers.html#find!/3-examples"},{"type":"function","title":"ExNylas.Notetakers.first/2","doc":"Get the first notetaker.","ref":"ExNylas.Notetakers.html#first/2"},{"type":"function","title":"Examples - ExNylas.Notetakers.first/2","doc":"iex> {:ok, result} = ExNylas.Notetakers.first(conn, params)","ref":"ExNylas.Notetakers.html#first/2-examples"},{"type":"function","title":"ExNylas.Notetakers.first!/2","doc":"Get the first notetaker.","ref":"ExNylas.Notetakers.html#first!/2"},{"type":"function","title":"Examples - ExNylas.Notetakers.first!/2","doc":"iex> result = ExNylas.Notetakers.first!(conn, params)","ref":"ExNylas.Notetakers.html#first!/2-examples"},{"type":"function","title":"ExNylas.Notetakers.leave/2","doc":"Remove a notetaker from a meeting.","ref":"ExNylas.Notetakers.html#leave/2"},{"type":"function","title":"Examples - ExNylas.Notetakers.leave/2","doc":"iex> {:ok, response} = ExNylas.Notetakers.leave(conn, id)","ref":"ExNylas.Notetakers.html#leave/2-examples"},{"type":"function","title":"ExNylas.Notetakers.leave!/2","doc":"Remove a notetaker from a meeting.","ref":"ExNylas.Notetakers.html#leave!/2"},{"type":"function","title":"Examples - ExNylas.Notetakers.leave!/2","doc":"iex> response = ExNylas.Notetakers.leave!(conn, id)","ref":"ExNylas.Notetakers.html#leave!/2-examples"},{"type":"function","title":"ExNylas.Notetakers.list/2","doc":"Fetch notetaker(s), optionally provide query params.","ref":"ExNylas.Notetakers.html#list/2"},{"type":"function","title":"Examples - ExNylas.Notetakers.list/2","doc":"iex> {:ok, result} = ExNylas.Notetakers.list(conn, params)","ref":"ExNylas.Notetakers.html#list/2-examples"},{"type":"function","title":"ExNylas.Notetakers.list!/2","doc":"Fetch notetaker(s), optionally provide query params.","ref":"ExNylas.Notetakers.html#list!/2"},{"type":"function","title":"Examples - ExNylas.Notetakers.list!/2","doc":"iex> result = ExNylas.Notetakers.list!(conn, params)","ref":"ExNylas.Notetakers.html#list!/2-examples"},{"type":"function","title":"ExNylas.Notetakers.media/2","doc":"Get media for a notetaker.","ref":"ExNylas.Notetakers.html#media/2"},{"type":"function","title":"Examples - ExNylas.Notetakers.media/2","doc":"iex> {:ok, response} = ExNylas.Notetakers.media(conn, id)","ref":"ExNylas.Notetakers.html#media/2-examples"},{"type":"function","title":"ExNylas.Notetakers.media!/2","doc":"Get media for a notetaker.","ref":"ExNylas.Notetakers.html#media!/2"},{"type":"function","title":"Examples - ExNylas.Notetakers.media!/2","doc":"iex> response = ExNylas.Notetakers.media!(conn, id)","ref":"ExNylas.Notetakers.html#media!/2-examples"},{"type":"function","title":"ExNylas.Notetakers.update/4","doc":"Update a(n) notetaker.","ref":"ExNylas.Notetakers.html#update/4"},{"type":"function","title":"Examples - ExNylas.Notetakers.update/4","doc":"iex> {:ok, result} = ExNylas.Notetakers.update(conn, id, body, params)","ref":"ExNylas.Notetakers.html#update/4-examples"},{"type":"function","title":"ExNylas.Notetakers.update!/4","doc":"Update a(n) notetaker.","ref":"ExNylas.Notetakers.html#update!/4"},{"type":"function","title":"Examples - ExNylas.Notetakers.update!/4","doc":"iex> result = ExNylas.Notetakers.update!(conn, id, body, params)","ref":"ExNylas.Notetakers.html#update!/4-examples"},{"type":"module","title":"ExNylas.OpenHours","doc":"A struct for open hours.","ref":"ExNylas.OpenHours.html"},{"type":"type","title":"ExNylas.OpenHours.t/0","doc":"","ref":"ExNylas.OpenHours.html#t:t/0"},{"type":"module","title":"ExNylas.OpenHours.Build","doc":"Helper module for building open hours.","ref":"ExNylas.OpenHours.Build.html"},{"type":"function","title":"ExNylas.OpenHours.Build.changeset/2","doc":"","ref":"ExNylas.OpenHours.Build.html#changeset/2"},{"type":"type","title":"ExNylas.OpenHours.Build.t/0","doc":"","ref":"ExNylas.OpenHours.Build.html#t:t/0"},{"type":"module","title":"ExNylas.OrderConsolidation.Order","doc":"Schema for Nylas order consolidation.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/extractai)","ref":"ExNylas.OrderConsolidation.Order.html"},{"type":"type","title":"ExNylas.OrderConsolidation.Order.t/0","doc":"","ref":"ExNylas.OrderConsolidation.Order.html#t:t/0"},{"type":"module","title":"ExNylas.OrderConsolidation.Order.Product","doc":"","ref":"ExNylas.OrderConsolidation.Order.Product.html"},{"type":"type","title":"ExNylas.OrderConsolidation.Order.Product.t/0","doc":"","ref":"ExNylas.OrderConsolidation.Order.Product.html#t:t/0"},{"type":"module","title":"ExNylas.OrderConsolidation.Orders","doc":"Interface for Nylas order consolidation orders.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/extractai)","ref":"ExNylas.OrderConsolidation.Orders.html"},{"type":"function","title":"ExNylas.OrderConsolidation.Orders.list/2","doc":"Fetch extracted order(s), optionally provide query params.","ref":"ExNylas.OrderConsolidation.Orders.html#list/2"},{"type":"function","title":"Examples - ExNylas.OrderConsolidation.Orders.list/2","doc":"iex> {:ok, result} = ExNylas.OrderConsolidation.Orders.list(conn, params)","ref":"ExNylas.OrderConsolidation.Orders.html#list/2-examples"},{"type":"function","title":"ExNylas.OrderConsolidation.Orders.list!/2","doc":"Fetch extracted order(s), optionally provide query params.","ref":"ExNylas.OrderConsolidation.Orders.html#list!/2"},{"type":"function","title":"Examples - ExNylas.OrderConsolidation.Orders.list!/2","doc":"iex> result = ExNylas.OrderConsolidation.Orders.list!(conn, params)","ref":"ExNylas.OrderConsolidation.Orders.html#list!/2-examples"},{"type":"module","title":"ExNylas.OrderConsolidation.Shipment","doc":"Schema for Nylas order consolidation shipment.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/extractai)","ref":"ExNylas.OrderConsolidation.Shipment.html"},{"type":"type","title":"ExNylas.OrderConsolidation.Shipment.t/0","doc":"","ref":"ExNylas.OrderConsolidation.Shipment.html#t:t/0"},{"type":"module","title":"ExNylas.OrderConsolidation.Shipment.CarrierEnrichment","doc":"","ref":"ExNylas.OrderConsolidation.Shipment.CarrierEnrichment.html"},{"type":"type","title":"ExNylas.OrderConsolidation.Shipment.CarrierEnrichment.t/0","doc":"","ref":"ExNylas.OrderConsolidation.Shipment.CarrierEnrichment.html#t:t/0"},{"type":"module","title":"ExNylas.OrderConsolidation.Shipment.CarrierEnrichment.DeliveryStatus","doc":"","ref":"ExNylas.OrderConsolidation.Shipment.CarrierEnrichment.DeliveryStatus.html"},{"type":"type","title":"ExNylas.OrderConsolidation.Shipment.CarrierEnrichment.DeliveryStatus.t/0","doc":"","ref":"ExNylas.OrderConsolidation.Shipment.CarrierEnrichment.DeliveryStatus.html#t:t/0"},{"type":"module","title":"ExNylas.OrderConsolidation.Shipment.CarrierEnrichment.PackageActivity","doc":"","ref":"ExNylas.OrderConsolidation.Shipment.CarrierEnrichment.PackageActivity.html"},{"type":"type","title":"ExNylas.OrderConsolidation.Shipment.CarrierEnrichment.PackageActivity.t/0","doc":"","ref":"ExNylas.OrderConsolidation.Shipment.CarrierEnrichment.PackageActivity.html#t:t/0"},{"type":"module","title":"ExNylas.OrderConsolidation.Shipment.CarrierEnrichment.PackageActivity.Location","doc":"","ref":"ExNylas.OrderConsolidation.Shipment.CarrierEnrichment.PackageActivity.Location.html"},{"type":"type","title":"ExNylas.OrderConsolidation.Shipment.CarrierEnrichment.PackageActivity.Location.t/0","doc":"","ref":"ExNylas.OrderConsolidation.Shipment.CarrierEnrichment.PackageActivity.Location.html#t:t/0"},{"type":"module","title":"ExNylas.OrderConsolidation.Shipment.CarrierEnrichment.PackageActivity.Status","doc":"","ref":"ExNylas.OrderConsolidation.Shipment.CarrierEnrichment.PackageActivity.Status.html"},{"type":"type","title":"ExNylas.OrderConsolidation.Shipment.CarrierEnrichment.PackageActivity.Status.t/0","doc":"","ref":"ExNylas.OrderConsolidation.Shipment.CarrierEnrichment.PackageActivity.Status.html#t:t/0"},{"type":"module","title":"ExNylas.OrderConsolidation.Shipments","doc":"Interface for Nylas order consolidation shipments.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/extractai)","ref":"ExNylas.OrderConsolidation.Shipments.html"},{"type":"function","title":"ExNylas.OrderConsolidation.Shipments.list/2","doc":"Fetch extracted shipment(s), optionally provide query params.","ref":"ExNylas.OrderConsolidation.Shipments.html#list/2"},{"type":"function","title":"Examples - ExNylas.OrderConsolidation.Shipments.list/2","doc":"iex> {:ok, result} = ExNylas.OrderConsolidation.Shipments.list(conn, params)","ref":"ExNylas.OrderConsolidation.Shipments.html#list/2-examples"},{"type":"function","title":"ExNylas.OrderConsolidation.Shipments.list!/2","doc":"Fetch extracted shipment(s), optionally provide query params.","ref":"ExNylas.OrderConsolidation.Shipments.html#list!/2"},{"type":"function","title":"Examples - ExNylas.OrderConsolidation.Shipments.list!/2","doc":"iex> result = ExNylas.OrderConsolidation.Shipments.list!(conn, params)","ref":"ExNylas.OrderConsolidation.Shipments.html#list!/2-examples"},{"type":"module","title":"ExNylas.Provider","doc":"Structs for Nylas providers.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/connectors-integrations)","ref":"ExNylas.Provider.html"},{"type":"type","title":"ExNylas.Provider.t/0","doc":"","ref":"ExNylas.Provider.html#t:t/0"},{"type":"module","title":"ExNylas.Providers","doc":"Interface for Nylas providers.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/connectors-integrations)","ref":"ExNylas.Providers.html"},{"type":"function","title":"ExNylas.Providers.detect/2","doc":"Detect the provider for an email address.","ref":"ExNylas.Providers.html#detect/2"},{"type":"function","title":"Examples - ExNylas.Providers.detect/2","doc":"iex> {:ok,  detect} = ExNylas.Providers.detect(conn, %{email: email} = _params)","ref":"ExNylas.Providers.html#detect/2-examples"},{"type":"function","title":"ExNylas.Providers.detect!/2","doc":"Detect the provider for an email address.","ref":"ExNylas.Providers.html#detect!/2"},{"type":"function","title":"Examples - ExNylas.Providers.detect!/2","doc":"iex> detect = ExNylas.Providers.detect(conn, %{email: email} = _params)","ref":"ExNylas.Providers.html#detect!/2-examples"},{"type":"module","title":"ExNylas.Response","doc":"A struct representing a common response from Nylas.","ref":"ExNylas.Response.html"},{"type":"type","title":"ExNylas.Response.t/0","doc":"","ref":"ExNylas.Response.html#t:t/0"},{"type":"module","title":"ExNylas.RoomResource","doc":"Structs for Nylas room resources.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/room-resources)","ref":"ExNylas.RoomResource.html"},{"type":"type","title":"ExNylas.RoomResource.t/0","doc":"","ref":"ExNylas.RoomResource.html#t:t/0"},{"type":"module","title":"ExNylas.RoomResources","doc":"Interface for Nylas room resources.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/room-resources)","ref":"ExNylas.RoomResources.html"},{"type":"function","title":"ExNylas.RoomResources.all/2","doc":"Fetch all room resource(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.RoomResources.html#all/2"},{"type":"function","title":"Examples - ExNylas.RoomResources.all/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> {:ok, result} = ExNylas.RoomResources.all(conn, opts)","ref":"ExNylas.RoomResources.html#all/2-examples"},{"type":"function","title":"ExNylas.RoomResources.all!/2","doc":"Fetch all room resource(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.RoomResources.html#all!/2"},{"type":"function","title":"Examples - ExNylas.RoomResources.all!/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> result = ExNylas.RoomResources.all!(conn, opts)","ref":"ExNylas.RoomResources.html#all!/2-examples"},{"type":"function","title":"ExNylas.RoomResources.first/2","doc":"Get the first room resource.","ref":"ExNylas.RoomResources.html#first/2"},{"type":"function","title":"Examples - ExNylas.RoomResources.first/2","doc":"iex> {:ok, result} = ExNylas.RoomResources.first(conn, params)","ref":"ExNylas.RoomResources.html#first/2-examples"},{"type":"function","title":"ExNylas.RoomResources.first!/2","doc":"Get the first room resource.","ref":"ExNylas.RoomResources.html#first!/2"},{"type":"function","title":"Examples - ExNylas.RoomResources.first!/2","doc":"iex> result = ExNylas.RoomResources.first!(conn, params)","ref":"ExNylas.RoomResources.html#first!/2-examples"},{"type":"function","title":"ExNylas.RoomResources.list/2","doc":"Fetch room resource(s), optionally provide query params.","ref":"ExNylas.RoomResources.html#list/2"},{"type":"function","title":"Examples - ExNylas.RoomResources.list/2","doc":"iex> {:ok, result} = ExNylas.RoomResources.list(conn, params)","ref":"ExNylas.RoomResources.html#list/2-examples"},{"type":"function","title":"ExNylas.RoomResources.list!/2","doc":"Fetch room resource(s), optionally provide query params.","ref":"ExNylas.RoomResources.html#list!/2"},{"type":"function","title":"Examples - ExNylas.RoomResources.list!/2","doc":"iex> result = ExNylas.RoomResources.list!(conn, params)","ref":"ExNylas.RoomResources.html#list!/2-examples"},{"type":"module","title":"ExNylas.Scheduler.Build","doc":"Helper module for validating a scheduler configuration before sending it.","ref":"ExNylas.Scheduler.Build.html"},{"type":"function","title":"ExNylas.Scheduler.Build.changeset/2","doc":"","ref":"ExNylas.Scheduler.Build.html#changeset/2"},{"type":"type","title":"ExNylas.Scheduler.Build.t/0","doc":"","ref":"ExNylas.Scheduler.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Scheduler.Build.EmailTemplate","doc":"","ref":"ExNylas.Scheduler.Build.EmailTemplate.html"},{"type":"type","title":"ExNylas.Scheduler.Build.EmailTemplate.t/0","doc":"","ref":"ExNylas.Scheduler.Build.EmailTemplate.html#t:t/0"},{"type":"module","title":"ExNylas.Scheduler.Build.EmailTemplate.BookingConfirmed","doc":"","ref":"ExNylas.Scheduler.Build.EmailTemplate.BookingConfirmed.html"},{"type":"type","title":"ExNylas.Scheduler.Build.EmailTemplate.BookingConfirmed.t/0","doc":"","ref":"ExNylas.Scheduler.Build.EmailTemplate.BookingConfirmed.html#t:t/0"},{"type":"module","title":"ExNylas.Scheduling.Availability","doc":"Interface for Nylas scheduling availability.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/scheduler/)","ref":"ExNylas.Scheduling.Availability.html"},{"type":"function","title":"ExNylas.Scheduling.Availability.build/1","doc":"Create and validate a scheduling availability, use create/update to send to Nylas.","ref":"ExNylas.Scheduling.Availability.html#build/1"},{"type":"function","title":"Examples - ExNylas.Scheduling.Availability.build/1","doc":"iex> {:ok, result} = ExNylas.Scheduling.Availability.build(payload)","ref":"ExNylas.Scheduling.Availability.html#build/1-examples"},{"type":"function","title":"ExNylas.Scheduling.Availability.build!/1","doc":"Create and validate a scheduling availability, use create/update to send to Nylas.","ref":"ExNylas.Scheduling.Availability.html#build!/1"},{"type":"function","title":"Examples - ExNylas.Scheduling.Availability.build!/1","doc":"iex> result = ExNylas.Scheduling.Availability.build!(payload)","ref":"ExNylas.Scheduling.Availability.html#build!/1-examples"},{"type":"function","title":"ExNylas.Scheduling.Availability.get/4","doc":"Get scheduling availability for a given time range.","ref":"ExNylas.Scheduling.Availability.html#get/4"},{"type":"function","title":"Params - ExNylas.Scheduling.Availability.get/4","doc":"- `session_id` needed for private scheduling configurations\n- `config_id` needed for public scheduling configurations\n- `slug` slug of the scheduling configuration, can be used instead of `config_id`\n- `booking_id` needed to check availability when rescheduling a round robin booking","ref":"ExNylas.Scheduling.Availability.html#get/4-params"},{"type":"function","title":"Examples - ExNylas.Scheduling.Availability.get/4","doc":"iex> {:ok, availability} = ExNylas.Scheduling.Availability.get(conn, 1614556800, 1614643200, config_id: \"1234-5678\")","ref":"ExNylas.Scheduling.Availability.html#get/4-examples"},{"type":"function","title":"ExNylas.Scheduling.Availability.get!/4","doc":"Get scheduling availability for a given time range.","ref":"ExNylas.Scheduling.Availability.html#get!/4"},{"type":"function","title":"Params - ExNylas.Scheduling.Availability.get!/4","doc":"- `session_id` needed for private scheduling configurations\n- `config_id` needed for public scheduling configurations\n- `slug` slug of the scheduling configuration, can be used instead of `config_id`\n- `booking_id` needed to check availability when rescheduling a round robin booking","ref":"ExNylas.Scheduling.Availability.html#get!/4-params"},{"type":"function","title":"Examples - ExNylas.Scheduling.Availability.get!/4","doc":"iex> availability = ExNylas.Scheduling.Availability.get!(conn, 1614556800, 1614643200, config_id: \"1234-5678\")","ref":"ExNylas.Scheduling.Availability.html#get!/4-examples"},{"type":"module","title":"ExNylas.Scheduling.Availability.Build","doc":"Helper module for building scheduling availability objects.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/scheduler/)","ref":"ExNylas.Scheduling.Availability.Build.html"},{"type":"type","title":"ExNylas.Scheduling.Availability.Build.t/0","doc":"","ref":"ExNylas.Scheduling.Availability.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Scheduling.Booking","doc":"A struct representing a scheduling booking.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/scheduler/)","ref":"ExNylas.Scheduling.Booking.html"},{"type":"type","title":"ExNylas.Scheduling.Booking.t/0","doc":"","ref":"ExNylas.Scheduling.Booking.html#t:t/0"},{"type":"module","title":"ExNylas.Scheduling.Booking.Build","doc":"Helper module for validating a scheduling booking before sending it.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/scheduler/)","ref":"ExNylas.Scheduling.Booking.Build.html"},{"type":"type","title":"ExNylas.Scheduling.Booking.Build.t/0","doc":"","ref":"ExNylas.Scheduling.Booking.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Scheduling.Booking.Build.AdditionalGuests","doc":"","ref":"ExNylas.Scheduling.Booking.Build.AdditionalGuests.html"},{"type":"type","title":"ExNylas.Scheduling.Booking.Build.AdditionalGuests.t/0","doc":"","ref":"ExNylas.Scheduling.Booking.Build.AdditionalGuests.html#t:t/0"},{"type":"module","title":"ExNylas.Scheduling.Booking.Build.Guest","doc":"","ref":"ExNylas.Scheduling.Booking.Build.Guest.html"},{"type":"type","title":"ExNylas.Scheduling.Booking.Build.Guest.t/0","doc":"","ref":"ExNylas.Scheduling.Booking.Build.Guest.html#t:t/0"},{"type":"module","title":"ExNylas.Scheduling.Booking.Organizer","doc":"","ref":"ExNylas.Scheduling.Booking.Organizer.html"},{"type":"type","title":"ExNylas.Scheduling.Booking.Organizer.t/0","doc":"","ref":"ExNylas.Scheduling.Booking.Organizer.html#t:t/0"},{"type":"module","title":"ExNylas.Scheduling.Bookings","doc":"Interface for Nylas scheduling bookings.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/scheduler/)","ref":"ExNylas.Scheduling.Bookings.html"},{"type":"function","title":"ExNylas.Scheduling.Bookings.build/1","doc":"Create and validate a scheduling booking, use create/update to send to Nylas.","ref":"ExNylas.Scheduling.Bookings.html#build/1"},{"type":"function","title":"Examples - ExNylas.Scheduling.Bookings.build/1","doc":"iex> {:ok, result} = ExNylas.Scheduling.Bookings.build(payload)","ref":"ExNylas.Scheduling.Bookings.html#build/1-examples"},{"type":"function","title":"ExNylas.Scheduling.Bookings.build!/1","doc":"Create and validate a scheduling booking, use create/update to send to Nylas.","ref":"ExNylas.Scheduling.Bookings.html#build!/1"},{"type":"function","title":"Examples - ExNylas.Scheduling.Bookings.build!/1","doc":"iex> result = ExNylas.Scheduling.Bookings.build!(payload)","ref":"ExNylas.Scheduling.Bookings.html#build!/1-examples"},{"type":"function","title":"ExNylas.Scheduling.Bookings.create/3","doc":"Create a(n) scheduling booking.","ref":"ExNylas.Scheduling.Bookings.html#create/3"},{"type":"function","title":"Examples - ExNylas.Scheduling.Bookings.create/3","doc":"iex> {:ok, result} = ExNylas.Scheduling.Bookings.create(conn, body, params)","ref":"ExNylas.Scheduling.Bookings.html#create/3-examples"},{"type":"function","title":"ExNylas.Scheduling.Bookings.create!/3","doc":"Create a(n) scheduling booking.","ref":"ExNylas.Scheduling.Bookings.html#create!/3"},{"type":"function","title":"Examples - ExNylas.Scheduling.Bookings.create!/3","doc":"iex> result = ExNylas.Scheduling.Bookings.create(conn, body, params)","ref":"ExNylas.Scheduling.Bookings.html#create!/3-examples"},{"type":"function","title":"ExNylas.Scheduling.Bookings.delete/3","doc":"Delete a(n) scheduling booking.","ref":"ExNylas.Scheduling.Bookings.html#delete/3"},{"type":"function","title":"Examples - ExNylas.Scheduling.Bookings.delete/3","doc":"iex> {:ok, result} = ExNylas.Scheduling.Bookings.delete(conn, id, params)","ref":"ExNylas.Scheduling.Bookings.html#delete/3-examples"},{"type":"function","title":"ExNylas.Scheduling.Bookings.delete!/3","doc":"Delete a(n) scheduling booking.","ref":"ExNylas.Scheduling.Bookings.html#delete!/3"},{"type":"function","title":"Examples - ExNylas.Scheduling.Bookings.delete!/3","doc":"iex> result = ExNylas.Scheduling.Bookings.delete!(conn, id, params)","ref":"ExNylas.Scheduling.Bookings.html#delete!/3-examples"},{"type":"function","title":"ExNylas.Scheduling.Bookings.find/3","doc":"Find a(n) scheduling booking.","ref":"ExNylas.Scheduling.Bookings.html#find/3"},{"type":"function","title":"Examples - ExNylas.Scheduling.Bookings.find/3","doc":"iex> {:ok, result} = ExNylas.Scheduling.Bookings.find(conn, id, params)","ref":"ExNylas.Scheduling.Bookings.html#find/3-examples"},{"type":"function","title":"ExNylas.Scheduling.Bookings.find!/3","doc":"Find a(n) scheduling booking.","ref":"ExNylas.Scheduling.Bookings.html#find!/3"},{"type":"function","title":"Examples - ExNylas.Scheduling.Bookings.find!/3","doc":"iex> result = ExNylas.Scheduling.Bookings.find!(conn, id, params)","ref":"ExNylas.Scheduling.Bookings.html#find!/3-examples"},{"type":"function","title":"ExNylas.Scheduling.Bookings.update/4","doc":"Update a(n) scheduling booking.","ref":"ExNylas.Scheduling.Bookings.html#update/4"},{"type":"function","title":"Examples - ExNylas.Scheduling.Bookings.update/4","doc":"iex> {:ok, result} = ExNylas.Scheduling.Bookings.update(conn, id, body, params)","ref":"ExNylas.Scheduling.Bookings.html#update/4-examples"},{"type":"function","title":"ExNylas.Scheduling.Bookings.update!/4","doc":"Update a(n) scheduling booking.","ref":"ExNylas.Scheduling.Bookings.html#update!/4"},{"type":"function","title":"Examples - ExNylas.Scheduling.Bookings.update!/4","doc":"iex> result = ExNylas.Scheduling.Bookings.update!(conn, id, body, params)","ref":"ExNylas.Scheduling.Bookings.html#update!/4-examples"},{"type":"module","title":"ExNylas.Scheduling.Configuration","doc":"A struct representing a scheduling configuration.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/scheduler/)","ref":"ExNylas.Scheduling.Configuration.html"},{"type":"type","title":"ExNylas.Scheduling.Configuration.t/0","doc":"","ref":"ExNylas.Scheduling.Configuration.html#t:t/0"},{"type":"module","title":"ExNylas.Scheduling.Configuration.Availability","doc":"","ref":"ExNylas.Scheduling.Configuration.Availability.html"},{"type":"type","title":"ExNylas.Scheduling.Configuration.Availability.t/0","doc":"","ref":"ExNylas.Scheduling.Configuration.Availability.html#t:t/0"},{"type":"module","title":"ExNylas.Scheduling.Configuration.Build","doc":"Helper module for validating a scheduling configuration before sending it.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/scheduler/)","ref":"ExNylas.Scheduling.Configuration.Build.html"},{"type":"type","title":"ExNylas.Scheduling.Configuration.Build.t/0","doc":"","ref":"ExNylas.Scheduling.Configuration.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Scheduling.Configuration.Scheduler","doc":"","ref":"ExNylas.Scheduling.Configuration.Scheduler.html"},{"type":"type","title":"ExNylas.Scheduling.Configuration.Scheduler.t/0","doc":"","ref":"ExNylas.Scheduling.Configuration.Scheduler.html#t:t/0"},{"type":"module","title":"ExNylas.Scheduling.Configuration.Scheduler.EmailTemplate","doc":"","ref":"ExNylas.Scheduling.Configuration.Scheduler.EmailTemplate.html"},{"type":"type","title":"ExNylas.Scheduling.Configuration.Scheduler.EmailTemplate.t/0","doc":"","ref":"ExNylas.Scheduling.Configuration.Scheduler.EmailTemplate.html#t:t/0"},{"type":"module","title":"ExNylas.Scheduling.Configuration.Scheduler.EmailTemplate.BookingConfirmed","doc":"","ref":"ExNylas.Scheduling.Configuration.Scheduler.EmailTemplate.BookingConfirmed.html"},{"type":"type","title":"ExNylas.Scheduling.Configuration.Scheduler.EmailTemplate.BookingConfirmed.t/0","doc":"","ref":"ExNylas.Scheduling.Configuration.Scheduler.EmailTemplate.BookingConfirmed.html#t:t/0"},{"type":"module","title":"ExNylas.Scheduling.Configurations","doc":"Interface for Nylas scheduling configurations.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/scheduler/)","ref":"ExNylas.Scheduling.Configurations.html"},{"type":"function","title":"ExNylas.Scheduling.Configurations.build/1","doc":"Create and validate a scheduling configuration, use create/update to send to Nylas.","ref":"ExNylas.Scheduling.Configurations.html#build/1"},{"type":"function","title":"Examples - ExNylas.Scheduling.Configurations.build/1","doc":"iex> {:ok, result} = ExNylas.Scheduling.Configurations.build(payload)","ref":"ExNylas.Scheduling.Configurations.html#build/1-examples"},{"type":"function","title":"ExNylas.Scheduling.Configurations.build!/1","doc":"Create and validate a scheduling configuration, use create/update to send to Nylas.","ref":"ExNylas.Scheduling.Configurations.html#build!/1"},{"type":"function","title":"Examples - ExNylas.Scheduling.Configurations.build!/1","doc":"iex> result = ExNylas.Scheduling.Configurations.build!(payload)","ref":"ExNylas.Scheduling.Configurations.html#build!/1-examples"},{"type":"function","title":"ExNylas.Scheduling.Configurations.create/3","doc":"Create a(n) scheduling configuration.","ref":"ExNylas.Scheduling.Configurations.html#create/3"},{"type":"function","title":"Examples - ExNylas.Scheduling.Configurations.create/3","doc":"iex> {:ok, result} = ExNylas.Scheduling.Configurations.create(conn, body, params)","ref":"ExNylas.Scheduling.Configurations.html#create/3-examples"},{"type":"function","title":"ExNylas.Scheduling.Configurations.create!/3","doc":"Create a(n) scheduling configuration.","ref":"ExNylas.Scheduling.Configurations.html#create!/3"},{"type":"function","title":"Examples - ExNylas.Scheduling.Configurations.create!/3","doc":"iex> result = ExNylas.Scheduling.Configurations.create(conn, body, params)","ref":"ExNylas.Scheduling.Configurations.html#create!/3-examples"},{"type":"function","title":"ExNylas.Scheduling.Configurations.delete/3","doc":"Delete a(n) scheduling configuration.","ref":"ExNylas.Scheduling.Configurations.html#delete/3"},{"type":"function","title":"Examples - ExNylas.Scheduling.Configurations.delete/3","doc":"iex> {:ok, result} = ExNylas.Scheduling.Configurations.delete(conn, id, params)","ref":"ExNylas.Scheduling.Configurations.html#delete/3-examples"},{"type":"function","title":"ExNylas.Scheduling.Configurations.delete!/3","doc":"Delete a(n) scheduling configuration.","ref":"ExNylas.Scheduling.Configurations.html#delete!/3"},{"type":"function","title":"Examples - ExNylas.Scheduling.Configurations.delete!/3","doc":"iex> result = ExNylas.Scheduling.Configurations.delete!(conn, id, params)","ref":"ExNylas.Scheduling.Configurations.html#delete!/3-examples"},{"type":"function","title":"ExNylas.Scheduling.Configurations.find/3","doc":"Find a(n) scheduling configuration.","ref":"ExNylas.Scheduling.Configurations.html#find/3"},{"type":"function","title":"Examples - ExNylas.Scheduling.Configurations.find/3","doc":"iex> {:ok, result} = ExNylas.Scheduling.Configurations.find(conn, id, params)","ref":"ExNylas.Scheduling.Configurations.html#find/3-examples"},{"type":"function","title":"ExNylas.Scheduling.Configurations.find!/3","doc":"Find a(n) scheduling configuration.","ref":"ExNylas.Scheduling.Configurations.html#find!/3"},{"type":"function","title":"Examples - ExNylas.Scheduling.Configurations.find!/3","doc":"iex> result = ExNylas.Scheduling.Configurations.find!(conn, id, params)","ref":"ExNylas.Scheduling.Configurations.html#find!/3-examples"},{"type":"function","title":"ExNylas.Scheduling.Configurations.first/2","doc":"Get the first scheduling configuration.","ref":"ExNylas.Scheduling.Configurations.html#first/2"},{"type":"function","title":"Examples - ExNylas.Scheduling.Configurations.first/2","doc":"iex> {:ok, result} = ExNylas.Scheduling.Configurations.first(conn, params)","ref":"ExNylas.Scheduling.Configurations.html#first/2-examples"},{"type":"function","title":"ExNylas.Scheduling.Configurations.first!/2","doc":"Get the first scheduling configuration.","ref":"ExNylas.Scheduling.Configurations.html#first!/2"},{"type":"function","title":"Examples - ExNylas.Scheduling.Configurations.first!/2","doc":"iex> result = ExNylas.Scheduling.Configurations.first!(conn, params)","ref":"ExNylas.Scheduling.Configurations.html#first!/2-examples"},{"type":"function","title":"ExNylas.Scheduling.Configurations.list/2","doc":"Fetch scheduling configuration(s), optionally provide query params.","ref":"ExNylas.Scheduling.Configurations.html#list/2"},{"type":"function","title":"Examples - ExNylas.Scheduling.Configurations.list/2","doc":"iex> {:ok, result} = ExNylas.Scheduling.Configurations.list(conn, params)","ref":"ExNylas.Scheduling.Configurations.html#list/2-examples"},{"type":"function","title":"ExNylas.Scheduling.Configurations.list!/2","doc":"Fetch scheduling configuration(s), optionally provide query params.","ref":"ExNylas.Scheduling.Configurations.html#list!/2"},{"type":"function","title":"Examples - ExNylas.Scheduling.Configurations.list!/2","doc":"iex> result = ExNylas.Scheduling.Configurations.list!(conn, params)","ref":"ExNylas.Scheduling.Configurations.html#list!/2-examples"},{"type":"function","title":"ExNylas.Scheduling.Configurations.update/4","doc":"Update a(n) scheduling configuration.","ref":"ExNylas.Scheduling.Configurations.html#update/4"},{"type":"function","title":"Examples - ExNylas.Scheduling.Configurations.update/4","doc":"iex> {:ok, result} = ExNylas.Scheduling.Configurations.update(conn, id, body, params)","ref":"ExNylas.Scheduling.Configurations.html#update/4-examples"},{"type":"function","title":"ExNylas.Scheduling.Configurations.update!/4","doc":"Update a(n) scheduling configuration.","ref":"ExNylas.Scheduling.Configurations.html#update!/4"},{"type":"function","title":"Examples - ExNylas.Scheduling.Configurations.update!/4","doc":"iex> result = ExNylas.Scheduling.Configurations.update!(conn, id, body, params)","ref":"ExNylas.Scheduling.Configurations.html#update!/4-examples"},{"type":"module","title":"ExNylas.Scheduling.Session","doc":"A struct representing a scheduling session.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/scheduler/)","ref":"ExNylas.Scheduling.Session.html"},{"type":"type","title":"ExNylas.Scheduling.Session.t/0","doc":"","ref":"ExNylas.Scheduling.Session.html#t:t/0"},{"type":"module","title":"ExNylas.Scheduling.Session.Build","doc":"Helper module for validating a scheduling session before sending it.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/scheduler/)","ref":"ExNylas.Scheduling.Session.Build.html"},{"type":"type","title":"ExNylas.Scheduling.Session.Build.t/0","doc":"","ref":"ExNylas.Scheduling.Session.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Scheduling.Sessions","doc":"Interface for Nylas scheduling sessions.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/scheduler/)","ref":"ExNylas.Scheduling.Sessions.html"},{"type":"function","title":"ExNylas.Scheduling.Sessions.build/1","doc":"Create and validate a scheduling session, use create/update to send to Nylas.","ref":"ExNylas.Scheduling.Sessions.html#build/1"},{"type":"function","title":"Examples - ExNylas.Scheduling.Sessions.build/1","doc":"iex> {:ok, result} = ExNylas.Scheduling.Sessions.build(payload)","ref":"ExNylas.Scheduling.Sessions.html#build/1-examples"},{"type":"function","title":"ExNylas.Scheduling.Sessions.build!/1","doc":"Create and validate a scheduling session, use create/update to send to Nylas.","ref":"ExNylas.Scheduling.Sessions.html#build!/1"},{"type":"function","title":"Examples - ExNylas.Scheduling.Sessions.build!/1","doc":"iex> result = ExNylas.Scheduling.Sessions.build!(payload)","ref":"ExNylas.Scheduling.Sessions.html#build!/1-examples"},{"type":"function","title":"ExNylas.Scheduling.Sessions.create/3","doc":"Create a(n) scheduling session.","ref":"ExNylas.Scheduling.Sessions.html#create/3"},{"type":"function","title":"Examples - ExNylas.Scheduling.Sessions.create/3","doc":"iex> {:ok, result} = ExNylas.Scheduling.Sessions.create(conn, body, params)","ref":"ExNylas.Scheduling.Sessions.html#create/3-examples"},{"type":"function","title":"ExNylas.Scheduling.Sessions.create!/3","doc":"Create a(n) scheduling session.","ref":"ExNylas.Scheduling.Sessions.html#create!/3"},{"type":"function","title":"Examples - ExNylas.Scheduling.Sessions.create!/3","doc":"iex> result = ExNylas.Scheduling.Sessions.create(conn, body, params)","ref":"ExNylas.Scheduling.Sessions.html#create!/3-examples"},{"type":"function","title":"ExNylas.Scheduling.Sessions.delete/3","doc":"Delete a(n) scheduling session.","ref":"ExNylas.Scheduling.Sessions.html#delete/3"},{"type":"function","title":"Examples - ExNylas.Scheduling.Sessions.delete/3","doc":"iex> {:ok, result} = ExNylas.Scheduling.Sessions.delete(conn, id, params)","ref":"ExNylas.Scheduling.Sessions.html#delete/3-examples"},{"type":"function","title":"ExNylas.Scheduling.Sessions.delete!/3","doc":"Delete a(n) scheduling session.","ref":"ExNylas.Scheduling.Sessions.html#delete!/3"},{"type":"function","title":"Examples - ExNylas.Scheduling.Sessions.delete!/3","doc":"iex> result = ExNylas.Scheduling.Sessions.delete!(conn, id, params)","ref":"ExNylas.Scheduling.Sessions.html#delete!/3-examples"},{"type":"module","title":"ExNylas.SchedulingParticipant","doc":"A struct representing a scheduling participant.","ref":"ExNylas.SchedulingParticipant.html"},{"type":"type","title":"ExNylas.SchedulingParticipant.t/0","doc":"","ref":"ExNylas.SchedulingParticipant.html#t:t/0"},{"type":"module","title":"ExNylas.SchedulingParticipant.Availability","doc":"","ref":"ExNylas.SchedulingParticipant.Availability.html"},{"type":"type","title":"ExNylas.SchedulingParticipant.Availability.t/0","doc":"","ref":"ExNylas.SchedulingParticipant.Availability.html#t:t/0"},{"type":"module","title":"ExNylas.SchedulingParticipant.Booking","doc":"","ref":"ExNylas.SchedulingParticipant.Booking.html"},{"type":"type","title":"ExNylas.SchedulingParticipant.Booking.t/0","doc":"","ref":"ExNylas.SchedulingParticipant.Booking.html#t:t/0"},{"type":"module","title":"ExNylas.SchedulingParticipant.Build","doc":"Helper for validating a scheduling participant before sending it.","ref":"ExNylas.SchedulingParticipant.Build.html"},{"type":"function","title":"ExNylas.SchedulingParticipant.Build.changeset/2","doc":"","ref":"ExNylas.SchedulingParticipant.Build.html#changeset/2"},{"type":"type","title":"ExNylas.SchedulingParticipant.Build.t/0","doc":"","ref":"ExNylas.SchedulingParticipant.Build.html#t:t/0"},{"type":"module","title":"ExNylas.SchedulingParticipant.Build.Availability","doc":"","ref":"ExNylas.SchedulingParticipant.Build.Availability.html"},{"type":"type","title":"ExNylas.SchedulingParticipant.Build.Availability.t/0","doc":"","ref":"ExNylas.SchedulingParticipant.Build.Availability.html#t:t/0"},{"type":"module","title":"ExNylas.SchedulingParticipant.Build.Booking","doc":"","ref":"ExNylas.SchedulingParticipant.Build.Booking.html"},{"type":"type","title":"ExNylas.SchedulingParticipant.Build.Booking.t/0","doc":"","ref":"ExNylas.SchedulingParticipant.Build.Booking.html#t:t/0"},{"type":"module","title":"ExNylas.Schema.SmartCompose","doc":"A struct for Nylas smart compose.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/smart-compose)","ref":"ExNylas.Schema.SmartCompose.html"},{"type":"type","title":"ExNylas.Schema.SmartCompose.t/0","doc":"","ref":"ExNylas.Schema.SmartCompose.html#t:t/0"},{"type":"module","title":"ExNylas.SmartCompose","doc":"Interface for Nylas smart compose.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/smart-compose)","ref":"ExNylas.SmartCompose.html"},{"type":"function","title":"ExNylas.SmartCompose.create/2","doc":"Create a smart compose.","ref":"ExNylas.SmartCompose.html#create/2"},{"type":"function","title":"Examples - ExNylas.SmartCompose.create/2","doc":"iex> {:ok, res} = ExNylas.SmartCompose.create(conn, prompt)","ref":"ExNylas.SmartCompose.html#create/2-examples"},{"type":"function","title":"ExNylas.SmartCompose.create!/2","doc":"Create a smart compose.","ref":"ExNylas.SmartCompose.html#create!/2"},{"type":"function","title":"Examples - ExNylas.SmartCompose.create!/2","doc":"iex> res = ExNylas.SmartCompose.create!(conn, prompt)","ref":"ExNylas.SmartCompose.html#create!/2-examples"},{"type":"function","title":"ExNylas.SmartCompose.create_reply/3","doc":"Smart compose a message reply.","ref":"ExNylas.SmartCompose.html#create_reply/3"},{"type":"function","title":"Examples - ExNylas.SmartCompose.create_reply/3","doc":"iex> {:ok, res} = ExNylas.SmartCompose.create_reply(conn, message_id, prompt)","ref":"ExNylas.SmartCompose.html#create_reply/3-examples"},{"type":"function","title":"ExNylas.SmartCompose.create_reply!/3","doc":"Smart compose a message reply.","ref":"ExNylas.SmartCompose.html#create_reply!/3"},{"type":"function","title":"Examples - ExNylas.SmartCompose.create_reply!/3","doc":"iex> res = ExNylas.SmartCompose.create_reply!(conn, message_id, prompt)","ref":"ExNylas.SmartCompose.html#create_reply!/3-examples"},{"type":"function","title":"ExNylas.SmartCompose.create_reply_stream/4","doc":"Smart compose a reply to a message with a streaming response.\n\nNote - ExNylas will call the provided function with each transformed chunk of the suggestion as it is received.","ref":"ExNylas.SmartCompose.html#create_reply_stream/4"},{"type":"function","title":"Examples - ExNylas.SmartCompose.create_reply_stream/4","doc":"iex> ExNylas.SmartCompose.create_reply_stream(conn, message_id, prompt, &IO.write/1)\n    iex> Dear [Recipient], ...\n    iex> {:ok, \"\"}","ref":"ExNylas.SmartCompose.html#create_reply_stream/4-examples"},{"type":"function","title":"ExNylas.SmartCompose.create_stream/3","doc":"Smart compose a message with a streaming response.\n\nNote - ExNylas will call the provided function with each transformed chunk of the suggestion as it is received.","ref":"ExNylas.SmartCompose.html#create_stream/3"},{"type":"function","title":"Examples - ExNylas.SmartCompose.create_stream/3","doc":"iex> ExNylas.SmartCompose.create_stream(conn, prompt, &IO.write/1)\n    iex> Dear [Recipient], ...\n    iex> {:ok, \"\"}","ref":"ExNylas.SmartCompose.html#create_stream/3-examples"},{"type":"module","title":"ExNylas.StandaloneNotetakers","doc":"Interface for Standalone Notetakers (Notetakers not associated with a grant).\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/standalone-notetaker)","ref":"ExNylas.StandaloneNotetakers.html"},{"type":"function","title":"ExNylas.StandaloneNotetakers.all/2","doc":"Fetch all notetaker(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.StandaloneNotetakers.html#all/2"},{"type":"function","title":"Examples - ExNylas.StandaloneNotetakers.all/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> {:ok, result} = ExNylas.StandaloneNotetakers.all(conn, opts)","ref":"ExNylas.StandaloneNotetakers.html#all/2-examples"},{"type":"function","title":"ExNylas.StandaloneNotetakers.all!/2","doc":"Fetch all notetaker(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.StandaloneNotetakers.html#all!/2"},{"type":"function","title":"Examples - ExNylas.StandaloneNotetakers.all!/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> result = ExNylas.StandaloneNotetakers.all!(conn, opts)","ref":"ExNylas.StandaloneNotetakers.html#all!/2-examples"},{"type":"function","title":"ExNylas.StandaloneNotetakers.build/1","doc":"Create and validate a notetaker, use create/update to send to Nylas.","ref":"ExNylas.StandaloneNotetakers.html#build/1"},{"type":"function","title":"Examples - ExNylas.StandaloneNotetakers.build/1","doc":"iex> {:ok, result} = ExNylas.StandaloneNotetakers.build(payload)","ref":"ExNylas.StandaloneNotetakers.html#build/1-examples"},{"type":"function","title":"ExNylas.StandaloneNotetakers.build!/1","doc":"Create and validate a notetaker, use create/update to send to Nylas.","ref":"ExNylas.StandaloneNotetakers.html#build!/1"},{"type":"function","title":"Examples - ExNylas.StandaloneNotetakers.build!/1","doc":"iex> result = ExNylas.StandaloneNotetakers.build!(payload)","ref":"ExNylas.StandaloneNotetakers.html#build!/1-examples"},{"type":"function","title":"ExNylas.StandaloneNotetakers.cancel/2","doc":"Cancel a scheduled notetaker.","ref":"ExNylas.StandaloneNotetakers.html#cancel/2"},{"type":"function","title":"Examples - ExNylas.StandaloneNotetakers.cancel/2","doc":"iex> {:ok, response} = ExNylas.StandaloneNotetakers.cancel(conn, id)","ref":"ExNylas.StandaloneNotetakers.html#cancel/2-examples"},{"type":"function","title":"ExNylas.StandaloneNotetakers.cancel!/2","doc":"Cancel a scheduled notetaker.","ref":"ExNylas.StandaloneNotetakers.html#cancel!/2"},{"type":"function","title":"Examples - ExNylas.StandaloneNotetakers.cancel!/2","doc":"iex> response = ExNylas.StandaloneNotetakers.cancel!(conn, id)","ref":"ExNylas.StandaloneNotetakers.html#cancel!/2-examples"},{"type":"function","title":"ExNylas.StandaloneNotetakers.create/3","doc":"Create a(n) notetaker.","ref":"ExNylas.StandaloneNotetakers.html#create/3"},{"type":"function","title":"Examples - ExNylas.StandaloneNotetakers.create/3","doc":"iex> {:ok, result} = ExNylas.StandaloneNotetakers.create(conn, body, params)","ref":"ExNylas.StandaloneNotetakers.html#create/3-examples"},{"type":"function","title":"ExNylas.StandaloneNotetakers.create!/3","doc":"Create a(n) notetaker.","ref":"ExNylas.StandaloneNotetakers.html#create!/3"},{"type":"function","title":"Examples - ExNylas.StandaloneNotetakers.create!/3","doc":"iex> result = ExNylas.StandaloneNotetakers.create(conn, body, params)","ref":"ExNylas.StandaloneNotetakers.html#create!/3-examples"},{"type":"function","title":"ExNylas.StandaloneNotetakers.find/3","doc":"Find a(n) notetaker.","ref":"ExNylas.StandaloneNotetakers.html#find/3"},{"type":"function","title":"Examples - ExNylas.StandaloneNotetakers.find/3","doc":"iex> {:ok, result} = ExNylas.StandaloneNotetakers.find(conn, id, params)","ref":"ExNylas.StandaloneNotetakers.html#find/3-examples"},{"type":"function","title":"ExNylas.StandaloneNotetakers.find!/3","doc":"Find a(n) notetaker.","ref":"ExNylas.StandaloneNotetakers.html#find!/3"},{"type":"function","title":"Examples - ExNylas.StandaloneNotetakers.find!/3","doc":"iex> result = ExNylas.StandaloneNotetakers.find!(conn, id, params)","ref":"ExNylas.StandaloneNotetakers.html#find!/3-examples"},{"type":"function","title":"ExNylas.StandaloneNotetakers.first/2","doc":"Get the first notetaker.","ref":"ExNylas.StandaloneNotetakers.html#first/2"},{"type":"function","title":"Examples - ExNylas.StandaloneNotetakers.first/2","doc":"iex> {:ok, result} = ExNylas.StandaloneNotetakers.first(conn, params)","ref":"ExNylas.StandaloneNotetakers.html#first/2-examples"},{"type":"function","title":"ExNylas.StandaloneNotetakers.first!/2","doc":"Get the first notetaker.","ref":"ExNylas.StandaloneNotetakers.html#first!/2"},{"type":"function","title":"Examples - ExNylas.StandaloneNotetakers.first!/2","doc":"iex> result = ExNylas.StandaloneNotetakers.first!(conn, params)","ref":"ExNylas.StandaloneNotetakers.html#first!/2-examples"},{"type":"function","title":"ExNylas.StandaloneNotetakers.leave/2","doc":"Remove a notetaker from a meeting.","ref":"ExNylas.StandaloneNotetakers.html#leave/2"},{"type":"function","title":"Examples - ExNylas.StandaloneNotetakers.leave/2","doc":"iex> {:ok, response} = ExNylas.StandaloneNotetakers.leave(conn, id)","ref":"ExNylas.StandaloneNotetakers.html#leave/2-examples"},{"type":"function","title":"ExNylas.StandaloneNotetakers.leave!/2","doc":"Remove a notetaker from a meeting.","ref":"ExNylas.StandaloneNotetakers.html#leave!/2"},{"type":"function","title":"Examples - ExNylas.StandaloneNotetakers.leave!/2","doc":"iex> response = ExNylas.StandaloneNotetakers.leave!(conn, id)","ref":"ExNylas.StandaloneNotetakers.html#leave!/2-examples"},{"type":"function","title":"ExNylas.StandaloneNotetakers.list/2","doc":"Fetch notetaker(s), optionally provide query params.","ref":"ExNylas.StandaloneNotetakers.html#list/2"},{"type":"function","title":"Examples - ExNylas.StandaloneNotetakers.list/2","doc":"iex> {:ok, result} = ExNylas.StandaloneNotetakers.list(conn, params)","ref":"ExNylas.StandaloneNotetakers.html#list/2-examples"},{"type":"function","title":"ExNylas.StandaloneNotetakers.list!/2","doc":"Fetch notetaker(s), optionally provide query params.","ref":"ExNylas.StandaloneNotetakers.html#list!/2"},{"type":"function","title":"Examples - ExNylas.StandaloneNotetakers.list!/2","doc":"iex> result = ExNylas.StandaloneNotetakers.list!(conn, params)","ref":"ExNylas.StandaloneNotetakers.html#list!/2-examples"},{"type":"function","title":"ExNylas.StandaloneNotetakers.media/2","doc":"Get media for a notetaker.","ref":"ExNylas.StandaloneNotetakers.html#media/2"},{"type":"function","title":"Examples - ExNylas.StandaloneNotetakers.media/2","doc":"iex> {:ok, response} = ExNylas.StandaloneNotetakers.media(conn, id)","ref":"ExNylas.StandaloneNotetakers.html#media/2-examples"},{"type":"function","title":"ExNylas.StandaloneNotetakers.media!/2","doc":"Get media for a notetaker.","ref":"ExNylas.StandaloneNotetakers.html#media!/2"},{"type":"function","title":"Examples - ExNylas.StandaloneNotetakers.media!/2","doc":"iex> response = ExNylas.StandaloneNotetakers.media!(conn, id)","ref":"ExNylas.StandaloneNotetakers.html#media!/2-examples"},{"type":"function","title":"ExNylas.StandaloneNotetakers.update/4","doc":"Update a(n) notetaker.","ref":"ExNylas.StandaloneNotetakers.html#update/4"},{"type":"function","title":"Examples - ExNylas.StandaloneNotetakers.update/4","doc":"iex> {:ok, result} = ExNylas.StandaloneNotetakers.update(conn, id, body, params)","ref":"ExNylas.StandaloneNotetakers.html#update/4-examples"},{"type":"function","title":"ExNylas.StandaloneNotetakers.update!/4","doc":"Update a(n) notetaker.","ref":"ExNylas.StandaloneNotetakers.html#update!/4"},{"type":"function","title":"Examples - ExNylas.StandaloneNotetakers.update!/4","doc":"iex> result = ExNylas.StandaloneNotetakers.update!(conn, id, body, params)","ref":"ExNylas.StandaloneNotetakers.html#update!/4-examples"},{"type":"module","title":"ExNylas.Thread","doc":"A struct representing a thread.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/threads)","ref":"ExNylas.Thread.html"},{"type":"type","title":"ExNylas.Thread.t/0","doc":"","ref":"ExNylas.Thread.html#t:t/0"},{"type":"module","title":"ExNylas.Threads","doc":"Interface for Nylas threads.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/ecc/#tag/threads)","ref":"ExNylas.Threads.html"},{"type":"function","title":"ExNylas.Threads.all/2","doc":"Fetch all thread(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Threads.html#all/2"},{"type":"function","title":"Examples - ExNylas.Threads.all/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> {:ok, result} = ExNylas.Threads.all(conn, opts)","ref":"ExNylas.Threads.html#all/2-examples"},{"type":"function","title":"ExNylas.Threads.all!/2","doc":"Fetch all thread(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Threads.html#all!/2"},{"type":"function","title":"Examples - ExNylas.Threads.all!/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> result = ExNylas.Threads.all!(conn, opts)","ref":"ExNylas.Threads.html#all!/2-examples"},{"type":"function","title":"ExNylas.Threads.delete/3","doc":"Delete a(n) thread.","ref":"ExNylas.Threads.html#delete/3"},{"type":"function","title":"Examples - ExNylas.Threads.delete/3","doc":"iex> {:ok, result} = ExNylas.Threads.delete(conn, id, params)","ref":"ExNylas.Threads.html#delete/3-examples"},{"type":"function","title":"ExNylas.Threads.delete!/3","doc":"Delete a(n) thread.","ref":"ExNylas.Threads.html#delete!/3"},{"type":"function","title":"Examples - ExNylas.Threads.delete!/3","doc":"iex> result = ExNylas.Threads.delete!(conn, id, params)","ref":"ExNylas.Threads.html#delete!/3-examples"},{"type":"function","title":"ExNylas.Threads.find/3","doc":"Find a(n) thread.","ref":"ExNylas.Threads.html#find/3"},{"type":"function","title":"Examples - ExNylas.Threads.find/3","doc":"iex> {:ok, result} = ExNylas.Threads.find(conn, id, params)","ref":"ExNylas.Threads.html#find/3-examples"},{"type":"function","title":"ExNylas.Threads.find!/3","doc":"Find a(n) thread.","ref":"ExNylas.Threads.html#find!/3"},{"type":"function","title":"Examples - ExNylas.Threads.find!/3","doc":"iex> result = ExNylas.Threads.find!(conn, id, params)","ref":"ExNylas.Threads.html#find!/3-examples"},{"type":"function","title":"ExNylas.Threads.first/2","doc":"Get the first thread.","ref":"ExNylas.Threads.html#first/2"},{"type":"function","title":"Examples - ExNylas.Threads.first/2","doc":"iex> {:ok, result} = ExNylas.Threads.first(conn, params)","ref":"ExNylas.Threads.html#first/2-examples"},{"type":"function","title":"ExNylas.Threads.first!/2","doc":"Get the first thread.","ref":"ExNylas.Threads.html#first!/2"},{"type":"function","title":"Examples - ExNylas.Threads.first!/2","doc":"iex> result = ExNylas.Threads.first!(conn, params)","ref":"ExNylas.Threads.html#first!/2-examples"},{"type":"function","title":"ExNylas.Threads.list/2","doc":"Fetch thread(s), optionally provide query params.","ref":"ExNylas.Threads.html#list/2"},{"type":"function","title":"Examples - ExNylas.Threads.list/2","doc":"iex> {:ok, result} = ExNylas.Threads.list(conn, params)","ref":"ExNylas.Threads.html#list/2-examples"},{"type":"function","title":"ExNylas.Threads.list!/2","doc":"Fetch thread(s), optionally provide query params.","ref":"ExNylas.Threads.html#list!/2"},{"type":"function","title":"Examples - ExNylas.Threads.list!/2","doc":"iex> result = ExNylas.Threads.list!(conn, params)","ref":"ExNylas.Threads.html#list!/2-examples"},{"type":"function","title":"ExNylas.Threads.update/4","doc":"Update a(n) thread.","ref":"ExNylas.Threads.html#update/4"},{"type":"function","title":"Examples - ExNylas.Threads.update/4","doc":"iex> {:ok, result} = ExNylas.Threads.update(conn, id, body, params)","ref":"ExNylas.Threads.html#update/4-examples"},{"type":"function","title":"ExNylas.Threads.update!/4","doc":"Update a(n) thread.","ref":"ExNylas.Threads.html#update!/4"},{"type":"function","title":"Examples - ExNylas.Threads.update!/4","doc":"iex> result = ExNylas.Threads.update!(conn, id, body, params)","ref":"ExNylas.Threads.html#update!/4-examples"},{"type":"module","title":"ExNylas.TrackingOptions","doc":"A struct representing tracking options for a message/draft.","ref":"ExNylas.TrackingOptions.html"},{"type":"type","title":"ExNylas.TrackingOptions.t/0","doc":"","ref":"ExNylas.TrackingOptions.html#t:t/0"},{"type":"module","title":"ExNylas.TrackingOptions.Build","doc":"A struct representing tracking options for a message/draft.","ref":"ExNylas.TrackingOptions.Build.html"},{"type":"function","title":"ExNylas.TrackingOptions.Build.changeset/2","doc":"","ref":"ExNylas.TrackingOptions.Build.html#changeset/2"},{"type":"type","title":"ExNylas.TrackingOptions.Build.t/0","doc":"","ref":"ExNylas.TrackingOptions.Build.html#t:t/0"},{"type":"module","title":"ExNylas.Type.Atom","doc":"Custom Ecto type for atom.","ref":"ExNylas.Type.Atom.html"},{"type":"function","title":"ExNylas.Type.Atom.cast/1","doc":"","ref":"ExNylas.Type.Atom.html#cast/1"},{"type":"function","title":"ExNylas.Type.Atom.dump/1","doc":"","ref":"ExNylas.Type.Atom.html#dump/1"},{"type":"function","title":"ExNylas.Type.Atom.embed_as/1","doc":"","ref":"ExNylas.Type.Atom.html#embed_as/1"},{"type":"function","title":"ExNylas.Type.Atom.equal?/2","doc":"","ref":"ExNylas.Type.Atom.html#equal?/2"},{"type":"function","title":"ExNylas.Type.Atom.load/1","doc":"","ref":"ExNylas.Type.Atom.html#load/1"},{"type":"function","title":"ExNylas.Type.Atom.type/0","doc":"","ref":"ExNylas.Type.Atom.html#type/0"},{"type":"type","title":"ExNylas.Type.Atom.t/0","doc":"","ref":"ExNylas.Type.Atom.html#t:t/0"},{"type":"module","title":"ExNylas.Type.MapOrList","doc":"Custom Ecto type for map or list.","ref":"ExNylas.Type.MapOrList.html"},{"type":"function","title":"ExNylas.Type.MapOrList.cast/1","doc":"","ref":"ExNylas.Type.MapOrList.html#cast/1"},{"type":"function","title":"ExNylas.Type.MapOrList.dump/1","doc":"","ref":"ExNylas.Type.MapOrList.html#dump/1"},{"type":"function","title":"ExNylas.Type.MapOrList.embed_as/1","doc":"","ref":"ExNylas.Type.MapOrList.html#embed_as/1"},{"type":"function","title":"ExNylas.Type.MapOrList.equal?/2","doc":"","ref":"ExNylas.Type.MapOrList.html#equal?/2"},{"type":"function","title":"ExNylas.Type.MapOrList.load/1","doc":"","ref":"ExNylas.Type.MapOrList.html#load/1"},{"type":"function","title":"ExNylas.Type.MapOrList.type/0","doc":"","ref":"ExNylas.Type.MapOrList.html#type/0"},{"type":"type","title":"ExNylas.Type.MapOrList.t/0","doc":"","ref":"ExNylas.Type.MapOrList.html#t:t/0"},{"type":"module","title":"ExNylas.Webhook","doc":"A struct representing a webhook.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/webhook-notifications)","ref":"ExNylas.Webhook.html"},{"type":"type","title":"ExNylas.Webhook.t/0","doc":"","ref":"ExNylas.Webhook.html#t:t/0"},{"type":"module","title":"ExNylas.Webhook.Build","doc":"Helper module for validating a webhook before creating/updating it.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/webhook-notifications)","ref":"ExNylas.Webhook.Build.html"},{"type":"type","title":"ExNylas.Webhook.Build.t/0","doc":"","ref":"ExNylas.Webhook.Build.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification","doc":"A struct representing an inbound webhook notification.\n\n[Nylas docs](https://developer.nylas.com/docs/v3/notifications/notification-schemas/)","ref":"ExNylas.WebhookNotification.html"},{"type":"type","title":"ExNylas.WebhookNotification.t/0","doc":"","ref":"ExNylas.WebhookNotification.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.Booking","doc":"A struct representing a booking notification.\n\n[Nylas docs](https://developer.nylas.com/docs/v3/notifications/notification-schemas/#scheduler-notifications)","ref":"ExNylas.WebhookNotification.Booking.html"},{"type":"type","title":"ExNylas.WebhookNotification.Booking.t/0","doc":"","ref":"ExNylas.WebhookNotification.Booking.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.Booking.BookingInfo","doc":"","ref":"ExNylas.WebhookNotification.Booking.BookingInfo.html"},{"type":"type","title":"ExNylas.WebhookNotification.Booking.BookingInfo.t/0","doc":"","ref":"ExNylas.WebhookNotification.Booking.BookingInfo.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.Booking.BookingInfo.Participant","doc":"","ref":"ExNylas.WebhookNotification.Booking.BookingInfo.Participant.html"},{"type":"type","title":"ExNylas.WebhookNotification.Booking.BookingInfo.Participant.t/0","doc":"","ref":"ExNylas.WebhookNotification.Booking.BookingInfo.Participant.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.Grant","doc":"A struct representing a grant webhook notification.\n\n[Nylas docs](https://developer.nylas.com/docs/v3/notifications/notification-schemas/#grant-notifications)","ref":"ExNylas.WebhookNotification.Grant.html"},{"type":"type","title":"ExNylas.WebhookNotification.Grant.t/0","doc":"","ref":"ExNylas.WebhookNotification.Grant.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.MessageBounceDetected","doc":"A struct representing a bounce detected webhook notification.\n\n[Nylas docs](https://developer.nylas.com/docs/v3/notifications/notification-schemas/#message-tracking-notifications)","ref":"ExNylas.WebhookNotification.MessageBounceDetected.html"},{"type":"type","title":"ExNylas.WebhookNotification.MessageBounceDetected.t/0","doc":"","ref":"ExNylas.WebhookNotification.MessageBounceDetected.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.MessageBounceDetected.Origin","doc":"","ref":"ExNylas.WebhookNotification.MessageBounceDetected.Origin.html"},{"type":"type","title":"ExNylas.WebhookNotification.MessageBounceDetected.Origin.t/0","doc":"","ref":"ExNylas.WebhookNotification.MessageBounceDetected.Origin.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.MessageLinkClicked","doc":"A struct representing a link clicked webhook notification.\n\n[Nylas docs](https://developer.nylas.com/docs/v3/notifications/notification-schemas/#message-tracking-notifications)","ref":"ExNylas.WebhookNotification.MessageLinkClicked.html"},{"type":"type","title":"ExNylas.WebhookNotification.MessageLinkClicked.t/0","doc":"","ref":"ExNylas.WebhookNotification.MessageLinkClicked.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.MessageLinkClicked.LinkData","doc":"","ref":"ExNylas.WebhookNotification.MessageLinkClicked.LinkData.html"},{"type":"type","title":"ExNylas.WebhookNotification.MessageLinkClicked.LinkData.t/0","doc":"","ref":"ExNylas.WebhookNotification.MessageLinkClicked.LinkData.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.MessageLinkClicked.Recent","doc":"","ref":"ExNylas.WebhookNotification.MessageLinkClicked.Recent.html"},{"type":"type","title":"ExNylas.WebhookNotification.MessageLinkClicked.Recent.t/0","doc":"","ref":"ExNylas.WebhookNotification.MessageLinkClicked.Recent.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.MessageOpened","doc":"A struct representing a message opened webhook notification.\n\n[Nylas docs](https://developer.nylas.com/docs/v3/notifications/notification-schemas/#message-tracking-notifications)","ref":"ExNylas.WebhookNotification.MessageOpened.html"},{"type":"type","title":"ExNylas.WebhookNotification.MessageOpened.t/0","doc":"","ref":"ExNylas.WebhookNotification.MessageOpened.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.MessageOpened.MessageData","doc":"","ref":"ExNylas.WebhookNotification.MessageOpened.MessageData.html"},{"type":"type","title":"ExNylas.WebhookNotification.MessageOpened.MessageData.t/0","doc":"","ref":"ExNylas.WebhookNotification.MessageOpened.MessageData.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.MessageOpened.Recent","doc":"","ref":"ExNylas.WebhookNotification.MessageOpened.Recent.html"},{"type":"type","title":"ExNylas.WebhookNotification.MessageOpened.Recent.t/0","doc":"","ref":"ExNylas.WebhookNotification.MessageOpened.Recent.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.Notetaker","doc":"Schema for notetaker notification.\n\n[Nylas docs](https://developer.nylas.com/docs/v3/notifications/notification-schemas/#notetaker-notifications)","ref":"ExNylas.WebhookNotification.Notetaker.html"},{"type":"type","title":"ExNylas.WebhookNotification.Notetaker.t/0","doc":"","ref":"ExNylas.WebhookNotification.Notetaker.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.Notetaker.Event","doc":"","ref":"ExNylas.WebhookNotification.Notetaker.Event.html"},{"type":"type","title":"ExNylas.WebhookNotification.Notetaker.Event.t/0","doc":"","ref":"ExNylas.WebhookNotification.Notetaker.Event.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.Notetaker.MeetingSettings","doc":"","ref":"ExNylas.WebhookNotification.Notetaker.MeetingSettings.html"},{"type":"type","title":"ExNylas.WebhookNotification.Notetaker.MeetingSettings.t/0","doc":"","ref":"ExNylas.WebhookNotification.Notetaker.MeetingSettings.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.NotetakerMedia","doc":"Schema for notetaker media notification.\n\n[Nylas docs](https://developer.nylas.com/docs/v3/notifications/notification-schemas/#notetaker-notifications)","ref":"ExNylas.WebhookNotification.NotetakerMedia.html"},{"type":"type","title":"ExNylas.WebhookNotification.NotetakerMedia.t/0","doc":"","ref":"ExNylas.WebhookNotification.NotetakerMedia.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.NotetakerMedia.Media","doc":"","ref":"ExNylas.WebhookNotification.NotetakerMedia.Media.html"},{"type":"type","title":"ExNylas.WebhookNotification.NotetakerMedia.Media.t/0","doc":"","ref":"ExNylas.WebhookNotification.NotetakerMedia.Media.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.Order","doc":"Schema for order notification.\n\n[Nylas docs](https://developer.nylas.com/docs/v3/notifications/notification-schemas/#extractai-notifications)","ref":"ExNylas.WebhookNotification.Order.html"},{"type":"type","title":"ExNylas.WebhookNotification.Order.t/0","doc":"","ref":"ExNylas.WebhookNotification.Order.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.Order.Merchant","doc":"","ref":"ExNylas.WebhookNotification.Order.Merchant.html"},{"type":"type","title":"ExNylas.WebhookNotification.Order.Merchant.t/0","doc":"","ref":"ExNylas.WebhookNotification.Order.Merchant.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.Order.Metadata","doc":"","ref":"ExNylas.WebhookNotification.Order.Metadata.html"},{"type":"type","title":"ExNylas.WebhookNotification.Order.Metadata.t/0","doc":"","ref":"ExNylas.WebhookNotification.Order.Metadata.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.Order.Order","doc":"","ref":"ExNylas.WebhookNotification.Order.Order.html"},{"type":"type","title":"ExNylas.WebhookNotification.Order.Order.t/0","doc":"","ref":"ExNylas.WebhookNotification.Order.Order.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.Order.Order.LineItem","doc":"","ref":"ExNylas.WebhookNotification.Order.Order.LineItem.html"},{"type":"type","title":"ExNylas.WebhookNotification.Order.Order.LineItem.t/0","doc":"","ref":"ExNylas.WebhookNotification.Order.Order.LineItem.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.ThreadReplied","doc":"A struct representing a thread replied webhook notification.\n\n[Nylas docs](https://developer.nylas.com/docs/v3/notifications/notification-schemas/#message-tracking-notifications)","ref":"ExNylas.WebhookNotification.ThreadReplied.html"},{"type":"type","title":"ExNylas.WebhookNotification.ThreadReplied.t/0","doc":"","ref":"ExNylas.WebhookNotification.ThreadReplied.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.ThreadReplied.ReplyData","doc":"","ref":"ExNylas.WebhookNotification.ThreadReplied.ReplyData.html"},{"type":"type","title":"ExNylas.WebhookNotification.ThreadReplied.ReplyData.t/0","doc":"","ref":"ExNylas.WebhookNotification.ThreadReplied.ReplyData.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.Tracking","doc":"Schema for tracking notification.\n\n[Nylas docs](https://developer.nylas.com/docs/v3/notifications/notification-schemas/#extractai-notifications)","ref":"ExNylas.WebhookNotification.Tracking.html"},{"type":"type","title":"ExNylas.WebhookNotification.Tracking.t/0","doc":"","ref":"ExNylas.WebhookNotification.Tracking.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.Tracking.Merchant","doc":"","ref":"ExNylas.WebhookNotification.Tracking.Merchant.html"},{"type":"type","title":"ExNylas.WebhookNotification.Tracking.Merchant.t/0","doc":"","ref":"ExNylas.WebhookNotification.Tracking.Merchant.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.Tracking.Metadata","doc":"","ref":"ExNylas.WebhookNotification.Tracking.Metadata.html"},{"type":"type","title":"ExNylas.WebhookNotification.Tracking.Metadata.t/0","doc":"","ref":"ExNylas.WebhookNotification.Tracking.Metadata.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotification.Tracking.Shipping","doc":"","ref":"ExNylas.WebhookNotification.Tracking.Shipping.html"},{"type":"type","title":"ExNylas.WebhookNotification.Tracking.Shipping.t/0","doc":"","ref":"ExNylas.WebhookNotification.Tracking.Shipping.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotificationData","doc":"A struct representing the data field of a webhook notification.\n\nNote - data points to the inflated object that the webhook notification is about; trunacted message webhooks omit the message body.\n\n[Nylas docs](https://developer.nylas.com/docs/v3/notifications/notification-schemas/)","ref":"ExNylas.WebhookNotificationData.html"},{"type":"type","title":"ExNylas.WebhookNotificationData.t/0","doc":"","ref":"ExNylas.WebhookNotificationData.html#t:t/0"},{"type":"module","title":"ExNylas.WebhookNotifications","doc":"Utility functions for webhook notifications.\n\n[Nylas docs](https://developer.nylas.com/docs/v3/notifications/notification-schemas/)","ref":"ExNylas.WebhookNotifications.html"},{"type":"function","title":"ExNylas.WebhookNotifications.to_struct/1","doc":"Transform a raw webhook notification into an ExNylas struct.","ref":"ExNylas.WebhookNotifications.html#to_struct/1"},{"type":"function","title":"Examples - ExNylas.WebhookNotifications.to_struct/1","doc":"iex> {:ok, struct} = ExNylas.WebhookNotifications.to_struct(raw_payload)","ref":"ExNylas.WebhookNotifications.html#to_struct/1-examples"},{"type":"function","title":"ExNylas.WebhookNotifications.to_struct!/1","doc":"Transform a raw webhook notification into an ExNylas struct.","ref":"ExNylas.WebhookNotifications.html#to_struct!/1"},{"type":"function","title":"Examples - ExNylas.WebhookNotifications.to_struct!/1","doc":"iex> struct = ExNylas.WebhookNotifications.to_struct!(raw_payload)","ref":"ExNylas.WebhookNotifications.html#to_struct!/1-examples"},{"type":"function","title":"ExNylas.WebhookNotifications.validate_signature/3","doc":"Validate the X-Nylas-Signature header from a webhook.","ref":"ExNylas.WebhookNotifications.html#validate_signature/3"},{"type":"function","title":"Examples - ExNylas.WebhookNotifications.validate_signature/3","doc":"iex> {:ok, match?} = ExNylas.WebhoookNotification.validate_signature(webhook_secret, body, signature_from_webhook_request)","ref":"ExNylas.WebhookNotifications.html#validate_signature/3-examples"},{"type":"function","title":"ExNylas.WebhookNotifications.validate_signature!/3","doc":"Validate the X-Nylas-Signature header from a webhook.","ref":"ExNylas.WebhookNotifications.html#validate_signature!/3"},{"type":"function","title":"Examples - ExNylas.WebhookNotifications.validate_signature!/3","doc":"iex> valid = ExNylas.WebhoookNotification.validate_signature!(webhook_secret, body, signature_from_webhook_request)","ref":"ExNylas.WebhookNotifications.html#validate_signature!/3-examples"},{"type":"module","title":"ExNylas.Webhooks","doc":"Interface for Nylas webhook.\n\n[Nylas docs](https://developer.nylas.com/docs/api/v3/admin/#tag/webhook-notifications)","ref":"ExNylas.Webhooks.html"},{"type":"function","title":"ExNylas.Webhooks.all/2","doc":"Fetch all webhook(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Webhooks.html#all/2"},{"type":"function","title":"Examples - ExNylas.Webhooks.all/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> {:ok, result} = ExNylas.Webhooks.all(conn, opts)","ref":"ExNylas.Webhooks.html#all/2-examples"},{"type":"function","title":"ExNylas.Webhooks.all!/2","doc":"Fetch all webhook(s) matching the provided query (the SDK will handle paging).\n\nThe second argument can be a keyword list of options + query parameters to pass to the Nylas API (map is also supported).  Options supports:\n- `:send_to` - a single arity function to send each page of results (default is nil, e.g. results will be accumulated and returned as a list)\n- `:delay` - the number of milliseconds to wait between each page request (default is 0; strongly recommended to avoid rate limiting)\n- `:query` - a keyword list or map of query parameters to pass to the Nylas API (default is an empty list)","ref":"ExNylas.Webhooks.html#all!/2"},{"type":"function","title":"Examples - ExNylas.Webhooks.all!/2","doc":"iex> opts = [send_to: &IO.inspect/1, delay: 3_000, query: [key: \"value\"]]\n    iex> result = ExNylas.Webhooks.all!(conn, opts)","ref":"ExNylas.Webhooks.html#all!/2-examples"},{"type":"function","title":"ExNylas.Webhooks.build/1","doc":"Create and validate a webhook, use create/update to send to Nylas.","ref":"ExNylas.Webhooks.html#build/1"},{"type":"function","title":"Examples - ExNylas.Webhooks.build/1","doc":"iex> {:ok, result} = ExNylas.Webhooks.build(payload)","ref":"ExNylas.Webhooks.html#build/1-examples"},{"type":"function","title":"ExNylas.Webhooks.build!/1","doc":"Create and validate a webhook, use create/update to send to Nylas.","ref":"ExNylas.Webhooks.html#build!/1"},{"type":"function","title":"Examples - ExNylas.Webhooks.build!/1","doc":"iex> result = ExNylas.Webhooks.build!(payload)","ref":"ExNylas.Webhooks.html#build!/1-examples"},{"type":"function","title":"ExNylas.Webhooks.create/3","doc":"Create a(n) webhook.","ref":"ExNylas.Webhooks.html#create/3"},{"type":"function","title":"Examples - ExNylas.Webhooks.create/3","doc":"iex> {:ok, result} = ExNylas.Webhooks.create(conn, body, params)","ref":"ExNylas.Webhooks.html#create/3-examples"},{"type":"function","title":"ExNylas.Webhooks.create!/3","doc":"Create a(n) webhook.","ref":"ExNylas.Webhooks.html#create!/3"},{"type":"function","title":"Examples - ExNylas.Webhooks.create!/3","doc":"iex> result = ExNylas.Webhooks.create(conn, body, params)","ref":"ExNylas.Webhooks.html#create!/3-examples"},{"type":"function","title":"ExNylas.Webhooks.delete/3","doc":"Delete a(n) webhook.","ref":"ExNylas.Webhooks.html#delete/3"},{"type":"function","title":"Examples - ExNylas.Webhooks.delete/3","doc":"iex> {:ok, result} = ExNylas.Webhooks.delete(conn, id, params)","ref":"ExNylas.Webhooks.html#delete/3-examples"},{"type":"function","title":"ExNylas.Webhooks.delete!/3","doc":"Delete a(n) webhook.","ref":"ExNylas.Webhooks.html#delete!/3"},{"type":"function","title":"Examples - ExNylas.Webhooks.delete!/3","doc":"iex> result = ExNylas.Webhooks.delete!(conn, id, params)","ref":"ExNylas.Webhooks.html#delete!/3-examples"},{"type":"function","title":"ExNylas.Webhooks.find/3","doc":"Find a(n) webhook.","ref":"ExNylas.Webhooks.html#find/3"},{"type":"function","title":"Examples - ExNylas.Webhooks.find/3","doc":"iex> {:ok, result} = ExNylas.Webhooks.find(conn, id, params)","ref":"ExNylas.Webhooks.html#find/3-examples"},{"type":"function","title":"ExNylas.Webhooks.find!/3","doc":"Find a(n) webhook.","ref":"ExNylas.Webhooks.html#find!/3"},{"type":"function","title":"Examples - ExNylas.Webhooks.find!/3","doc":"iex> result = ExNylas.Webhooks.find!(conn, id, params)","ref":"ExNylas.Webhooks.html#find!/3-examples"},{"type":"function","title":"ExNylas.Webhooks.first/2","doc":"Get the first webhook.","ref":"ExNylas.Webhooks.html#first/2"},{"type":"function","title":"Examples - ExNylas.Webhooks.first/2","doc":"iex> {:ok, result} = ExNylas.Webhooks.first(conn, params)","ref":"ExNylas.Webhooks.html#first/2-examples"},{"type":"function","title":"ExNylas.Webhooks.first!/2","doc":"Get the first webhook.","ref":"ExNylas.Webhooks.html#first!/2"},{"type":"function","title":"Examples - ExNylas.Webhooks.first!/2","doc":"iex> result = ExNylas.Webhooks.first!(conn, params)","ref":"ExNylas.Webhooks.html#first!/2-examples"},{"type":"function","title":"ExNylas.Webhooks.list/2","doc":"Fetch webhook(s), optionally provide query params.","ref":"ExNylas.Webhooks.html#list/2"},{"type":"function","title":"Examples - ExNylas.Webhooks.list/2","doc":"iex> {:ok, result} = ExNylas.Webhooks.list(conn, params)","ref":"ExNylas.Webhooks.html#list/2-examples"},{"type":"function","title":"ExNylas.Webhooks.list!/2","doc":"Fetch webhook(s), optionally provide query params.","ref":"ExNylas.Webhooks.html#list!/2"},{"type":"function","title":"Examples - ExNylas.Webhooks.list!/2","doc":"iex> result = ExNylas.Webhooks.list!(conn, params)","ref":"ExNylas.Webhooks.html#list!/2-examples"},{"type":"function","title":"ExNylas.Webhooks.mock_payload/2","doc":"Get a mock webhook payload.","ref":"ExNylas.Webhooks.html#mock_payload/2"},{"type":"function","title":"Examples - ExNylas.Webhooks.mock_payload/2","doc":"iex> {:ok, payload} = ExNylas.Webhooks.mock_payload(conn, trigger)","ref":"ExNylas.Webhooks.html#mock_payload/2-examples"},{"type":"function","title":"ExNylas.Webhooks.mock_payload!/2","doc":"Get a mock webhook payload.","ref":"ExNylas.Webhooks.html#mock_payload!/2"},{"type":"function","title":"Examples - ExNylas.Webhooks.mock_payload!/2","doc":"iex> payload = ExNylas.Webhooks.mock_payload(conn, trigger)","ref":"ExNylas.Webhooks.html#mock_payload!/2-examples"},{"type":"function","title":"ExNylas.Webhooks.rotate_secret/2","doc":"Rotate a webhook secret.","ref":"ExNylas.Webhooks.html#rotate_secret/2"},{"type":"function","title":"Examples - ExNylas.Webhooks.rotate_secret/2","doc":"iex> {:ok, webhook} = ExNylas.Webhooks.rotate_secret(conn, webhook_id)","ref":"ExNylas.Webhooks.html#rotate_secret/2-examples"},{"type":"function","title":"ExNylas.Webhooks.rotate_secret!/2","doc":"Rotate a webhook secret.","ref":"ExNylas.Webhooks.html#rotate_secret!/2"},{"type":"function","title":"Examples - ExNylas.Webhooks.rotate_secret!/2","doc":"iex> webhook = ExNylas.Webhooks.rotate_secret(conn, webhook_id)","ref":"ExNylas.Webhooks.html#rotate_secret!/2-examples"},{"type":"function","title":"ExNylas.Webhooks.send_test_event/3","doc":"Send a test webhook event.","ref":"ExNylas.Webhooks.html#send_test_event/3"},{"type":"function","title":"Examples - ExNylas.Webhooks.send_test_event/3","doc":"iex> {:ok, res} = ExNylas.Webhooks.send_test_event(conn, trigger, webhook_url)","ref":"ExNylas.Webhooks.html#send_test_event/3-examples"},{"type":"function","title":"ExNylas.Webhooks.send_test_event!/3","doc":"Send a test webhook event.","ref":"ExNylas.Webhooks.html#send_test_event!/3"},{"type":"function","title":"Examples - ExNylas.Webhooks.send_test_event!/3","doc":"iex> res = ExNylas.Webhooks.send_test_event(conn, trigger, webhook_url)","ref":"ExNylas.Webhooks.html#send_test_event!/3-examples"},{"type":"function","title":"ExNylas.Webhooks.update/4","doc":"Update a webhook.","ref":"ExNylas.Webhooks.html#update/4"},{"type":"function","title":"Examples - ExNylas.Webhooks.update/4","doc":"iex> {:ok, result} = ExNylas.Webhooks.update(conn, id, body, params)","ref":"ExNylas.Webhooks.html#update/4-examples"},{"type":"function","title":"ExNylas.Webhooks.update!/4","doc":"Update a webhook.","ref":"ExNylas.Webhooks.html#update!/4"},{"type":"function","title":"Examples - ExNylas.Webhooks.update!/4","doc":"iex> result = ExNylas.Webhooks.update!(conn, id, body, params)","ref":"ExNylas.Webhooks.html#update!/4-examples"},{"type":"exception","title":"ExNylasError","doc":"Standard error wrapper","ref":"ExNylasError.html"},{"type":"type","title":"ExNylasError.t/0","doc":"","ref":"ExNylasError.html#t:t/0"},{"type":"extras","title":"ExNylas","doc":"# ExNylas\n\nUnofficial Elixir SDK for the Nylas API.\n\nTo get started, first sign up for a free Nylas account [here](https://nylas.com), then follow the installation and usage guide below.","ref":"readme.html"},{"type":"extras","title":"Notes - ExNylas","doc":"","ref":"readme.html#notes"},{"type":"extras","title":"Nylas API v2 vs v3 - ExNylas","doc":"The `main` branch of the repo now leverages Nylas API v3.  The `v2` branch of this repo will track Nylas API v2, though development work on this SDK will largely focus on Nylas API v3 and the v2 API is deprecated.","ref":"readme.html#nylas-api-v2-vs-v3"},{"type":"extras","title":"TODO / Known Issues - ExNylas","doc":"1. Build schemas (optional) are not well tested","ref":"readme.html#todo-known-issues"},{"type":"extras","title":"Installation - ExNylas","doc":"```elixir\ndef deps do\n  [\n    {:ex_nylas, \"~> 0.9.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - ExNylas","doc":"1. Connection is a struct that stores your Nylas API credentials.\n```elixir\nconn = \n  %ExNylas.Connection{\n    client_id: \"1234\",\n    api_key: \"1234\",\n    grant_id: \"1234\",\n    access_token: \"1234\", # Omited if using `grant_id` + `api_key`\n    api_server: \"https://api.us.nylas.com\",\n    options: [], # Passed to Req (HTTP client)\n    telemetry: true # Enables telemetry and the default telemetry logger (defaults to `false`)\n  }\n```\n\nOptions from `ExNylas.Connection` are passed directly to [Req](https://hexdocs.pm/req/Req.html) and can be used to override the default behavior of the HTTP client.  You can find a complete list of options [here](https://hexdocs.pm/req/Req.html#new/1).  The most relevent Req defaults are listed below:\n```elixir\n[\n  retry: :safe_transient,\n  cache: false,\n  compress_body: false,\n  compressed: true, # ask server to return compressed responses\n  receive_timeout: 15_000, # socket receive timeout\n  pool_timeout: 5000 # pool checkout timeout\n]\n```\n\nWhen using options, _do not_ override the value for `decode_body`, in most cases, the SDK is relying on Req to decode the response via Jason.\n\n2. Each function supports returning an ok/error tuple or raising an exception, for example:\n```elixir\nconn = %ExNylas.Connection{api_key: \"1234\", grant_id: \"1234\"}\n\n# Returns {:ok, result} or {:error, reason}\n{:ok, message} = ExNylas.Messages.first(conn)\n\n# Returns result or raises an exception\nmessage = ExNylas.Messages.first!(conn)\n```\n\n3. Where supported, queries and filters can be passed as a map or keyword list:\n```elixir\nconn = %ExNylas.Connection{api_key: \"1234\", grant_id: \"1234\"}\n{:ok, threads} = ExNylas.Threads.list(conn, limit: 5)\n```\n\n4. Where `create/update` is supported, optionally use `build/1` (or `build!/1`) to validate data before sending to the Nylas API.  This is strictly optional--`create/update` will accept either a map or a struct.  Build leverages [Ecto](https://hex.pm/packages/ecto) behind the scenes so fields are validated against the schema/struct definition and in the case of an error, the Ecto changeset is returned.  For example:\n```elixir\n{:ok, folder} = ExNylas.Folders.build(%{name: \"Hello World\"})\n\n# This will return an error because 'display_name' is not part of the struct\nExNylas.Folders.build(%{display_name: \"Hello Error\"})\n\n> {:error,\n #Ecto.Changeset ,\n   valid?: false\n >}\n```\n\n5. [Ecto](https://hex.pm/packages/ecto) is also used when transforming the API response from Nylas into structs.  Any validation errors are logged, but errors are not returned/raised in order to make to SDK resilient to changes to the API contract.\n\n6. Use `all/2` to fetch all of a given object and let the SDK page for you.  Req will handle retries on errors by default, if retries fail, partial results are not returned (unless `send_to` is used).\n\nNote - depending on the result set, this operation could take time, consider using a query/filter to reduce the number of results and/or making this an async operation.\n\nOptionally include:\n- `delay` to throttle requests and avoid 429s (note: strongly recommended; this delay is independent of retry delays configured in the HTTP client)\n- `send_to` to pass each page to your single arity function instead of accumulating all of the result set in memory\n- `with_metadata` any data that should be included when invoking the function provided in `send_to`, results are sent as a tuple `{metadata, page}`\n\n```elixir\nconn = %ExNylas.Connection{api_key: \"1234\", grant_id: \"1234\"}\n\n# Accumulate results in memory and return them when paging is complete\n{:ok, []} = ExNylas.Messages.all(conn, query: [any_email: \"nick@example.com\", fields: \"include_headers\"])\n\n# Send results to a handler as each page is received\n{:ok, []} = ExNylas.Messages.all(conn, send_to: &IO.inspect/1, delay: 3_000, query: [any_email: \"nick@example.com\", fields: \"include_headers\"])\n\n# Or handle paging on your own\n{:ok, first_page} = ExNylas.Messages.list(conn, limit: 50)\n{:ok, second_page} = ExNylas.Messages.list(conn, limit: 50, page_token: first_page.next_cursor)\n```","ref":"readme.html#usage"},{"type":"extras","title":"LICENSE","doc":"MIT License\n\nCopyright (c) 2023 Nick Bair\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}